<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

mb_language('uni');
mb_internal_encoding('UTF-8');

session_start();
if(!isset($_SESSION['id'])){
	header('Location: index.php');
	return;
}

define('ALUMNISERVER',true);
include('src/loadconfig.php');

// database connection
$dbh=mysql_connect($config['db_host'],$config['db_user'],$config['db_pwd']);
if(!mysql_select_db($config['db_db'],$dbh)) die('database select_db error');
mysql_query("SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'",$dbh);

if(isset($_SESSION['ADMIN_USER'])){
	include('src/admin/admin_common.php');
	if(isset($_POST['save_config'])){
		saveConfigCache();
		unset($tr);
		include('src/lang/'.$config_cache['language'].'.php');
	}
}

include('src/common.php');
include('version.php');

// todo: every 2 months, show hint: is this email address still correct? name@provider.com

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="de" xml:lang="de" xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>'.$config['pageTitleOrDomain'].'</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<script language="JavaScript" type="text/javascript">
<!--
var version=\''.$version.'\'
var lang=\''.$config_cache['language'].'\';

strCancel=\''.$tr['Cancel'].'\'
strSend=\''.$tr['Send'].'\'
strMessageHasBeenSentSuccessfully=\''.$tr['MessageHasBeenSentSuccessfully'].'\'
strMessage=\''.$tr['Message'].'\'
strYear=\''.$tr['Year'].'\'
strYears=\''.$tr['Years'].'\'
strMessageDeleted=\''.$tr['MessageDeleted'].'\'
strReallyDeleteSelectedMessages=\''.$tr['ReallyDeleteSelectedMessages'].'\'
strFrom=\''.$tr['From'].'\'
//-->
</script>
<link rel="stylesheet" type="text/css" href="src/styles.css" />
<script type="text/javascript" src="src/js/common.js"></script>';
if(isset($_SESSION['ADMIN_USER'])){
echo '
<script type="text/javascript" src="src/js/admin.js"></script>

<!-- Individual YUI CSS files -->
<link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/yui/2.7.0/build/assets/skins/sam/skin.css">
<!-- Individual YUI JS files -->
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/yui/2.7.0/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/yui/2.7.0/build/container/container-min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/yui/2.7.0/build/element/element-min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/yui/2.7.0/build/menu/menu-min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/yui/2.7.0/build/button/button-min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/yui/2.7.0/build/editor/editor-min.js"></script>

</head>
<body class="yui-skin-sam">
';

}else{
echo '
</head>
<body>';
}

switch($load){
	case 'start': 				$b0='style="font-weight:bold;"';break;
	case 'home': 				$b1='style="font-weight:bold;"';break;
	case 'inbox':
	case 'sent': 				$b2='style="font-weight:bold;"';break;
	case 'mypictures': 			$b3='style="font-weight:bold;"';break;
	case 'mysettings': 			$b4='style="font-weight:bold;"';break;

	case 'fellowstudents': 		$b11='style="font-weight:bold;"';break;
	case 'forum': 				$b12='style="font-weight:bold;"';break;
	case 'newsletter': 			$b13='style="font-weight:bold;"';break;
	case 'jobs':
	case 'jobsalumniserver': 	$b14='style="font-weight:bold;"';break;
	case 'fundraising': 		$b15='style="font-weight:bold;"';break;
	case 'pictures': 			$b16='style="font-weight:bold;"';break;
}
echo '<table cellpadding="0" cellspacing="0" style="margin:0px auto;">
'.$mainLayoutTop.'
<tr><td style="width:130px;height:630px;border:0px;border-left:#e5e5e5 1px solid;">
<div style="margin:40px 0px 10px 0px;">
<ul class="nav" >
<li><a href="Start.php" '.$b0.' >'.$tr['Start'].'</a></li>
<li><a href="FellowStudents.php" '.$b11.'>'.$tr['FellowStudents'].'</a></li>
<li><a href="Pictures.php" '.$b16.'>'.$tr['Pictures'].'</a></li>
<li><a href="Forum.php" '.$b12.'>'.$tr['Forum'].'</a></li>
<li><a href="Newsletter.php" '.$b13.'>'.$tr['Newsletter'].'</a></li>
<li><a href="Jobs.php" '.$b14.'>'.$tr['Jobs'].'</a></li>';

if($config['enableFundRaisingSite']){
	echo '<li><a href="Fundraising.php" '.$b15.'>'.$tr['Fundraising'].'</a></li>';
}

echo '<div style="margin-top:10px;border-bottom:#cfcfcf 1px solid;"></div>
<li><a href="Home.php" '.$b1.' >'.$tr['MyPage'].'</a></li>
<li><a href="Inbox.php" '.$b2.' >'.$tr['Messages'].'</a></li>
<li><a href="myPictures.php" '.$b3.' >'.$tr['MyPictures'].'</a></li>
<li><a href="mySettings.php" '.$b4.' >'.$tr['Settings'].'</a></li>

<div style="margin-top:10px;border-bottom:#cfcfcf 1px solid;"></div>
<li style="float:right;"><a href="logout.php" style="text-align:right;">'.$tr['Logout'].'</a></li>
	</ul>
</div>';

if(isset($_SESSION['ADMIN_USER'])){
	include('src/admin/admin_nav.php');
}

echo '</td><td style="width:630px;height:auto;border:0px;border-left:#e5e5e5 1px solid;border-right:#e5e5e5 1px solid;padding-bottom:8px;">
<div style="clear:both;"></div><div style="margin:14px 10px 20px 10px;">';

if(isset($_SESSION['ADMIN_USER'])){
	// check if admin still uses default password
	$r_check_pwd=mysql_query("SELECT `password` FROM `as_users` WHERE `id` LIKE '".$_SESSION['id']."' LIMIT 1",$dbh);
	if(mysql_num_rows($r_check_pwd)!=1){
		return;
	}
	$d_check_pwd=mysql_fetch_array($r_check_pwd);
	if($d_check_pwd['password']==md5('install')){
		echo '<div style="margin:6px 0px;color:red;">Warning: you are still using the default password.<br/> 
		It is recommended to change it (under "Settings").<br/>
		Additionally, as admin it is recommended to use a strong password, because someone might know your login (email address).</div>';
	}
}

//if(isset($_SESSION['ADMIN_USER_WARN'])){
//	echo '<div style="margin:6px 0px;color:red;">'.$_SESSION['ADMIN_USER_WARN'].'</div>';
//}
if(isset($_SESSION['ADMIN_HINT'])){
	echo '<div style="margin:6px 0px;">'.$_SESSION['ADMIN_HINT'].'</div>';
	unset($_SESSION['ADMIN_HINT']);
}

switch($load){
	case 'profile':
	case 'fellowstudents': 	include('src/fellowstudents/fellowstudents.php');break;
	case 'forum': 			include('src/forum/forum.php');break;
	case 'pictures': 		include('src/pictures/pictures.php');break;
	case 'newsletter': 		include('src/newsletter/newsletter.php');break;
	case 'start':			include('src/start/start.php');break;
	case 'jobs':
	case 'jobsalumniserver':include('src/jobs/jobs.php');break;
	case 'inbox':
	case 'sent': 			include('src/myMessages/myMessages.php');break;
	case 'mypictures': 		include('src/myPictures/myPictures.php');break;

	case 'mysettings':	 	include('src/mySettings/mySettings.php');break;
	case 'termsofuse':		include('data/pageTermsofuse.php');break;
	case 'imprint':			include('data/pageImprint.php');break;
	case 'dataprivacy':		include('data/pageDataprivacy.php');break;
	case 'help':			include('src/help/help.php');break;
	case 'home':			include('src/myPage/myPage.php');break;
}

if(isset($_SESSION['ADMIN_USER'])){
	switch($admin){
	case 'pageoutside':	include('src/admin/admin_page_start_outside.php');break;
	case 'pageinside':	include('src/admin/admin_page_start_inside.php');break;
	case 'newsletter':	include('src/admin/admin_newsletter.php');break;
	case 'users':		include('src/admin/admin_users.php');break;
	case 'userEdit':	include('src/admin/admin_user_edit.php');break;
	case 'register':	include('src/admin/admin_register.php');break;
	case 'allowed':		include('src/admin/admin_allowed.php');break;
	case 'cmdHistory':	include('src/admin/admin_cmd_history.php');break;
	case 'settings':	include('src/admin/admin_settings.php');break;
	case 'imprint':		include('src/admin/admin_page_imprint.php');break;
	case 'dataprivacy':	include('src/admin/admin_page_dataprivacy.php');break;
	case 'termsofuse':	if($config['enableTermsofuse']){include('src/admin/admin_page_termsofuse.php');break;}
	case 'update':		include('src/admin/admin_update.php');break;
	}
}
mysql_close($dbh);

echo '</div></td></tr>'.$mainLayoutBottom.'</table></body></html>';
?>