<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

session_start();
if(!isset($_SESSION['id']))exit;
if(!isset($_SESSION['ADMIN_USER']))exit;

define('ALUMNISERVER',true);
include('loadminconfig.php');
include('../admin/admin_update_functions.php');

$new_structure=getDbStructureFromFile('../db_alumni.sql');
$existing_structure=getDbStructure();
$extra_diff=getExtraDiff($new_structure,$existing_structure);
$update_statements=getUpdateQueries($extra_diff);

$out='<h3>Update suggestions:</h3>
<div style="width:580px;height:200px;overflow:scroll;background-color:#f7f7f7;padding:8px;">';

foreach(array_keys($update_statements) as $update_type){
	$out.='<table style="width:560px;background-color:#e0e0e0;margin-bottom:20px;" cellspacing="1">
	<tr><td style="background-color:#fff;">'.$update_type.'</td></tr>';
	foreach($update_statements[$update_type] as $update_command){
		$out.='<tr><td style="background-color:#f7f7f7;">'.$update_command.'</td></tr>';
	}
	$out.='</table>';
}
$out.='</div>';
echo $out;
mysql_close($dbh);
?>