<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;
if(!isset($_SESSION['ADMIN_USER']))exit;

$uid=$_SESSION['id'];
if(isset($_POST['save'])){
	$message=$_SESSION['newsletter_message'];
	$j2=$_SESSION['newsletter_fileupload'].'/'.$_SESSION['newsletter_filename_orig'];

	$msgbr=mysql_real_escape_string(nl2br($message),$dbh);
	$r=mysql_query("INSERT INTO `as_newsletter` SET `content`='$msgbr',`attachment`='".mysql_real_escape_string($j2,$dbh)."', `uid`='$uid',`datetime`='".date("Y-m-d H:i:s", time())."'",$dbh);
	if(file_exists('./data/newsletter/temp_'.$j2)){
		rename('./data/newsletter/temp_'.$j2,'./data/newsletter/'.$j2);
		$domain=$config['domain'];
		if(substr($domain,-1)!='/')$domain.='/';
		$message.='
Attachment: '.$domain.'data/newsletter/'.$j2;
	}

	// notify users
	$enableNotification=true;
	if($enableNotification){
		$ri=mysql_query("SELECT `gn`,`sn`,`email` FROM `as_users` WHERE `notifyNewsletter` LIKE 'y'",$dbh);
		while($ai=mysql_fetch_array($ri)){
			$mail_subject=$config['pageTitleOrDomain'].' :: '.$tr['Newsletter'];
			$mail_message=$message;
			mail($ai['email'],$mail_subject,$mail_message,$mail_header);
		}
	}else{
		echo 'email notification temporarily disabled<br/>';
	}

	$_SESSION['newsletter_fileupload']='';
	$_SESSION['newsletter_filename_orig']='';
	echo '<p style="color:#299729;">'.$tr['NewsletterHasBeenSent'].'</p>';

	// clean up
	$handle=opendir('./data/newsletter/');
	 while(FALSE !== ($item=readdir($handle))){
	     if(substr($item,0,5)=='temp_'&&is_dir($item)){
	     	$yesterday=time()-(24*60*60);
	     	// remove temp dirs that are older than one day
	     	if(filectime($item)>$yesterday){
	     		continue;
	     	}
	     	// remove contents of temp dir
	     	$handle2=opendir($item);
	        while(FALSE !== ($item2=readdir($handle2))){
	             if($item2 != '.' && $item2 != '..'){
	                  unlink($item2);
	             }
	         }
	         closedir($handle2);
	         rmdir($item);
	     }
	}
	closedir($handle);

}elseif(isset($_POST['preview'])){
	$iid=requestVar('preview',0);

	if(!isset($_POST['newsletter_message']))die('#72');
	$newsletter_message=requestVar('newsletter_message','',true);
	$_SESSION['newsletter_message']=$newsletter_message;

	// save attachment, if existing
	if(key_exists('fileupload',$_FILES)){
		if(is_uploaded_file($_FILES['fileupload']['tmp_name'])){
			if($_FILES['fileupload']['size']>=10*1024*1024){
				$sizeinMB=$_FILES['fileupload']['size']/1024/1024;
				echo 'File is too big<br/> Maximum is 10 MB, current file size: '.$sizeinMB.' MB';
				loadForm();
				return;
			}
			$allowed_pdf_mime_types=array('application/pdf', 'application/x-pdf', 'application/x-download', 'application/download', 'application/force-download');
			$mime_type=$_FILES['fileupload']['type'];
			if(!in_array($mime_type,$allowed_pdf_mime_types)){
				echo 'File type is not pdf';
				loadForm();
				return;
			}

			// delete previous uploaded file if existing
			$previous_folder='data/newsletter/temp_'.$_SESSION['newsletter_fileupload'];
			$previous_file=$previous_folder.'/'.$_SESSION['newsletter_filename_orig'];
			if(file_exists($previous_folder)){
				if(file_exists($previous_file)){
					unlink($previous_file);
				}
				rmdir($previous_folder);
				$_SESSION['newsletter_fileupload']='';
				$_SESSION['newsletter_filename_orig']='';
			}

			// generate random folder name
			$count=0;
			while(true){
				$alphabet='0123456789abcdef';
				$max=strlen($alphabet)-1;
				$randdir='';
				for($i=1;$i<=20;++$i)$randdir.=substr($alphabet,rand(0,$max),1);
				$randdir=$uid.$randdir;
				$uploadpath='./data/newsletter/'.$randdir;
				$uploadpath_temp='./data/newsletter/temp_'.$randdir;
				if(!is_dir($uploadpath)&&!is_dir($uploadpath_temp)){
					mkdir($uploadpath,0777);
					mkdir($uploadpath_temp,0777);
					break;
				}
				if($count>50){echo 'Failed. Please try again.';return;}
				++$count;
			}

			// move uploaded file into new folder
			$_SESSION['newsletter_filename_orig']=cleanFilename($_FILES['fileupload']['name']);
			$path_temp=$uploadpath_temp.'/'.$_SESSION['newsletter_filename_orig'];
			$path_temp=str_replace(array('../','..\\','./','.\\'),'',$path_temp);
			if(move_uploaded_file($_FILES['fileupload']['tmp_name'],$path_temp)){
				$_SESSION['newsletter_fileupload']=$randdir;
				chmod($path_temp,0777);
			}
			else{
				echo 'Failed to move uploaded file.<br/>
				Please check if you have sufficient write privileges for the folder "data/newsletter/"';
				$_SESSION['newsletter_fileupload']='';
			}
		}
	}
	if(strlen($_SESSION['newsletter_fileupload'])>0){
		$fileLink='<div style="clear:both;border:0px;border-top:#cccccc 1px solid;border-style:dotted;">
		<a href="data/newsletter/temp_'.$_SESSION['newsletter_fileupload'].'/'.$_SESSION['newsletter_filename_orig'].'" target="_blank">'
		.$_SESSION['newsletter_filename_orig'].'</a></div>';
	}
	$r2=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '$uid' LIMIT 1",$dbh);
	$a2=mysql_fetch_array($r2);
	$gn=$a2['gn'];
	$sn=$a2['sn'];

	if(strlen($a2['photo'])<6){
		$photo='src/img/nopicmt.jpg';
		if($a2['sex']=='female')$photo='src/img/nopicft.jpg';
	}
	else{
		if(!preg_match('/^[0-9a-f]{22}$/',$a2['photo']))die('error');
		$photo='data/images/profile/'.$a2['photo'].'t.jpg';
	}
	echo '<h2>'.$tr['NewsletterPreview'].':</h2>
	<div style="height:auto;background-color:#f7f7f7;border:#f0f0f0 1px solid;width:550px;float:left;">
		<div style="width:120px;padding:5px;float:left;">
		<img src="'.$photo.'" border="0" alt=""><br/>
		'.htmlspecialchars($gn).' '.htmlspecialchars($sn).'<p><b>'.$tr['Date'].':</b><br/>'.date("d.m.Y",time()).'<br/>'.date("H:m",time()).'</p></div>
		<div style="width:390px;padding:5px 8px;float:left;">
			<div style="clear:both;border:0px;margin:8px 0px;">'.nl2br(htmlspecialchars(stripslashes($_SESSION['newsletter_message']))).'</div>
			'.$fileLink.'
		</div>
	</div>
	<div style="clear:both;height:15px;"></div>
	<form action="AdminNewsletter.php" name="boardItem" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="1">
	<input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'AdminNewsletter.php\');" style="margin-top:3px;">
	<input type="button" class="btn" style="margin-left:5px;" value="'.$tr['Edit'].'" onclick="window.location.assign(\'AdminNewsletter.php?task=edit\');">
	<input type="submit" class="btn" style="margin-left:5px;" value="'.$tr['Send'].'"></form>';
	return;
}elseif(isset($_GET['task'])){
	$task=requestVar('task','');
	if($task=='newentry'||$task=='edit'){
		loadForm();
		return;
	}else exit;
}else{
	echo '<p><a href="AdminNewsletter.php?task=newentry">'.$tr['WriteNewNewsletter'].'</a></p>';
	$_SESSION['newsletter_message']='';
	$_SESSION['newsletter_fileupload']='';
	$_SESSION['newsletter_filename_orig']='';
}

function loadForm(){
	global $tr;
	$msg=$_SESSION['newsletter_message'];
	$j2=$_SESSION['newsletter_fileupload'];
	$j3=$_SESSION['newsletter_filename_orig'];
	if(strlen($j3)>10){
		$flink=$tr['ExistingFile'].' <a href="data/newsletter/temp_'.$j2.'/'.$j3.'" target="_blank">'.$j3.'</a> ('.$tr['WillBeOverwrittenWithNextUpload'].')';
	}

	echo '<h2>'.$tr['WriteNewNewsletter'].':</h2>
	<form action="AdminNewsletter.php" name="useredit" enctype="multipart/form-data" method="post">
	<input type="hidden" name="preview" value="1">

	<textarea id="newsletter_message" name="newsletter_message" class="form" style="width:550px;height:300px;">'.htmlspecialchars(stripslashes($msg)).'</textarea>
	<div style="margin:5px 0px;">Pdf-Upload ('.$tr['IfApplicable'].'): <input type="file" name="fileupload" size="26" class="file"></div>
	<div style="margin:5px 0px;">'.$flink.'</div>

	<div style="float:left;">
	<input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'AdminNewsletter.php\');">
	<input type="submit" class="btn" style="margin-left:5px;" value="'.$tr['ProceedToPreview'].'"></div>

	</form>';
}
?>