<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;
if(!isset($_SESSION['ADMIN_USER']))exit;

$bg_title_r=intval(hexdec(substr($config_cache['bg_title'],0,2)));
$bg_title_g=intval(hexdec(substr($config_cache['bg_title'],2,2)));
$bg_title_b=intval(hexdec(substr($config_cache['bg_title'],4,2)));

$footer_text_r=intval(hexdec(substr($config_cache['footer_text_color'],0,2)));
$footer_text_g=intval(hexdec(substr($config_cache['footer_text_color'],2,2)));
$footer_text_b=intval(hexdec(substr($config_cache['footer_text_color'],4,2)));

function showFieldsetColors(){
	global $tr,$bg_title_r,$bg_title_g,$bg_title_b,$footer_text_r,$footer_text_g,$footer_text_b;

	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Colors: <a href="AdminSettings.php?edit=colors"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>

	<div style="margin:2px 0px;">
		<b style="margin-top:10px;">Title and footer background color</b><br/>
		R: '.$bg_title_r.'<br/>
		G: '.$bg_title_g.'<br/>
		B: '.$bg_title_b.'<br/>
		Values from 0-255<br/>
	</div>

	<div style="margin:10px 0px;">
		<b>Footer text color</b><br/>
		R: '.$footer_text_r.'<br/>
		G: '.$footer_text_g.'<br/>
		B: '.$footer_text_b.'<br/>
		Values from 0-255<br/>
	</div>
	</fieldset>';
}
function showFormColors(){
	global $tr,$bg_title_r,$bg_title_g,$bg_title_b,$footer_text_r,$footer_text_g,$footer_text_b;


	echo '<form action="AdminSettings.php" enctype="multipart/form-data" method="post">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Colors: </legend>
	<input type="hidden" name="save_config" value="true">
	<input type="hidden" name="backgroundcolor" value="true">

	<div style="margin:2px 0px;">
		<b style="margin-top:10px;">Title and footer background color</b><br/>
		R: <input type="text" name="bg_title_r" class="inp" style="width:40px;margin-right:8px;" value="'.$bg_title_r.'">
		G: <input type="text" name="bg_title_g" class="inp" style="width:40px;margin-right:8px;" value="'.$bg_title_g.'">
		B: <input type="text" name="bg_title_b" class="inp" style="width:40px;margin-right:20px;" value="'.$bg_title_b.'">
		Values from 0-255<br/>
	</div>

	<div style="margin:10px 0px;">
		<b>Footer text color</b><br/>
		R: <input type="text" name="footer_text_r" class="inp" style="width:40px;margin-right:8px;" value="'.$footer_text_r.'">
		G: <input type="text" name="footer_text_g" class="inp" style="width:40px;margin-right:8px;" value="'.$footer_text_g.'">
		B: <input type="text" name="footer_text_b" class="inp" style="width:40px;margin-right:20px;" value="'.$footer_text_b.'">
		Values from 0-255<br/>
	</div>

	<a><input type="button" class="redbtn" value="'.$tr['DiscardChanges'].'" onclick="window.location.assign(\'AdminSettings.php\');"></a>
	<a><input type="submit" class="btn" value="'.$tr['Save'].'" style="margin-left:20px;"></a>

	</fieldset></form>';
}

function showFieldsetFieldOfStudy(){
	global $config_cache,$tr;

	$field_of_study_divs='';
	if(is_array($config_cache['fieldofstudy'])){
		foreach($config_cache['fieldofstudy'] as $field){
			$field_of_study_divs.='<li>'.$field.'</li>';
		}
	}
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Field of study: <a href="AdminSettings.php?edit=fieldofstudy"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>
	Users can choose between these fields of study:
	<div style="margin:10px 0px 4px 0px;"><ul>'.$field_of_study_divs.'</ul></div>
	</fieldset>';
}
function showFormFieldOfStudy(){
	global $config_cache,$tr;
	// fields of study
	$field_of_study_inputs='';
	if(is_array($config_cache['fieldofstudy'])){
		$index=0;
		foreach($config_cache['fieldofstudy'] as $field){
			$field_of_study_inputs.='<div id="fieldofstudy'.$index.'">
			<input type="text" name="fieldofstudy'.$index.'" class="inp" value="'.$field.'" style="width:250px;">
			<a href="javascript:deleteFieldOfStudy('.$index.')"> delete</a></div>';
			++$index;
		}
	}
	echo '<form action="AdminSettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save_config" value="true">
	<input type="hidden" name="fieldofstudy" value="true">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Field of study: </legend>
	Users can choose between these fields of study
	<div id="fieldsofstudy" style="margin:10px 0px 4px 0px;">'.$field_of_study_inputs.'</div>
	<div style="margin-bottom:8px;"><a href="javascript:appendFieldOfStudy();" style="margin-top:2px;margin-bottom:6px;"> Append field</a></div>

	<a><input type="button" class="redbtn" value="'.$tr['DiscardChanges'].'" onclick="window.location.assign(\'AdminSettings.php\');"></a>
	<a><input type="submit" class="btn" value="'.$tr['SaveChanges'].'" style="margin-left:4px;"></a>
	</fieldset></form>';
}

function showFieldsetDegrees(){
	global $config_cache,$tr;
	$degree_divs='';
	if(is_array($config_cache['degrees'])){
		foreach($config_cache['degrees'] as $degree){
			$degree_divs.='<li>'.$degree.'</li>';
		}
	}
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Degrees: <a href="AdminSettings.php?edit=degrees"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>
	Users can choose between these degrees
	<div id="degrees" style="margin:10px 0px 4px 0px;"><ul>'.$degree_divs.'</ul></div>
	</fieldset>';
}
function showFormDegrees(){
	global $config_cache,$tr;
	// degrees
	$degree_inputs='';
	if(is_array($config_cache['degrees'])){
		$index=0;
		foreach($config_cache['degrees'] as $deg){
			$degree_inputs.='<div id="degree'.$index.'">
			<input type="text" name="degree'.$index.'" class="inp" value="'.$deg.'" style="width:250px;">
			<a href="javascript:deleteDegree('.$index.')"> delete</a></div>';
			++$index;
		}
	}
	echo '<form action="AdminSettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save_config" value="true">
	<input type="hidden" name="degrees" value="true">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Degrees: </legend>
	Users can choose between these degrees
	<div id="degrees" style="margin:10px 0px 4px 0px;">'.$degree_inputs.'</div>
	<div style="margin-bottom:8px;"><a href="javascript:appendDegree();" style="margin-top:2px;margin-bottom:6px;"> Append degree</a></div>

	<a><input type="button" class="redbtn" value="'.$tr['DiscardChanges'].'" onclick="window.location.assign(\'AdminSettings.php\');"></a>
	<a><input type="submit" class="btn" value="'.$tr['SaveChanges'].'" style="margin-left:4px;"></a>
	</fieldset></form>';
}

function showFieldsetPublicPages(){
	global $config_cache,$tr;
	$enabled='No';
	if(isset($config_cache['enable_public_profile_pages'])){
		if($config_cache['enable_public_profile_pages']==true){
			$enabled='Yes';
		}
	}
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Public profile pages: <a href="AdminSettings.php?edit=public_pages"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>
	Users have the choice to make their profile page public (disabled by default): <span style="font-weight:bold;">'.$enabled.'</span>
	</fieldset>';
}
function showFormPublicPages(){
	global $config_cache,$tr;

	$checked='';
	if(isset($config_cache['enable_public_profile_pages'])){
		if($config_cache['enable_public_profile_pages']==true){
			$checked='checked';
		}
	}
	echo '<form action="AdminSettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save_config" value="true">
	<input type="hidden" name="public_pages" value="true">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Public profile pages: </legend>
	<div style="vertical-align:middle;margin:8px 0px;">
	Users have the choice to make their profile page public (disabled by default):
	<input type="checkbox" name="enable_ppp" value="1" '.$checked.'>
	</div>
	<a><input type="button" class="redbtn" value="'.$tr['DiscardChanges'].'" onclick="window.location.assign(\'AdminSettings.php\');"></a>
	<a><input type="submit" class="btn" value="'.$tr['SaveChanges'].'" style="margin-left:4px;"></a>
	</fieldset></form>';
}

// notification via email about new jobs
function showFormNotificationNewJob(){
	global $config_cache,$tr;

	$checked='checked';
	if(isset($config_cache['enable_email_notification_new_jobs'])){
		if($config_cache['enable_email_notification_new_jobs']==true){
			$checked='checked';
		}
		else{
			$checked='';
		}
	}
	echo '<form action="AdminSettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save_config" value="true">
	<input type="hidden" name="notify_new_job" value="true">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>New job notification: </legend>
	<div style="vertical-align:middle;margin:8px 0px;">
	When a user posts a job offer in the local job market of this website, a notification can be sent via email to all users (if not disabled personally):<br/>
	Check to enable this feature:
	<input type="checkbox" name="enable_notification_new_job" value="1" '.$checked.'>
	</div>
	<a><input type="button" class="redbtn" value="'.$tr['DiscardChanges'].'" onclick="window.location.assign(\'AdminSettings.php\');"></a>
	<a><input type="submit" class="btn" value="'.$tr['SaveChanges'].'" style="margin-left:4px;"></a>
	</fieldset></form>';
}

?>