<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

if(isset($_GET['id'])){
	$profile_id=requestVar('id','');
	if(!preg_match('/^[0-9a-f]{12}$/',$profile_id))exit;
	showProfile($dbh,$profile_id);
	return;
}

// eval search form
$search_in['gn']=$tr['Gn'];
$search_in['sn']=$tr['Sn'];
$search_in['city']=$tr['PlaceOfResidence'];
$search_in['zipcode']=$tr['Zipcode'];
$search_in['employer']=$tr['Employer'];
$search_in['placeofwork']=$tr['PlaceOfWork'];
$search_in['graduation']=$tr['YearOfGraduation'];

if(isset($_POST['search'])){
	$search=requestVar('search','');
	if(strlen($search)>31){
		echo 'search string is too long';
		return;
	}
	$search=mysql_real_escape_string($search,$dbh);
	$_SESSION['fs']['search']=$search;

	foreach($search_in as $search_key=>$search_label){
		if(isset($_POST['search_'.$search_key])){
			$search_x=1;
		}
		else{
			$search_x=0;
		}
		$_SESSION['fs']['search_'.$search_key]=$search_x;
	}
}
else if(isset($_SESSION['fs']['search'])){
	$search=$_SESSION['fs']['search'];
}

echo '
<form action="FellowStudents.php" name="form_fs_search" method="POST">
<div style="float:left;background-color:#f5f5f5;width:600px;margin-bottom:3px;"><div style="padding:2px 4px;">
<div style="float:left;">
	<input type="text" name="search" id="search" value="'.htmlspecialchars($search).'" class="inp" style="margin:0px;background-color:#fff;" maxlength="50">';

	if($search!=''){
		echo '<br/><div style="margin-top:6px;"><a href="javascript:fs_clear_search();">'.$tr['ClearSearch'].'</a></div>';
	}
echo '</div>
<div style="float:left;"><input type="submit" value="'.$tr['Search'].'" class="btn" style="margin:0px 8px;"></div>

<div style="float:right;"><div style="float:left;margin:0px 12px;">'.$tr['SearchIn'].':</div>
<div style="float:left;width:180px;height:60px;overflow:auto;overflow-y:scroll;overflow-x:hidden;border: 1px solid #bbb;">';

foreach($search_in as $search_key=>$search_label){
	$checked='';
	if(isset($_SESSION['fs']['search_'.$search_key])){
		if($_SESSION['fs']['search_'.$search_key]==1){
			$checked=' checked';
		}
	}
	echo '<div><input type="checkbox" name="search_'.$search_key.'" '.$checked.'>'.$search_label.'</div>';
}
echo '</div></div></div>
</div></form>';

echo '<form name="form_fs_show_details" action="dummy.php" method="GET">
<div style="float:left;"><div style="position:relative;top:3px;">'.$tr['ShowDetails'].':</div> </div>';

$showoption['city']=$tr['PlaceOfResidenceAndZip'];
$showoption['employer']=$tr['Employer'];
$showoption['placeofwork']=$tr['PlaceOfWork'];
$showoption['graduation']=$tr['YearOfGraduation'];
$showoption_js='';
foreach($showoption as $show_key=>$show_label){
	$checked='';
	if($_SESSION['fs']['show_'.$show_key]==1){
		$checked=' checked';
		$showoption_js.='show_'.$show_key.'=1&';
	}
	else{
		$showoption_js.='show_'.$show_key.'=0&';
	}

	echo '<div style="float:left;margin-right:8px;"><input type="checkbox" name="show_'.$show_key
	.'" onclick="fs_show_details();" '.$checked.'>'.$show_label.'</div>';
}

echo '<div style="clear:both;"></div>
<div id="fs">performing ajax query<div id="fsloading"></div></div>
<script language="javascript">
<!--
var fs_show_details_data=\''.$showoption_js.'\';
var fs_order_by_data=\''.$_SESSION['fs']['orderby'].'\';
var fs_page_num=1;
fs_load_list();
-->
</script>';

?>