<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

function showJob($user,$gn,$sn,$ph,$date,$company,$type,$field,$contact,$phone,$mail,$description,$path,$file,$edit){
	global $tr,$typesofjob;
	$out='<div style="clear:both;float:left;height:auto;background-color:#f7f7f7;border:#f0f0f0 1px solid;width:580px;margin-bottom:10px;">
		<div style="width:120px;padding:5px;float:right;">
			<img src="'.$ph.'" alt="'.$gn.' '.$sn.'"><br />
			<a href="Profile.php?id='.$user.'">'.$gn.' '.$sn.'</a><br />
			<b>'.$tr['Date'].':</b> '.$date;

	if($edit>0){
		$out.='<div><a href="Jobs.php?edit='.$edit.'">'.$tr['Edit'].'</a></div>
		<div><a href="Jobs.php?delete='.$edit.'" style="color:red;">'.$tr['Delete'].'</a></div>';
	}

	$out.='</div><div style="width:420px;padding:5px 8px;float:left;">';

	if(strlen($company)>0){
		$out.='<div class="jobsl">'.$tr['Company'].':</div>
		<div class="jobsr">'.$company.'</div>';
	}

	$out.='<div class="jsep"></div>
	<div class="jobsl">'.$tr['TypeOfJob'].':</div>
	<div class="jobsr">'.$typesofjob[$type].'</div>';

	if(strlen($field)>0){
		$out.='<div class="jsep"></div>
		<div class="jobsl">'.$tr['FieldOfActivity'].':</div>
		<div class="jobsr">'.$field.'</div>';
	}

	if(strlen($contact)>0){
		$out.='<div class="jsep"></div>
		<div class="jobsl">'.$tr['ContactPerson'].':</div>
		<div class="jobsr">'.$contact.'</div>';
	}

	if(strlen($phone)>0){
		$out.='<div class="jsep"></div>
		<div class="jobsl">'.$tr['Phone'].':</div>
		<div class="jobsr">'.$phone.'</div>';
	}

	if(strlen($mail)>0){
		$out.='<div class="jsep"></div>
		<div class="jobsl">'.$tr['EmailAddress'].':</div>
		<div class="jobsr">'.$mail.'</div>';
	}

	if(strlen($description)>0){
		$out.='<div class="jsep"></div>
		<div class="jobsl">'.$tr['Description'].':</div>
		<div class="jobsr">'.$description.'</div>';
	}

	if(strlen($file)>0){
		if(strlen($file)>50)$file=substr($file,0,47).'...';

		$out.='<div class="jsep"></div>
		<div class="jobsl">'.$tr['File'].': </div>
		<div class="jobsr"><a href="'.$path.'" target="_blank">'.$file.'</a></div>';
	}
	$out.='</div></div><div class="clear:both;height:15px;"></div>';
	echo $out;
}

if($config['enableJobSiteAlumniServer']){
	if($load=='jobs'){
		echo '<ul class="hnav" style="margin:4px 0px;"><li><a href="Jobs.php" style="font-weight:bold;background-color:#cbd5d8;">'.$tr['JobOffersFromUsers'].' </a></li>
		<li><a href="JobsAlumniServer.php" class="nav" style="background-color:#f3f3f3;">'.$tr['JobOffersOnAlumniServer'].' </a></li></ul><div style="clear:both;width:1px;height:3px;font-size:1px;"></div>';
		include('src/jobs/jobsinternal.php');
	}
	else if($load=='jobsalumniserver'){
		echo '<ul class="hnav" style="margin:4px 0px;"><li><a href="Jobs.php" style="background-color:#f3f3f3;">'.$tr['JobOffersFromUsers'].'</a></li>
		<li><a href="JobsAlumniServer.php" style="font-weight:bold;background-color:#cbd5d8;">'.$tr['JobOffersOnAlumniServer'].' </a></li></ul><div style="clear:both;width:1px;height:3px;font-size:1px;"></div>';
		include('src/jobs/jobsalumniserver.php');
	}
	else{
		exit;
	}
}
else{
	include('src/jobs/jobsinternal.php');
}

?>