/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

var initialFieldOfStudyHTML='';
function appendFieldOfStudy(){
	var fields_of_study=document.getElementById('fieldsofstudy');
	if(initialFieldOfStudyHTML==''){
		initialFieldOfStudyHTML=fields_of_study.innerHTML;
	}
	
	var lastIndex=-1;
	if(fields_of_study.childNodes.length>0){
		lastIndex=parseInt(fields_of_study.lastChild.id.substr(12));
	}
	var newIndex=lastIndex+1;
	var nextIndex=lastIndex+2;
	var appendDiv=document.createElement("div");
	appendDiv.id='fieldofstudy'+newIndex;
	appendDiv.innerHTML=' <input type="text" name="fieldofstudy'+newIndex+'" class="inp" value="" style="width:250px;">'
	+'<a href="javascript:deleteFieldOfStudy('+newIndex+')"> delete</a></div>';
	fields_of_study.appendChild(appendDiv)
}

function deleteFieldOfStudy(index){
	var deleteField=document.getElementById('fieldofstudy'+index);
	if(!deleteField){
		return;
	}
	var fields_of_study=document.getElementById('fieldsofstudy');
	if(initialFieldOfStudyHTML==''){
		initialFieldOfStudyHTML=fields_of_study.innerHTML;
	}
	fields_of_study.removeChild(deleteField);
}

//function discardFieldOfStudy(){
//	var fields_of_study=document.getElementById('fieldsofstudy');
//	if(initialFieldOfStudyHTML!=''){
//		fields_of_study.innerHTML=initialFieldOfStudyHTML;
//	}
//}

// degrees
var initialDegreeHTML='';
function appendDegree(){
	var degrees=document.getElementById('degrees');
	if(initialDegreeHTML==''){
		initialDegreeHTML=degrees.innerHTML;
	}
	
	var lastIndex=-1;
	if(degrees.childNodes.length>0){
		lastIndex=parseInt(degrees.lastChild.id.substr(6));
	}
	var newIndex=lastIndex+1;
	var nextIndex=lastIndex+2;
	var appendDiv=document.createElement("div");
	appendDiv.id='degree'+newIndex;
	appendDiv.innerHTML=' <input type="text" name="degree'+newIndex+'" class="inp" value="" style="width:250px;">'
	+'<a href="javascript:deleteDegree('+newIndex+')"> delete</a></div>';
	degrees.appendChild(appendDiv)
}

function deleteDegree(index){
	var deleteDegree=document.getElementById('degree'+index);
	if(!deleteDegree){
		return;
	}
	var degrees=document.getElementById('degrees');
	if(initialDegreeHTML==''){
		initialDegreeHTML=degrees.innerHTML;
	}
	degrees.removeChild(deleteDegree);
}

//function discardDegrees(){
//	var degrees=document.getElementById('degrees');
//	if(initialDegreeHTML!=''){
//		degrees.innerHTML=initialDegreeHTML;
//	}
//}

// software version
function checkVersion(){
	var dversion=document.getElementById('newestversion');
	if(dversion=='undefined'||dversion==null){
		return;
	}
	dversion.innerHTML='checking for newest version...';
	
	var rv=createRequest();
	rv.onreadystatechange=function(){
		if(rv.readyState==4){
			if(rv.status==200){
				var newest=rv.responseText;
				var np=newest.split('.');
				if(np.length!=3){
					dversion.innerHTML='An error occured while checking for newest version.';
					return;			
				}
				
				if(!IsNumeric(np[0])||!IsNumeric(np[1])||!IsNumeric(np[2])){
					dversion.innerHTML='An error occured while checking for newest version.';
					return;
				}
				var vp=version.split('.');
				if(np[0]>vp[0] || (np[0]==vp[0]&&np[1]>vp[1]) || (np[0]==vp[0]&&np[1]==vp[1]&&np[2]>vp[2]) ){
					dversion.innerHTML=newest+'<br/><div style="color:red;">A newer than the installed version is available.</div>';
				}
				else if((np[0]==vp[0]&&np[1]==vp[1]&&np[2]==vp[2])){
					dversion.innerHTML=newest+'<br/><div style="color:green;">You have the newest version installed.</div>';
				}
				else{
					dversion.innerHTML='An error occured while checking for newest version.';
				}
				
			}
		}
	}
	rv.open('POST','src/a/proxyAlumniServer.php', true);
	rv.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	rv.send('load=checknewestversion&lang='+lang)
}
