/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

function loadAlumniServerJobs(){
	var djcn=document.createElement('div');
	djcn.id='jobcategories';
	djcn.className='jobselectbox';
	document.getElementById('alumniserverjobs').appendChild(djcn);
		
	var djfn=document.createElement('div');
	djfn.id='jobfields';
	djfn.className='jobselectbox';
	document.getElementById('alumniserverjobs').appendChild(djfn);

	var djn=document.createElement('div');
	djn.id='jobs';
	document.getElementById('alumniserverjobs').appendChild(djn);
	
	loadJobCategories();
}
function loadJobCategories(){
	var countryselect=document.jobregion.country;
	var region=countryselect.options[countryselect.selectedIndex].value;
		
	var djc=document.getElementById('jobcategories');
	
	if(region=='0'){
		djc.innerHTML='';
		return;
	}
	else{
		djc.innerHTML='loading...';
	}
	
	document.getElementById('jobfields').innerHTML='';
	document.getElementById('jobs').innerHTML='';
	var rjc=createRequest();
	rjc.onreadystatechange=function(){
		if(rjc.readyState==4){
			djc.innerHTML=rjc.responseText;
			djc.style.background='#fff'
		}
	};
	var data='load=jobcategories&lang='+lang+'&region='+region;
	rjc.open('POST','src/a/proxyAlumniServer.php',true);
	rjc.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	rjc.send(data);
}
var highlightedCategory=null;
function loadJobFields(category){
	var djf=document.getElementById('jobfields');
	djf.innerHTML='loading...';
	document.getElementById('jobs').innerHTML='';
	
	if(highlightedCategory!=null)highlightedCategory.style.fontWeight='normal';
	var ac=document.getElementById('ac'+category);
	if(ac){
		ac.style.fontWeight='bold';
		highlightedCategory=ac;
	}
	
	var rjf=createRequest();
	rjf.onreadystatechange=function(){
		if(rjf.readyState==4){
			djf.innerHTML=rjf.responseText;
			djf.style.background='#fff'
		}
	};
	
	var data='load=jobfields&lang='+lang+'&category='+category;
	rjf.open('POST','src/a/proxyAlumniServer.php',true);
	rjf.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	rjf.send(data);
}

var highlightedField=null;
function loadJobs(field,page){
	if(page==null)page=1
	var dj=document.getElementById('jobs');
	dj.innerHTML='loading...';

	if(highlightedField!=null)highlightedField.style.fontWeight='normal';
	var ac=document.getElementById('af'+field);
	if(ac){
		ac.style.fontWeight='bold';
		highlightedField=ac;
	}
	
	var rj=createRequest();
	rj.onreadystatechange=function(){
		if(rj.readyState==4){
			dj.innerHTML=rj.responseText;
		}
	};
	
	var data='load=jobs&lang='+lang+'&field='+field+'&page='+page;
	rj.open('POST','src/a/proxyAlumniServer.php',true);
	rj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	rj.send(data);
}
