<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

$tr=array(
'ForgotPassword'						=>	'Passwort vergessen?',
'PasswordWrong'							=>	'Email-Adresse oder Passwort war falsch',
'TermsOfUse'							=>	'Nutzungsbedingungen',
'TermsOfUseShort'						=>	'Nutzungsbed.',
'Imprint'								=>	'Impressum',
'Sex'									=>	'Geschlecht',
'Female'								=>	'weiblich',
'Male'									=>	'm&auml;nnlich',
'Gn'									=>	'Vorname',
'Sn'									=>	'Nachname',
'Birthday'								=>	'Geburtsdatum',
'Degree'								=>	'Abschluss',
'PlaceOfResidence'						=>	'Wohnort',
'PlaceOfResidenceAndZip'				=>	'Wohnort, PLZ',
'Street'								=>	'Strasse',
'Zip'									=>	'PLZ',
'Zipcode'								=>	'PLZ',
'City'									=>	'Ort',
'Country'								=>	'Land',
'Phone'									=>	'Telefon',
'Cellphone'								=>	'Handy',
'PersonalData'							=>	'Pers&ouml;nliche Daten',
'RelationStatus'						=>	'Beziehungsstatus',
'HouseNumber'							=>	'Hausnummer',
'Contact'								=>	'Kontakt',
'Address'								=>	'Adresse',
'HomeAddress'							=>	'Heimatadresse',

'Registered'							=>	'angemeldet',
'Photo'									=>	'Foto',
'RegisterRequestedData'					=>	'Folgende Angaben werden zur Anmeldung ben&ouml;tigt',
'SpecifySex'							=>	'Bitte Geschlecht angeben',
'AlreadyRegistered'						=>	'Sie sind bereits angemeldet',
'NewPasswordOnStartPage'				=>	'Auf der Startseite k&ouml;nnen Sie ein neues Passwort erstellen',
'ToStartPage'							=>	'Zur Startseite',
'BackToOverview'						=>	'Zur&uuml;ck zur &Uuml;bersicht',
'Change'								=>	'&auml;ndern',
'DiscardChanges'						=>	'&Auml;nderungen verwerfen',
'Save'									=>	'Speichern',
'SaveChanges'							=>	'&Auml;nderungen speichern',
'Cancel'								=>	'Abbrechen',

'NoAccountYet'							=>	'Noch keinen Account',
'SignUpHere'							=>	'Hier neu anmelden',

'PhotoUploadNoCopyrightViolation'		=>	'Bitte achte darauf dass dieses Foto keine Urheberrechte oder die Nutzungbedingungen dieser Webseite verletzt',

'Start'									=>	'Start',
'MyPage'								=>	'Meine Seite',
'Message'								=>	'Nachricht',
'Messages'								=>	'Nachrichten',
'Pictures'								=>	'Fotos',
'MyPictures'							=>	'Meine Fotos',
'FellowStudents'						=>	'Kommilitonen',
'Forum'									=>	'Forum',
'Newsletter'							=>	'Newsletter',
'Jobs'									=>	'Jobs',
'Fundraising'							=>	'Fundraising',
'Logout'								=>	'Logout',

'StartpageOutside'						=>	'Startseite aussen',
'StartpageInside'						=>	'Startseite innen',
'Users'									=>	'Benutzer',
'AllowedToRegister'						=>	'Anmeldeberechtigt',
'Settings'								=>	'Einstellungen',
'Support'								=>	'Support',

'UploadWasSuccessful'					=>	'Upload war erfolgreich',
'Notification'							=>	'Benachrichtigung',
'NewsletterFromFaculty'					=>	'Newsletter von der Fakult&auml;t bzw. Administrator',

'January'								=>	'Januar',
'February'								=>	'Februar',
'March'									=>	'M&auml;rz',
'April'									=>	'April',
'May'									=>	'Mai',
'June'									=>	'Juni',
'July'									=>	'Juli',
'August'								=>	'August',
'September'								=>	'September',
'October'								=>	'Oktober',
'November'								=>	'November',
'December'								=>	'Dezember',

'Alumnus'								=>	'Absolventin/Absolvent',
'Student'								=>	'Studentin/Student',
'Professor'								=>	'Professor',
'Other'									=>	'Sonstiges',

'Employed'								=>	'angestellt',
'CivilServant'							=>	'beamtet',
'Freelancer'							=>	'selbst&auml;ndig',
'Studying'								=>	'studierend',
'Retired'								=>	'im Ruhestand',
'JobSearching'							=>	'arbeitsuchend',
'PlaceOfWork'							=>	'Arbeitsort',

'ChangeName'							=>	'Name &auml;ndern',
'BirthName'								=>	'Geburtsname',
'ChangeEmail'							=>	'Email-Adresse &auml;ndern',
'CurrentEmail'							=>	'Bisherige Email-Adresse',
'NewEmail'								=>	'Neue Email-Adresse',
'FieldDegree'							=>	'Studienfach/Abschluss',
'FieldOfStudy'							=>	'Studienrichtung',
'StudyFieldGroup'						=>	'Fachgruppe',
'JobRelated'							=>	'Berufliches',
'Iam'									=>	'Ich bin',
'AtThisCompanyInstitution'				=>	'Bei folgendem Unternehmen/Institution',
'Privacy'								=>	'Privatsph&auml;re',
'NewMessages'							=>	'Neue Nachrichten',
'NewMessage'							=>	'Neue Nachricht',
'Answer'								=>	'Antworten',
'IWantToBeNotifiedAbout'				=>	'Ich will benachrichtigt werden (per E-Mail) &uuml;ber',
'IWantToReceiveNewsletters'				=>	'Ich will Newsletter der Hochschule empfangen',
'Yes'									=>	'Ja',
'No'									=>	'Nein',
'PhotoForMyPage'						=>	'Foto f&uuml;r meine Seite',
'UploadNewPhoto'						=>	'neues Foto hochladen',
'CurrentPhoto'							=>	'Aktuelles Foto',
'DeleteCurrentPhoto'					=>	'Aktuelles Foto loeschen',
'DeleteThisPhoto'						=>	'Dieses Foto loeschen',
'Password'								=>	'Passwort',
'ChangePassword'						=>	'Passwort &auml;ndern',
'PleaseMakeSurePersonalDataIsCorrect'	=>	'Beachten Sie bitte, dass bei falschem oder unvollst&auml;ndigem Namen Ihre Freunde oder Kollegen Sie evtl. nicht finden k&ouml;nnen',
'UploadFile'							=>	'Datei hochladen',
'SupportedFileTypes'					=>	'Unterst&uuml;tzte Dateitypen',
'Important'								=>	'Wichtig',
'Delete'								=>	'Loeschen',
'GnSeemsToBeIncorrect'					=>	'Der Vorname scheint nicht korrekt zu sein',
'SnSeemsToBeIncorrect'					=>	'Der Nachname scheint nicht korrekt zu sein',
'AnErrorOccured'						=>	'Fehler aufgetreten',
'PleaseTryAgain'						=>	'Bitte nochmal probieren',
'SavedChanges'							=>	'&Auml;nderungen wurden gespeichert',
'NoChangesSaved'						=>	'keine &Auml;nderungen gespeichert',
'JsNoChangesSaved'						=>	'Keine Änderungen gespeichert', // js
'Name'									=>	'Name',
'EmailOrPasswordWrong'					=>	'E-Mail Adresse oder Passwort waren falsch',
'EmailSeemsToBeIncorrect'				=>	'Die E-Mail Adresse scheint nicht ok zu sein',
'EmailAlreadyExisting'					=>	'Diese E-Mail Adresse ist bereits vorhanden',
'NewEmailForAccount'					=>	'Neue E-Mail Adresse fuer Ihren Account bei',
'ClickOnConfirmLink'					=>	'Sie koennen die neue E-Mail Adresse durch einen Klick auf untenstehenden Link bestaetigen',
'YouWillReceiveConfirmMail'				=>	'Um die neue E-Mail Adresse zu best&auml;tigen, bekommen Sie in K&uuml;rze eine E-Mail. Diese E-Mail enth&auml;lt einen Best&auml;tigungs-Link',
'PhotoSaved'							=>	'Das neue Foto wurde gespeichert',
'PhotoDeleted'							=>	'Das Foto wurde geloescht',
'Edit'									=>	'Bearbeiten',
'Send'									=>	'Versenden',
'Preview'								=>	'Voransicht',
'ProceedToPreview'						=>	'Weiter zur Voransicht',
'Publish'								=>	'Ver&ouml;ffentlichen',
'WriteNewNewsletter'					=>	'Neuen Newsletter erstellen',
'WillBeOverwrittenWithNextUpload'		=>	'wird bei erneutem upload &uuml;berschrieben',
'ExistingFile'							=>	'Vorh. Datei',
'IfApplicable'							=>	'falls vorhanden',
'ContentOfStartPage'					=>	'Inhalt der Startseite (aussen)',
'NewsletterHasBeenSent'					=>	'Newsletter wurde gesendet',
'RegistrationAt'						=>	'Anmeldung bei',
'Hello'									=>	'Hallo',
'YourRegistrationHasBeenConfirmed'		=>	'Ihre Anmeldung wurde vom Administrator bestaetigt',
'YouCanNowLoginTo'						=>	'Sie koennen sich jetzt anmelden auf der Seite',
'HaveFunAndSuccess'						=>	'Viel Erfolg und viel Spass bei der Teilnahme am Alumni Netzwerk',
'YourRegistrationHasBeenRejected'		=>	'Ihre Anmeldung wurde vom Administrator abgelehnt',
'IfYouAreAStudentOrAlumniPleaseReferTo'	=>	'Wenn Sie Student oder Absolvent sind, wenden Sie sich bitte an',
'AreYouSureYouWantToDropUser'			=>	'Soll dieser Nutzer wirklich gel&ouml;scht werden',
'ThisCommandIsUndoable'					=>	'Dieses Kommando kann rueckgaengig gemacht werden',
'UserDeleted'							=>	'Benutzer geloescht',
'NewUnconfirmedUsers'					=>	'Neue, noch unbest&auml;tigte Alumni',
'Confirm'								=>	'best&auml;tigen',
'Reject'								=>	'abweisen',
'RegisteredUsersOnThisWebsite'			=>	'Nutzer mit Account auf dieser Webseite',
'ContentOfWelcomePage'					=>	'Inhalt der Willkommensseite (innen)',
'UserHasBeenConfirmed'					=>	'Nutzer wurde best&auml;tigt',
'UserHasBeenRejected'					=>	'Nutzer wurde abgelehnt',
'EditUserProperties'					=>	'Benutzerdaten editieren',
'DeleteUser'							=>	'Benutzer l&ouml;schen',
'HideUser'								=>	'Benutzer unsichtbar machen',
'UnHideUser'							=>	'Benutzer sichtbar machen',
'UserHasBeenHidden'						=>	'Benutzer wurde unsichtbar gemacht',
'UserHasBeenUnhidden'					=>	'Benutzer wurde sichtbar gemacht',
'Hidden'								=>	'Unsichtbar',
'UserIsCurrentlyHidden'					=>	'Benutzer ist im Moment unsichtbar',
'IfHiddenThenUserIsNotVisible'			=>	'Wenn ein Benutzer unsichtbar ist, ist er nicht gel&ouml;scht, ist aber f&uuml;r andere Benutzer nicht mehr sichtbar (ausser per direktem Link, z.B. bei den Nachrichten)',
'DeleteSelectedMessages'				=>	'Ausgew&auml;hlte Nachrichten l&ouml;schen',
'Company'								=>	'Unternehmen',
'ExistingFile_WillBeOverWritten'		=>	'Vorh. Datei (wird bei erneutem upload &uuml;berschrieben)',

'Fulltime'								=> 'Vollzeit',
'Parttime'								=> 'Teilzeit',
'Trainee'								=> 'Trainee',
'Placement'								=> 'Praktikum',
'Feebased'								=> 'Honorarbasis',
'Freelance'								=> 'Freie Mitarbeit',

'Job'									=>	'Anstellung',
'Contract'								=>	'Auftrag',
'TypeOfJob'								=>	'Art des Angebots',
'FieldOfActivity'						=>	'Tätigkeitsfeld',
'NewPictures'							=>	'Neue Fotos',
'RandomPictures'						=>	'Zuf&auml;llige Fotoauswahl',
'NewMessageFrom'						=>	'Neue Nachricht von',
'YouHaveNewMailFrom'					=>	'Sie haben eine neue Nachricht erhalten von',
'YouCanLoginHereToAnswer'				=>	'Hier koennen Sie sich einloggen, um auf die Nachricht zu antworten',
'ResetLinkWasIncorrect'					=>	'Der Reset-Link ist leider nicht korrekt',
'ResetLinkExpired'						=>	'Der Reset-Link ist bereits abgelaufen',
'NewPasswordSavedYouCanLoginNow'		=>	'Das neue Passwort wurde gespeichert. Sie koennen sich jetzt damit einloggen',
'PasswordRetypeWasWrong'				=>	'Die Passwort Wiederholung war nicht korrekt',
'EnterANewPasswordHere'					=>	'Hier koennen Sie ein neues Passwort eingeben',
'NewPassword'							=>	'Neues Passwort',
'ClickOnThisPasswordResetLink'			=>	'Mit diesem Link koennen Sie ein neues Passwort eingeben',
'InCaseYouDidntAskForANewPassword'		=>	'Falls Sie gar kein neues Passwort angefordert haben, hat jemand anders Ihre Email-Adresse eingegeben',
'ButStillYourPasswordCanOnlyBeChangedByYou'	=>	'Ihr Passwort kann trotzdem nur von Ihnen geaendert werden, bitte ignorieren Sie in dem Fall diese Nachricht',
'YouCanStillUseYourOldPassword'			=>	'Sie koennen weiter Ihr bisheriges Passwort verwenden',
'YouWillGetAnEmailShortly'				=>	'Sie bekommmen in K&uuml;rze eine Email mit einem Link, &uuml;ber den das Passwort neu gesetzt werden kann',
'Submit'								=>	'Abschicken',
'NoAccountWithThisEmailFound'			=>	'Keinen Account mit dieser Email-Adresse gefunden',
'PleaseEnterYourEmailAddress'			=>	'Bitte geben Sie die zu Ihrem Account geh&ouml;rende Email-Adresse ein',
'ClickOnThisLink'						=>	'Wenn Sie auf den untenstehenden Link klicken, wird die Anmeldung abgeschlossen',
'YourPasswordIs'						=>	'Ihr Passwort lautet',
'DeleteRecord'							=>	'Eintrag l&ouml;schen',
'NoRecordsAvailable'					=>	'Keine Eintr&auml;ge vorhanden',
'YouHaveNewMessages'					=>	'Sie haben neue Nachrichten',
'NewUsers'								=>	'Neue Mitglieder',
'PleaseEnterGivenName'					=>	'Bitte Vorname eingeben',
'PleaseEnterSurName'					=>	'Bitte Nachname eingeben',
'PleaseEnterBirthday'					=>	'Bitte Geburtsdatum eingeben',
'EmailAddress'							=>	'Email-Adresse',
'WebAddress'							=>	'Web-Addresse',
'PleaseEnterValidEmailAddress'			=>	'Bitte g&uuml;ltige Email-Adresse eingeben',
'IAcceptAboveTermsOfUse'				=>	'Ich akzeptiere hiermit die obenstehenden Nutzungsbedingungen',
'YouHaveToAgreeToTermsOfUse'			=>	'Sie m&uuml;ssen den Nutzungsbedingungen zustimmen',
'HaveFunUsingWithTheAlumniNetwork'		=>	'Viel Spass bei der Nutzung der Alumni Webseite',
'YouWillReceiveAnEmailToConfirmMailAddress'	=>	'Sie bekommmen in K&uuml;rze eine Email mit einem Link zur Best&auml;tigung der Email-Adresse',
'GoToStartPage'							=>	'Zur Startseite',
'ConfirmLinkIsIncorrectOrExpired'		=>	'Der Best&auml;tigungs-Link war leider nicht korrekt oder ist schon zu alt',
'AccountAlreadyActivated'				=>	'Der Account ist bereits aktiviert.<br/>Sie k&ouml;nnen sich auf der <a href="index.php">Startseite</a> anmelden',
'YourAccountNeedsToBeActivatedByTheAmdin'	=>	'Der Account muss noch vom Administrator dieser Webseite bestaetigt werden',
'ConfirmLinkExpired'					=>	'Der Best&auml;tigungs-Link ist bereits abgelaufen. Bitte melde Dich erneut an',
'RegistrationSuccesful'					=>	'Die Anmeldung hat geklappt',
'YouCanLoginNow'						=>	'Sie k&ouml;nnen sich jetzt mit dem per Email zugesendeten Passwort auf der <a href="index.php">Startseite</a> einloggen',
'EmailConfirmationSuccessful'			=>	'Die Best&auml;tigung der Email-Adresse hat geklappt',
'YouWillBeInformedByEmail'				=>	'Sie wirden dar&uuml;ber per Email benachrichtigt',
'NewRegistrationOn'						=>	'Neue Anmeldung auf',
'ANewUserHasRegistered'					=>	'Es hat sich ein neuer Benutzer angemeldet',
'YouNeedToConfirmStatus'				=>	'Der Status als Absolvent oder Student muss von Ihnen bestaetigt bzw. abgelehnt werden',
'YouCanDoThisOnTheAdminPages'			=>	'Auf den Admin Seiten unter "Benutzerverwaltung" kann der neue Benutzer bestaetigt werden',
'WebAddress'							=>	'Web-Adresse',
'FileIsTooBig'							=>	'Datei ist zu gro&szlig;',
'FileTypeIsNotPdf'						=>	'Dateityp ist nicht pdf',
'ContactPerson'							=>	'Kontaktperson',
'Description'							=>	'Beschreibung',
'File'									=>	'Datei',
'Date'									=>	'Datum',
'NewsletterPreview'						=>	'Newsletter Voransicht',
'From'									=>	'Von',
'GivenOrSurname'						=>	'Vorname oder Nachname',
'YearOfGraduation'						=>	'Abschlussjahr',
'ResidenceOrZipcode'					=>	'Wohnort oder PLZ',
'NoFellowStudentsToThisSearchFound'		=>	'Keine Kommilitonen zu dieser Suche gefunden',
'Search'								=>	'Suche',
'EditJobOffer'							=>	'Stellenangebot bearbeiten',
'InsertNewJobOffer'						=>	'Neue Stelle eintragen',
'DurationOfAnnouncement'				=>	'Ver&ouml;ffentlichungsdauer',
'Day'									=>	'Tag',
'Days'									=>	'Tage',
'IfApplicable'							=>	'Ggf.',
'ShortDescription'						=>	'Kurzbeschreibung',
'RecordCanBeEditedOrDeleted'			=>	'Der Eintrag kann nach dem Speichern von Ihnen editiert, deaktiviert oder gel&ouml;scht werden',
'ReallyDeleteJobOffer'					=>	'Eintrag wirklich l&ouml;schen',
'NoDontDelete'							=>	'Nein, nicht l&ouml;schen',
'YesDeleteRecord'						=>	'Ja, Eintrag l&ouml;schen',
'JobOffersOrApplications'				=>	'Stellenangebote',
'DeactivatedRecords'					=>	'Deaktivierte Eintr&auml;ge',
'RecordHasBeenDeleted'					=>	'Eintrag wurde gel&ouml;scht',
'JobOffersFromUsers'					=>	'Stellenangebote von Mitgliedern',
'JobOffersOnAlumniServer'				=>	'Stellenangebote auf AlumniServer.net',
'RecordHasBeenSaved'					=>	'Eintrag wurde gespeichert',
'ThereIsANewJobOffer'					=>	'Es gibt ein neues Stellenangebot',
'YouCanLogInHereToSeeDetails'			=>	'Hier koennen Sie sich einloggen, um naehere Informationen zu sehen',
'NotificationHasBeenSent'				=>	'Benachrichtigung wurde gesendet',
'ShouldANotificationBeSent'				=>	'Soll eine Benachrichtigung per E-Mail an alle Mitglieder gesendet werden?',
'ToOverview'							=>	'Zur &Uuml;bersicht',
'AddComment'							=>	'Kommentar / Beschreibung hinzufgen',
'PhotoAlbumFrom'						=>	'Fotoalbum von',
'DeleteFile'							=>	'Datei l&ouml;schen',
'UploadFile'							=>	'Datei hochladen',
'AlbumIsEmpty'							=>	'Dieses Album ist noch leer',
'FileIsTooBig'							=>	'Die Datei ist zu gross',
'SizeOfUploadedFile'					=>	'Gr&ouml;&szlig;e der hochgeladenen Datei',
'MaximumFileSize'						=>	'Maximale Dateigr&ouml;&szlig;e',
'OnlyJpegPngGifCanBeProcessed'			=>	'Es k&ouml;nnen nur jpeg, png, bmp oder gif verarbeitet werden',
'UploadedFileTypeIs'					=>	'Vorhanden ist',
'CommentHasBeenSaved'					=>	'Kommentar wurde gespeichert',
'PhotoHasBeenDeleted'					=>	'Das Bild wurde erfolgreich gel&ouml;scht',
'GoToMyAlbum'							=>	'Zu meinem Album',
'ShouldThisFileReallyBeDeleted'			=>	'Soll diese Datei wirklich gel&ouml;scht werden',
'ReallyDelete'							=>	'Wirklich l&ouml;schen',
'JobOffersFrom'							=>	'Jobangebote von',
'Subject'								=>	'Fach',
'Field'									=>	'Bereich',
'NewForumPost'							=>	'Neuer Eintrag f&uuml;r das Forum',
'WriteNewPost'							=>	'Neuen Eintrag schreiben',
'Posts'									=>	'Eintr&auml;ge',
'NoPosts'								=>	'Noch keine Eintr&auml;ge vorhanden',
'ConfirmLinkExpired'					=>	'Der Link ist nicht mehr g&uuml;ltig',
'ChangeEmailAddress'					=>	'Email-Adresse &auml;ndern',
'TheNewEmailAddress'					=>	'Die neue Email-Adresse',
'HasBeenSavedSuccessfully'				=>	'wurde erfolgreich gespeichert',
'Move'									=>	'verschieben',
'NoNewslettersYet'						=>	'Keine Newsletter vorhanden',
'ForumPostHasBeenSaved'					=>	'Eintrag wurde gespeichert',
'AcceptUserAndSendHimThisNotification'	=>	'Benutzer akzeptieren und folgende Benachrichtigung per E-Mail schicken',
'RejectUserAndSendHimThisNotification'	=>	'Benutzer ablehnen und folgende Benachrichtigung per E-Mail schicken',
'ForCompanies'							=>	'F&uuml;r Unternehmen',
'InsertJobOffer'						=>	'Hier können Sie Stellenangebote eintragen',
'RegularJob'							=>	'Stellenangebot',
'FurtherDescriptionOfJob'				=>	'Ggf. weitere Beschreibung der Stelle',
'AttachmentAsPdfIfApplicable'			=>	'Ggf. Attachment als pdf',
'PostYourJobOfferOnThisWebsite'			=>	'Stellen Sie Ihr Stellenangebot auf dieser Seite online',
'PleaseWriteAnEmailTo'					=>	'Bitte schreiben Sie eine E-Mail an',
'IncludingTheseInformations'			=>	'mit folgenden Informationen',
'AlternativelyYouCanPostYourJobOfferOnAlumniServer'		=>	'Alternativ k&ouml;nnen Sie Stellenangebote auch auf <a href="http://www.alumniserver.net">www.alumniserver.net</a> eingeben',
'ItWillBeAvailableOnManyAlumniWebsites'	=>	'Es wird dann auf vielen Alumni Webseiten verf&uuml;gbar sein, diese eingeschlossen',
'WeWillPostYourJobOffer'				=>	'Wir werden dann Ihr Stellenangebot umgehend den Alumni auf der internen Stellenmarktseite zur Verf&uuml;gung stellen',
'Registrations'							=>	'Anmeldungen',
'CurrentlyNoUnconfirmedRegistrations'	=>	'Momentan keine unbest&auml;tigten Anmeldungen',
'DataPrivacyStatement'					=>	'Datenschutzerkl&auml;rung',
'DataPrivacy'							=>	'Datenschutz',
'CurrentlyNoJobsAvailable'				=>	'Momentan keine Stellenangebote vorhanden',
'InThatCategory'						=>	'in dieser Kategorie',
'Sent'									=>	'Gesendet',
'Inbox'									=>	'Inbox',
'NoMessages'							=>	'Keine Nachrichten vorhanden',
'Unknown'								=>	'unbekannt',
'UploadWebsiteLogo'						=>	'Logo hochladen',
'TitleBackgroundColor'					=>	'Hintergrundfarbe Titelbereich',
'UserIsCurrentlyDeactivated'			=>	'Nutzer ist deaktiviert',
'TheFollowingMessageIsShownInstead'		=>	'Der folgende Hinweis wird auf der Seite des Nutzers anstelle von Kontaktdetails angezeigt',
'ReactivateUser'						=>	'Nutzer re-activieren',
'YouCanDeactivateAUserAndShowAMessageInstead'	=>	'Sie k&ouml;nnen einen Nutzer deaktivieren und einen Hinweis auf seiner Seite anzeigen anstelle von Kontaktdetails',
'WritingMessagesToThisUserWillBeDisabled'		=>	'An diesen Nutzer k&ouml;nnen dann keine Nachrichten mehr geschrieben werden',
'DeactivateUser'						=>	'Nutzer deaktivieren',
'MessageOnTheUsersPage'					=>	'Hinweis auf der Seite des Nutzers anstelle von Kontaktdetails',
'WriteMessage'							=>	'Nachricht schreiben',
'WriteMessageTo'						=>	'Nachricht schreiben an',
'Employer'								=>	'Arbeitgeber',
'MessageHasBeenSentSuccessfully'		=>	'Nachricht wurde erfolgreich gesendet',
'Year'									=>	'Jahr',
'Years'									=>	'Jahre',
'MessageDeleted'						=>	'Nachricht gelöscht', // js
'ReallyDeleteSelectedMessages'			=>	'ausgewählte Nachrichten wirklich löschen', // js
'RepeatPassword'						=>	'Passwort wiederholen',
'SavePassword'							=>	'Passwort speichern',
'ChangePassword'						=>	'Passwort ändern', // js
'PasswordsWereNotIdentical'				=>	'Die Passwörter waren nicht identisch', // js
'LengthOfPasswordsNeedsToBeAtLeast6'	=>	'Das Passwort muss mindestens 6 Zeichen lang sein', // js
'PasswordHasBeenChanged'				=>	'Passwort wurde geändert', // js
'CurrentlyNoPictures'					=>	'Momentan noch keine Bilder vorhanden',
'NewJobOffersPostedByMembers'			=> 	'Neue Stellenangebote die von anderen Nutzern eingegeben werden',
'Update'								=>	'Update',
'PublicProfilePage'						=>	'&Ouml;ffentliche Profilseite',
'IWantMyProfilePageToBePublic'			=> 	'Ich m&ouml;chte meine Profilseite &ouml;ffentlich machen wie eine richtige Webseite',
'PhotoAlbum'							=>	'Fotoalbum',
'UnconfirmedNewEmailAddress'			=>	'Unbest&auml;tigte neue E-Mail Adresse',
'YourProfilePageWillThenBeReachable'	=>	'Ihre Profilseite wird dann &ouml;ffentlich erreichbar sein &uuml;ber diese Adresse',
'Status'								=>	'Status',
'Retry'									=>	'Nochmal versuchen',
'ExistingFileTypeIs'					=>	'Vorhandener Dateityp ist',
'OrderBy'								=>	'Sortieren nach',
'Filter'								=>	'Filter',
'SearchIn'								=>	'Suchen in',
'ShowDetails'							=>	'Details anzeigen',
'ClearSearch'							=>	'Suche aufheben'
);
?>