<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

$tr=array(
'ForgotPassword'						=>	'Forgot Password?',
'PasswordWrong'							=>	'E-mail address or password was wrong',
'TermsOfUse'							=>	'Terms of use',
'TermsOfUseShort'						=>	'Terms of use',
'Imprint'								=>	'Imprint',
'Sex'									=>	'Sex',
'Female'								=>	'female',
'Male'									=>	'male',
'Gn'									=>	'Given name',
'Sn'									=>	'Surname',
'Birthday'								=>	'Birthday',
'Degree'								=>	'Degree',
'PlaceOfResidence'						=>	'Place of residence',
'PlaceOfResidenceAndZip'				=>	'Place of residence, Zipcode',
'Street'								=>	'Street',
'Zip'									=>	'ZIP',
'Zipcode'								=>	'Zipcode',
'City'									=>	'City',
'Country'								=>	'Country',
'Phone'									=>	'Phone',
'Cellphone'								=>	'Cell phone',
'PersonalData'							=>	'Personal data',
'RelationStatus'						=>	'Relation status',
'HouseNumber'							=>	'House number',
'Contact'								=>	'Contact',
'Address'								=>	'Adress',
'HomeAddress'							=>	'Home address',

'Registered'							=>	'registered',
'Photo'									=>	'Photo',
'RegisterRequestedData'					=>	'The following data are needed to create a new account',
'SpecifySex'							=>	'Please specify sex',
'AlreadyRegistered'						=>	'You already have an account',
'NewPasswordOnStartPage'				=>	'At the start page you can retrieve a new password',
'ToStartPage'							=>	'Go to start page',
'BackToOverview'						=>	'Back to overview',
'Change'								=>	'change',
'DiscardChanges'						=>	'Discard changes',
'Save'									=>	'Save',
'SaveChanges'							=>	'Save changes',
'Cancel'								=>	'Cancel',

'NoAccountYet'							=>	'No account yet',
'SignUpHere'							=>	'Sign up here',

'PhotoUploadNoCopyrightViolation'		=>	'Please make sure, that this picture does not violate copyright or the terms of use of this website',

'Start'									=>	'Start',
'MyPage'								=>	'My Page',
'Message'								=>	'Message',
'Messages'								=>	'Messages',
'Pictures'								=>	'Pictures',
'MyPictures'							=>	'My Pictures',
'FellowStudents'						=>	'Fellow Students',
'Forum'									=>	'Forum',
'Newsletter'							=>	'Newsletter',
'Jobs'									=>	'Jobs',
'Fundraising'							=>	'Fundraising',
'Logout'								=>	'Logout',

'StartpageOutside'						=>	'Start page outside',
'StartpageInside'						=>	'Start page inside',
'Users'									=>	'Users',
'AllowedToRegister'						=>	'Allowed to register',
'Settings'								=>	'Settings',
'Support'								=>	'Support',

'UploadWasSuccessful'					=>	'Upload was successful',
'Notification'							=>	'Notification',
'NewsletterFromFaculty'					=>	'Newsletter from the fakulty or administrator',

'January'								=>	'January',
'February'								=>	'February',
'March'									=>	'March',
'April'									=>	'April',
'May'									=>	'May',
'June'									=>	'June',
'July'									=>	'July',
'August'								=>	'August',
'September'								=>	'September',
'October'								=>	'October',
'November'								=>	'November',
'December'								=>	'December',

'Alumnus'								=>	'Alumni',
'Student'								=>	'Student',
'Professor'								=>	'Professor',
'Other'									=>	'Other',

'Employed'								=>	'employed',
'CivilServant'							=>	'civil servant',
'Freelancer'							=>	'freelancer',
'Studying'								=>	'studying',
'Retired'								=>	'retired',
'JobSearching'							=>	'searching for a job',
'PlaceOfWork'							=>	'Place of work',

'ChangeName'							=>	'Change name',
'BirthName'								=>	'Birth name',
'ChangeEmail'							=>	'Change email addresss',
'CurrentEmail'							=>	'Current email address',
'NewEmail'								=>	'New email addresse',
'FieldDegree'							=>	'Field/Degree',
'FieldOfStudy'							=>	'Field of study',
'StudyFieldGroup'						=>	'Area',
'JobRelated'							=>	'Job related',
'Iam'									=>	'I am',
'AtThisCompanyInstitution'				=>	'At this company/institution',
'Privacy'								=>	'Privacy',
'NewMessages'							=>	'New messages',
'NewMessage'							=>	'New message',
'Answer'								=>	'Answer',
'IWantToBeNotifiedAbout'				=>	'I want to be notified (via email) about',
'IWantToReceiveNewsletters'				=>	'I want to receive newsletters',
'Yes'									=>	'Yes',
'No'									=>	'No',
'PhotoForMyPage'						=>	'Photo for my page',
'UploadNewPhoto'						=>	'Upload new photo',
'CurrentPhoto'							=>	'Current photo',
'DeleteCurrentPhoto'					=>	'Delete current photo',
'DeleteThisPhoto'						=>	'Delete this photo',
'Password'								=>	'Password',
'ChangePassword'						=>	'change password',
'PleaseMakeSurePersonalDataIsCorrect'	=>	'Please make sure your personal data is correct, otherwise your friends or collegues can\'t find and contact you',
'UploadFile'							=>	'Upload file',
'SupportedFileTypes'					=>	'Supported file types',
'Important'								=>	'Important',
'Delete'								=>	'Delete',
'GnSeemsToBeIncorrect'					=>	'Given name seems to be incorrect',
'SnSeemsToBeIncorrect'					=>	'Surname seems to be incorrect',
'AnErrorOccured'						=>	'An error occured',
'PleaseTryAgain'						=>	'Please try again',
'SavedChanges'							=>	'Saved changes',
'NoChangesSaved'						=>	'No changes saved',
'JsNoChangesSaved'						=>	'No changes saved', // js
'Name'									=>	'Name',
'EmailOrPasswordWrong'					=>	'Email addresse or password was wrong',
'EmailSeemsToBeIncorrect'				=>	'Email address seems to be incorrect',
'EmailAlreadyExisting'					=>	'Email address already exists',
'NewEmailForAccount'					=>	'New email address for your account at',
'ClickOnConfirmLink'					=>	'You can now confirm the new email address by clicking on the link below',
'YouWillReceiveConfirmMail'				=>	'To confirm the new email address, you will receive an email shortly. This email will contain a link to confirm the new address',
'PhotoSaved'							=>	'Photo has been saved',
'PhotoDeleted'							=>	'Photo has been deleted',
'Edit'									=>	'Edit',
'Send'									=>	'Send',
'Preview'								=>	'Preview',
'ProceedToPreview'						=>	'Proceed to preview',
'Publish'								=>	'Publish',
'WriteNewNewsletter'					=>	'Write new newsletter',
'WillBeOverwrittenWithNextUpload'		=>	'will be overwritten with next upload',
'ExistingFile'							=>	'Existing file',
'IfApplicable'							=>	'if applicable',
'ContentOfStartPage'					=>	'Content of the start page (outside)',
'NewsletterHasBeenSent'					=>	'Newsletter has been sent',
'RegistrationAt'						=>	'Registration at',
'Hello'									=>	'Hello',
'YourRegistrationHasBeenConfirmed'		=>	'Your registration has been confirmed by the administrator',
'YouCanNowLoginTo'						=>	'You can now login to',
'HaveFunAndSuccess'						=>	'Have fun and success using the Alumni Network',
'YourRegistrationHasBeenRejected'		=>	'Your registration has been rejected by the administrator',
'IfYouAreAStudentOrAlumniPleaseReferTo'	=>	'If you are a student or alumni, please refer to',
'AreYouSureYouWantToDropUser'			=>	'Are you sure you want to drop user',
'ThisCommandIsUndoable'					=>	'This command is undoable',
'UserDeleted'							=>	'User deleted',
'NewUnconfirmedUsers'					=>	'New, unconfirmed users',
'Confirm'								=>	'confirm',
'Reject'								=>	'reject',
'RegisteredUsersOnThisWebsite'			=>	'Registered users on this website',
'ContentOfWelcomePage'					=>	'Content of welcome page (inside)',
'UserHasBeenConfirmed'					=>	'User has been confirmed',
'UserHasBeenRejected'					=>	'User has been rejected',
'EditUserProperties'					=>	'Edit user properties',
'DeleteUser'							=>	'Delete user',
'HideUser'								=>	'Hide user',
'UnHideUser'							=>	'Unhide user',
'UserHasBeenHidden'						=>	'User has been hidden',
'UserHasBeenUnhidden'					=>	'User has been unhidden',
'Hidden'								=>	'Hidden',
'UserIsCurrentlyHidden'					=>	'User is currently hidden',
'IfHiddenThenUserIsNotVisible'			=>	'If hidden, user is not visible to other users (except of a direct link, for example on the messages page)',
'DeleteSelectedMessages'				=>	'Delete selected messages',
'Company'								=>	'Company',
'ExistingFile_WillBeOverWritten'		=>	'Esisting file (will be overwritten if you repeat upload)',

'Fulltime'								=> 'Full time',
'Parttime'								=> 'Part-time',
'Trainee'								=> 'Trainee',
'Placement'								=> 'Placement',
'Feebased'								=> 'Fee based',
'Freelance'								=> 'Freelance',

'Job'									=>	'Regular job',
'Contract'								=>	'Contract',
'TypeOfJob'								=>	'Type of job',
'FieldOfActivity'						=>	'Field of activity',
'NewPictures'							=>	'New pictures',
'RandomPictures'						=>	'Random pictures',
'NewMessageFrom'						=>	'New Message from',
'YouHaveNewMailFrom'					=>	'You have new mail from',
'YouCanLoginHereToAnswer'				=>	'You can login here to answer to this message',
'ResetLinkWasIncorrect'					=>	'The reset link is not correct',
'ResetLinkExpired'						=>	'The reset link is expired',
'NewPasswordSavedYouCanLoginNow'		=>	'The new password has been saved. You can use it now to log in',
'PasswordRetypeWasWrong'				=>	'The password re-type was not correct',
'EnterANewPasswordHere'					=>	'Enter a new password here',
'NewPassword'							=>	'New password',
'ClickOnThisPasswordResetLink'			=>	'By clicking on this link, you can enter a new password',
'InCaseYouDidntAskForANewPassword'		=>	'In case you didn\'t ask for a new password, someone else entered your email address',
'ButStillYourPasswordCanOnlyBeChangedByYou'		=>	'But still only you can change your password. Please ignore this message in that case',
'YouCanStillUseYourOldPassword'			=>	'You can keep using your existing password',
'YouWillGetAnEmailShortly'				=>	'You will receive an email shortly with a link that enables you to reset your password',
'Submit'								=>	'Submit',
'NoAccountWithThisEmailFound'			=>	'No account with this email address found',
'PleaseEnterYourEmailAddress'			=>	'Please enter your email address that belongs to your account',
'ClickOnThisLink'						=>	'Proceed with the registration by clicking on the link below',
'YourPasswordIs'						=>	'Your password is',
'DeleteRecord'							=>	'Delete Record',
'NoRecordsAvailable'					=>	'No records available',
'YouHaveNewMessages'					=>	'You have new messages',
'NewUsers'								=>	'New users',
'PleaseEnterGivenName'					=>	'Please enter your given name',
'PleaseEnterSurName'					=>	'Please enter your surname',
'PleaseEnterBirthday'					=>	'Please enter your birthday',
'EmailAddress'							=>	'Email address',
'WebAddress'							=>	'Web address',
'PleaseEnterValidEmailAddress'			=>	'Please enter valid email address',
'IAcceptAboveTermsOfUse'				=>	'I hereby accept the above terms of use',
'YouHaveToAgreeToTermsOfUse'			=>	'You have to agree to the terms of use',
'HaveFunUsingWithTheAlumniNetwork'		=>	'Have fun using the alumni website',
'YouWillReceiveAnEmailToConfirmMailAddress'		=>	'You will receive an email to confirm the email address',
'GoToStartPage'							=>	'Go to start page',
'ConfirmLinkIsIncorrectOrExpired'		=>	'The confirm link is incorrect or expired',
'AccountAlreadyActivated'				=>	'Your account is already acitvated. You can log in on the <a href="index.php">start page</a>',
'YourAccountNeedsToBeActivatedByTheAmdin'	=>	'Your account needs to be confirmed by the adiministrator of this website',
'ConfirmLinkExpired'					=>	'The confirm link is expired',
'RegistrationSuccesful'					=>	'Registration was successful',
'YouCanLoginNow'						=>	'You can login now with the password that has been sent to you via email',
'EmailConfirmationSuccessful'			=>	'Confirmation of the email address was successful',
'YouWillBeInformedByEmail'				=>	'You will be informed via email',
'NewRegistrationOn'						=>	'There is a new user registration on',
'ANewUserHasRegistered'					=>	'A new user has registered',
'YouNeedToConfirmStatus'				=>	'You need to confirm or reject the alumni status of the new user',
'YouCanDoThisOnTheAdminPages'			=>	'You can do this on the admin pages of the alumni website',
'WebAddress'							=>	'Web adress',
'FileIsTooBig'							=>	'File is too big',
'FileTypeIsNotPdf'						=>	'File type is not pdf',
'ContactPerson'							=>	'Contact person',
'Description'							=>	'Description',
'File'									=>	'File',
'Date'									=>	'Date',
'NewsletterPreview'						=>	'Newsletter preview',
'From'									=>	'From',
'GivenOrSurname'						=>	'Given name or surname',
'YearOfGraduation'						=>	'Year of graduation',
'ResidenceOrZipcode'					=>	'Place of residence or ZIP code',
'NoFellowStudentsToThisSearchFound'		=>	'No fellow Students to this search found',
'Search'								=>	'Search',
'EditJobOffer'							=>	'Edit job offer',
'InsertNewJobOffer'						=>	'Insert new job offer',
'DurationOfAnnouncement'				=>	'Duration of announcement',
'Day'									=>	'Day',
'Days'									=>	'Days',
'IfApplicable'							=>	'If applicable',
'ShortDescription'						=>	'Short description',
'RecordCanBeEditedOrDeleted'			=>	'Record can be edited, deactivated or deleted later by you',
'ReallyDeleteJobOffer'					=>	'Really delete job offer',
'NoDontDelete'							=>	'No, don\'t delete',
'YesDeleteRecord'						=>	'Yes, delete record',
'JobOffersOrApplications'				=>	'Job offers',
'DeactivatedRecords'					=>	'Deactivated records',
'RecordHasBeenDeleted'					=>	'Record has been deleted',
'JobOffersFromUsers'					=>	'Job offers from users',
'JobOffersOnAlumniServer'				=>	'Job offers on AlumniServer.net',
'RecordHasBeenSaved'					=>	'Record has been saved',
'ThereIsANewJobOffer'					=>	'There is a new job offer',
'YouCanLogInHereToSeeDetails'			=>	'You can log in here to see details',
'NotificationHasBeenSent'				=>	'Notification has been sent',
'ShouldANotificationBeSent'				=>	'Should a notification via email be sent to all users?',
'ToOverview'							=>	'To Overview',
'AddComment'							=>	'Add comment',
'PhotoAlbumFrom'						=>	'Photo album from',
'DeleteFile'							=>	'Delete file',
'UploadFile'							=>	'Upload file',
'AlbumIsEmpty'							=>	'This album is empty',
'FileIsTooBig'							=>	'File is too big',
'SizeOfUploadedFile'					=>	'Size of uploaded file',
'MaximumFileSize'						=>	'Maximum file size',
'OnlyJpegPngGifCanBeProcessed'			=>	'Only jpeg, png, bmp or gif can be processed',
'UploadedFileTypeIs'					=>	'Uploaded file type is',
'CommentHasBeenSaved'					=>	'Comment has been saved',
'PhotoHasBeenDeleted'					=>	'The photo has been deleted',
'GoToMyAlbum'							=>	'Go to my album',
'ShouldThisFileReallyBeDeleted'			=>	'Should this file really be deleted',
'ReallyDelete'							=>	'Really delete',
'JobOffersFrom'							=>	'Job offers from',
'Subject'								=>	'Subject',
'Field'									=>	'Field',
'NewForumPost'							=>	'New forum post',
'WriteNewPost'							=>	'Write new post',
'Posts'									=>	'Posts',
'NoPosts'								=>	'No posts yet',
'ConfirmLinkExpired'					=>	'Confirm link expired',
'ChangeEmailAddress'					=>	'Change email address',
'TheNewEmailAddress'					=>	'The new email address',
'HasBeenSavedSuccessfully'				=>	'has been saved successfully',
'Move'									=>	'move',
'NoNewslettersYet'						=>	'No newsletters yet',
'ForumPostHasBeenSaved'					=>	'Your posting has been saved',
'AcceptUserAndSendHimThisNotification'	=>	'Accept user and send this notification via email',
'RejectUserAndSendHimThisNotification'	=>	'Reject user and send this notification via email',
'ForCompanies'							=>	'For companies',
'InsertJobOffer'						=>	'Insert job offer',
'RegularJob'							=>	'Regular job',
'FurtherDescriptionOfJob'				=>	'Further description of the job, if applicable',
'AttachmentAsPdfIfApplicable'			=>	'Attachment as pdf if applicable',
'PostYourJobOfferOnThisWebsite'			=>	'Post your job offer on this website',
'PleaseWriteAnEmailTo'					=>	'Please write an email to',
'IncludingTheseInformations'			=>	'including these informations',
'AlternativelyYouCanPostYourJobOfferOnAlumniServer'		=>	'Alternatively, you can post your job offer on <a href="http://www.alumniserver.net">www.alumniserver.net</a>',
'ItWillBeAvailableOnManyAlumniWebsites'	=>	'It will be available on many alumni websites, including this one',
'WeWillPostYourJobOffer'				=>	'We will post your job offer as soon as possible on the internal job page for our alumni',
'Registrations'							=>	'Registrations',
'CurrentlyNoUnconfirmedRegistrations'	=>	'Currently no unconfirmed registrations',
'DataPrivacyStatement'					=>	'Data privacy statement',
'DataPrivacy'							=>	'Data privacy',
'CurrentlyNoJobsAvailable'				=>	'Currently no jobs available',
'InThatCategory'						=>	'in that category',
'Sent'									=>	'Sent',
'Inbox'									=>	'Inbox',
'NoMessages'							=>	'No messages',
'Unknown'								=>	'unknown',
'UploadWebsiteLogo'						=>	'Upload logo',
'TitleBackgroundColor'					=>	'Title background color',
'UserIsCurrentlyDeactivated'			=>	'User is currently deactivated',
'TheFollowingMessageIsShownInstead'		=>	'The following message is shown on his or her page instead of contact details',
'ReactivateUser'						=>	'Re-activate user',
'YouCanDeactivateAUserAndShowAMessageInstead'	=>	'You can deactivate a user and show a message on his or her page instead of contact details',
'WritingMessagesToThisUserWillBeDisabled'		=>	'Writing messages to this user will be disabled',
'DeactivateUser'						=>	'Deactivate user',
'MessageOnTheUsersPage'					=>	'Message on the users page instead of contact details',
'WriteMessage'							=>	'Write message',
'WriteMessageTo'						=>	'Write message to',
'Employer'								=>	'Employer',
'MessageHasBeenSentSuccessfully'		=>	'Message has been sent successfully',
'Year'									=>	'Year',
'Years'									=>	'Years',
'MessageDeleted'						=>	'Message deleted',
'ReallyDeleteSelectedMessages'			=>	'really delete selected messages',
'RepeatPassword'						=>	'Repeat password',
'SavePassword'							=>	'Save password',
'ChangePassword'						=>	'Change Passwort',
'PasswordsWereNotIdentical'				=>	'Passwords were not identical',
'LengthOfPasswordsNeedsToBeAtLeast6'	=>	'Length of password needs to be at least 6 characters',
'PasswordHasBeenChanged'				=>	'Password has been changed', // js
'CurrentlyNoPictures'					=>	'Currently no pictures',
'NewJobOffersPostedByMembers'			=> 	'New job offers posted by other members',
'Update'								=>	'Update',
'PublicProfilePage'						=>	'Public profile page',
'IWantMyProfilePageToBePublic'			=> 	'I want my profile page to publicly available, like a real website in the internet',
'PhotoAlbum'							=>	'Photo album',
'UnconfirmedNewEmailAddress'			=>	'Unconfirmed new email address',
'YourProfilePageWillThenBeReachable'	=>	'Your profile page will then be reachable publicly under this address',
'Status'								=>	'Status',
'Retry'									=>	'Retry',
'ExistingFileTypeIs'					=>	'Existing file type is',
'OrderBy'								=>	'Order by',
'Filter'								=>	'Filter',
'SearchIn'								=>	'Search in',
'ShowDetails'							=>	'Show details',
'ClearSearch'							=>	'Clear search'
);
?>