<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

define('ALUMNISERVER', true);
include('data/config.php');
include('src/request.php');
include('src/common.php');

// in case old $cfg variable exists
if(!isset($config)&&isset($cfg)){
	$config=$cfg;
}

$dbh=mysql_connect($config['db_host'], $config['db_user'], $config['db_pwd']);
if(!mysql_select_db($config['db_db'],$dbh)) die('database select_db error');
mysql_query("SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'",$dbh);

$now=date("Y-m-d H:i:s",time());
function delayLoginForm($errnr){
	global $dbh,$now;
	$ip=$_SERVER['REMOTE_ADDR'];
	$re=mysql_query("SELECT * FROM `as_log_error` WHERE `reason` LIKE 'login' AND `uid` LIKE '$ip' ORDER BY `datetime` LIMIT 1",$dbh);
	if(mysql_num_rows($re)>0){
		$de=mysql_fetch_array($re);
		$logintime=strtotime($de['datetime']);
		if(time()-$logintime<5){
			// user must have manipulated client side delay
			exit();
		}
	}

	// login form is enabled after 5 seconds using javascript
	// if user tries to login earlier than delay time -> exit()
	sleep(5);
	mysql_query("INSERT INTO `as_log_error` SET `reason`='login', `details`='login failed' `uid`='$ip', `datetime`='$now'",$dbh);
	header('Location: index.php?error='.$errnr);
	// error==1 means email address incorrect
	// error==2 means password is wrong
	// error==3 means user does not exist or password is wrong
	// error==10 means install login with other than admin email
	// error==11 means install login with other than dummy password
	// error==12 means install login with dummy email
	// error==13 means install login problem to insert user into database
}

$email=requestVar('login','',true);
if(!checkEmailAddress($email)){
	delayLoginForm(1);
	return;
}
$email_esc=mysql_real_escape_string($email,$dbh);

$pwd=requestVar('password','',true);
$pwd_esc=mysql_real_escape_string($pwd,$dbh);

// check if database is empty
$result_check=mysql_query("SELECT * FROM `as_users` WHERE 1 LIMIT 1",$dbh);
if(mysql_num_rows($result_check)==0){
	// allow only admin email address
	if($config['adminEmailAddress'][0]!=$email){
		delayLoginForm(10);
		return;
	}
	// by now only the default password is set
	// the admin will be given a hint to change the password after login
	if($pwd!='install'){
		delayLoginForm(11);
		return;
	}

	// don't allow login with dummy address
	if($email=='alumni-admin@dummy-university.edu'){
		delayLoginForm(12);
		return;
	}

	// if it is the admin user at first login, create db structure
	// insert admin as user
	$uid=createUId($dbh);
	$dataset='`id`="'.$uid.'", `gn`="admin gn", `sn`="admin sn", `email`="'.$email_esc.'", `password`="'.md5('install').'", `memberSince`="'.$now.'"';
	mysql_query("INSERT INTO `as_users` SET $dataset",$dbh);

	if(mysql_affected_rows($dbh)!=1){
		delayLoginForm(13);
		return;
	}
}

$result=mysql_query("SELECT * FROM `as_users` WHERE (`email` LIKE '".$email_esc."') AND (`password` LIKE '".md5($pwd_esc)."') LIMIT 1",$dbh);
if(mysql_num_rows($result)!=1){
	delayLoginForm(2);
	return;
}
$data=mysql_fetch_array($result);
session_start();

$uid=$data['id'];
if(!preg_match('/^[0-9a-f]{12}$/',$uid))exit;
$_SESSION['id']=$uid;

$r1=@mysql_query("SELECT COUNT(*) AS `numUnreadMsgs` FROM `as_msgs` WHERE `idTo` LIKE '$uid' AND `read`=0",$dbh);
$d1=@mysql_fetch_array($r1);
$_SESSION['numUnreadMsgs']=$d1['numUnreadMsgs'];

$r2=@mysql_query("SELECT COUNT(*) AS `numMsgs` FROM `as_msgs` WHERE `idTo` LIKE '$uid'",$dbh);
$d2=@mysql_fetch_array($r2);
$_SESSION['numMsgs']=$d2['numMsgs'];

$r3=@mysql_query("SELECT COUNT(*) AS `numSentMsgs` FROM `as_msgssent` WHERE `idFrom` LIKE '$uid'",$dbh);
$d3=@mysql_fetch_array($r3);
$_SESSION['numSentMsgs']=$d3['numSentMsgs'];

if(in_array($email,$config['adminEmailAddress'])){
	$_SESSION['ADMIN_USER']=true;
	//if($pwd=='install'){
	//	$_SESSION['ADMIN_USER_WARN']='Warning: the password should be changed. It is not recommended to keep the default value.<br/>
	//	Additionally, as admin it is recommended to use a strong password, because someone might know your login.';
	//}
}

// set some default preferences
$_SESSION['fs']['search_gn']=1;
$_SESSION['fs']['search_sn']=1;
$_SESSION['fs']['show_city']=true;
$_SESSION['fs']['orderby']='sn';

// anonymous login statistics
$result=@mysql_query("INSERT INTO `as_log_visits` SET `datetime`='".date("Y-m-d H:i:s", time())."'",$dbh);
$_SESSION['log_id']=mysql_insert_id();

$lastlogin="";
if(array_key_exists('lastlogin',$data)){
	$lastlogin=", `lastlogin`='$now'";
}
@mysql_query("UPDATE `as_users` SET `notifiedNewMsg`='n' $lastlogin WHERE `id` LIKE '$uid' LIMIT 1",$dbh);

// todo: refresh session every 5 min via http_request
// -> set logoutdate inot table log_visits
// -> send notification emails only if logoutdate > 5 min
// -> send notification emails only once until next login

mysql_close($dbh);
header("Location: Start.php");
?>