<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

session_start();
if(!isset($_SESSION['id'])){die('no session');}
define('ALUMNISERVER',true);
include('../request.php');
include('../../version.php');

if(!isset($_POST['load']))die('nothing to load defined');
$load=requestVar('load','');
switch($load){
	case 'jobcategories': 		$file='getJobCategories.php';break;
	case 'jobfields': 			$file='getJobFields.php';break;
	case 'jobs': 				$file='getJobs.php';break;
	case 'checknewestversion': 	$file='AlumniServerNewestVersion.php';break;
	default: die('request not valid:');
}

if(!isset($_POST['lang']))die('no language defined');
$lang=requestVar('lang','');
if($lang!='de'&&$lang!='en')$lang='en';

if(isset($_POST['category'])){
	$category=intval(requestVar('category',0));
	$category='&category='.$category;
}
if(isset($_POST['field'])){
	$field=intval(requestVar('field',0));
	$field='&field='.$field;
}
if(isset($_POST['page'])){
	$page=intval(requestVar('page',0));
	$page='&page='.$page;
}
$handle=fopen('http://www.alumniserver.net/'.$file.'?version='.$version.'&load='.$load.'&lang='.$lang.$category.$field.$page,'rb');
if(!$handle){
	echo 'unable to connect to www.alumniserver.net';
	return;
}
echo stream_get_contents($handle);
fclose($handle);
?>