<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;
if(!isset($_SESSION['ADMIN_USER']))exit;

if(isset($_GET['import'])){
	if(requestVar('import','')=='file'){
		echo '<form action="AdminAllowed.php" name="registerallowed" enctype="multipart/form-data" method="post">
		<p><b>Import csv file with allowed users</b><br/>

		Format: given name; surname; birthday yyyy-mm-dd</p>
		<input type="hidden" name="import_save" value="user">
		<input type="file" id="allowed" name="import_file" class="inp" ><br/>
		<input type="checkbox" name="clear_existing" value="y">
		<label for="clear_existing">Delete any existing records before inserting the new file.</label><br/>
		<input type="submit" value="Import" class="btn" style="margin:5px 0px;"><br/>
		 </form>';
		 //You can save the <a href="src/a/admin_export_allowed.php" target="_blank">existing list as backup</a>
		return;
	}
}
else if(isset($_POST['import_save'])){
	if(isset($_FILES['import_file']['tmp_name'])){

		$clear_existing=false;
		if(isset($_POST['clear_existing'])){
			if(requestVar('clear_existing','')=='y'){
				$clear_existing=true;
			}
		}

		// empty table
		if($clear_existing){
			mysql_query("TRUNCATE TABLE `as_users_allowed`",$dbh);

			// in case we don't have truncate rights
			$r_check=mysql_query("SELECT * FROM `as_users_allowed` WHERE 1 LIMIT 1",$dbh);
			if(mysql_num_rows($r_check)!=0){
				mysql_query("DELETE FROM `as_users_allowed` WHERE 1",$dbh);
				mysql_query("ALTER TABLE `as_users_allowed` AUTO_INCREMENT=1");
			}
			echo '<p style="color:green;">Successfully cleared existing records</p>';
		}

		// fill table with new values
		$fileData=file_get_contents($_FILES['import_file']['tmp_name']);
		$lines=explode("\n",$fileData);
		$count=0;
		foreach($lines as $line){
			$parts=explode(";",$line);
			$gn=mysql_real_escape_string(trim($parts[0]),$dbh);
			$sn=mysql_real_escape_string(trim($parts[1]),$dbh);
			$birthday=mysql_real_escape_string(trim($parts[2]),$dbh);
			if(strlen($gn)>1||strlen($sn)>1){
				mysql_query("INSERT INTO `as_users_allowed` SET `gn`='$gn', `sn`='$sn', `birthday`='$birthday'",$dbh);
				++$count;
			}
		}

		echo '<p style="color:green;">Successfully imported '.$count.' records</p>';
	}
	else{
		echo 'no file selected';
		return;
	}
}
else if(isset($_GET['insert'])){
	if(requestVar('insert','')!='user'){
		return;
	}

	// show form for dataset, hidden insert_save
	echo '<b>Edit user allowed to register:</b><br/>
	<form action="AdminAllowed.php" enctype="multipart/form-data" method="post">

	<div style="float:left;margin:5px 0px;">
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Given name</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Surname</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Birthday yyyy-mm-dd</div>
	</div>
	<div style="clear:both;float:left;margin:5px 0px;">
		<input type="hidden" name="insert_save" value="user">
		<input type="text" name="gn" value="" class="inp" style="float:left;margin-right:3px;width:140px;">
		<input type="text" name="sn" value="" class="inp" style="float:left;margin-right:3px;width:140px;">
		<input type="text" name="birthday" value="0000-00-00" class="inp" style="float:left;margin-right:3px;width:140px;">
	</div>
	<div style="clear:both;margin:5px 0px;float:left;">
	<input type="button" class="redbtn" value="Cancel" onclick="window.location.assign(\'AdminAllowed.php\');">
	<input type="submit" class="btn" style="margin-left:5px;" value="Save"></div></form>';

	return;
}
else if(isset($_POST['insert_save'])){
	if(requestVar('insert_save','')!='user'){
		return;
	}

	if(!isset($_POST['gn'])){exit;}
	if(!isset($_POST['sn'])){exit;}
	if(!isset($_POST['birthday'])){exit;}

	// save
	$gn=mysql_real_escape_string(requestVar('gn',''),$dbh);
	$sn=mysql_real_escape_string(requestVar('sn',''),$dbh);
	$birthday=mysql_real_escape_string(requestVar('birthday',''),$dbh);
	mysql_query("INSERT INTO `as_users_allowed` SET `gn`='$gn', `sn`='$sn', `birthday`='$birthday'",$dbh);
	if( mysql_affected_rows($dbh)==1 ){
		echo '<p style="color:green;">Successfully saved 1 record</p>';
	}
	else{
		echo '<p style="color:red;">No changes saved</p>';
	}
}
else if(isset($_GET['edit'])){
	$edit=intval(requestVar('edit',0));

	// show form for dataset, hidden edit_save
	$r_edit=mysql_query("SELECT * FROM `as_users_allowed` WHERE `id` LIKE $edit LIMIT 1",$dbh);
	$a_edit=mysql_fetch_array($r_edit);

	echo '<b>Edit user allowed to register:</b><br/>
	<form action="AdminAllowed.php" enctype="multipart/form-data" method="post">

	<div style="float:leftmargin:5px 0px;">
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Given name</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Surname</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Birthday yyyy-mm-dd</div>
	</div>
	<div style="clear:both;margin:5px 0px;">
		<input type="hidden" name="edit_save" value="'.$edit.'">
		<input type="text" name="gn" value="'.htmlspecialchars($a_edit['gn']).'" class="inp" style="float:left;margin-right:3px;width:140px;">
		<input type="text" name="sn" value="'.htmlspecialchars($a_edit['sn']).'" class="inp" style="float:left;margin-right:3px;width:140px;">
		<input type="text" name="birthday" value="'.htmlspecialchars($a_edit['birthday']).'" class="inp" style="float:left;margin-right:3px;width:140px;">
	</div>
	<div style="clear:both;margin:5px 0px;float:left;">
	<input type="button" class="redbtn" value="Cancel" onclick="window.location.assign(\'AdminAllowed.php\');">
	<input type="submit" class="btn" style="margin-left:5px;" value="Save"></div></form>';

	return;
}
else if(isset($_POST['edit_save'])){

	if(!isset($_POST['gn'])){exit;}
	if(!isset($_POST['sn'])){exit;}
	if(!isset($_POST['birthday'])){exit;}

	// save
	$edit_save=intval(requestVar('edit_save',0));
	$gn=mysql_real_escape_string(requestVar('gn',''),$dbh);
	$sn=mysql_real_escape_string(requestVar('sn',''),$dbh);
	$birthday=mysql_real_escape_string(requestVar('birthday',''),$dbh);
	mysql_query("UPDATE `as_users_allowed` SET `gn`='$gn', `sn`='$sn', `birthday`='$birthday' WHERE `id` LIKE $edit_save LIMIT 1",$dbh);
	if( mysql_affected_rows($dbh)==1 ){
		echo '<p style="color:green;">Successfully saved 1 record</p>';
	}
	else{
		echo '<p style="color:red;">No changes saved</p>';
	}
}
else if(isset($_GET['delete'])){
	$delete=intval(requestVar('delete',0));

	// show form for dataset, hidden edit_save
	$r_delete=mysql_query("SELECT * FROM `as_users_allowed` WHERE `id` LIKE $delete LIMIT 1",$dbh);
	$a_delete=mysql_fetch_array($r_delete);

	echo '<b>Do you really want to delete this record:</b><br/>
	<div style="float:leftmargin:5px 0px;">
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Given name</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Surname</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">Birthday yyyy-mm-dd</div>
	</div>
	<div style="clear:both;float:leftmargin:5px 0px;">
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">'.htmlspecialchars($a_delete['gn']).'</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">'.htmlspecialchars($a_delete['sn']).'</div>
		<div style="width:140px;float:left;margin-right:3px;padding:2px;">'.htmlspecialchars($a_delete['birthday']).'</div>
	</div>

	<div style="clear:both;margin:5px 0px;">
		<form action="AdminAllowed.php" enctype="multipart/form-data" method="post">
		<input type="hidden" name="delete_save" value="'.$delete.'">
	</div>
	<div style="clear:both;margin:5px 0px;float:left;">
	<input type="button" class="redbtn" value="Cancel" onclick="window.location.assign(\'AdminAllowed.php\');">
	<input type="submit" class="btn" style="margin-left:5px;" value="Delete"></div></form>';

	return;
}
else if(isset($_POST['delete_save'])){
	// save
	$delete_save=intval(requestVar('delete_save',0));
	mysql_query("DELETE FROM `as_users_allowed` WHERE `id` LIKE $delete_save LIMIT 1",$dbh);
	if( mysql_affected_rows($dbh)==1 ){
		echo '<p style="color:green;">Successfully deleted 1 record</p>';
	}
	else{
		echo '<p style="color:red;">Could not delete record</p>';
	}
}

echo '<b>These persons are allowed to register to this website.<br/></b><br/>

	<table class="spreadsheet" style="width:480px;"><tr>
	<td style="width:40px;">count</td>
	<td style="width:140px;">given name</td>
	<td style="width:140px;">surname</td>
	<td style="width:100px;">birthday</td>
	<td style="width:30px;">edit</td>
	<td style="width:30px;">delete</td>
	</tr></table>

<div style="width:500px;height:400px;overflow:scroll;background-color:#f7f7f7;padding:0px;" id="allowedtable">
trying to load data using javascript...
</div>

<script language="JavaScript" type="text/javascript">
<!--
	document.getElementById(\'allowedtable\').innerHTML=\'loading...\';
	var rat=createRequest();
	rat.onreadystatechange=function(){
		if(rat.readyState==4){
			document.getElementById(\'allowedtable\').innerHTML=rat.responseText;
		}
	};
	var data=\'table=true\';
	rat.open(\'POST\',\'src/a/admin_export_allowed.php\',true);
	rat.setRequestHeader(\'Content-Type\',\'application/x-www-form-urlencoded\');
	rat.send(data)
//-->
</script>

<p><a href="AdminAllowed.php?insert=user">Insert new allowed user</a></p>
<p><a href="AdminAllowed.php?import=file">Import csv file with allowed users</a></p>
<p><a href="src/a/admin_export_allowed.php" target="_blank">Export csv file with allowed users</a></p>
';

echo '<p><b>Explanation:</b><br/>When a person registers to this website, and the given name, surname and birthday matches to an entry in the above list, the person can login right away.<br/>
When there is no match, the administrator of this website will receive an email and can confirm or deny the status of the new user.</p>';

echo '<p><b>Import/Export:</b><br/>If you have an existing list of persons in a database or spread sheet file, it should be easy to bring the data in the above described format.
Then, just copy and paste it into the text field above, and click on "Save".</p>';

?>