<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;
if(!isset($_SESSION['ADMIN_USER']))exit;

include('src/admin/admin_settings_functions.php');
if(isset($_GET['edit'])){
	$form=requestVar('edit','');
	switch($form){
		case 'colors': 			showFormColors();break;
		case 'fieldofstudy': 	showFormFieldOfStudy();break;
		case 'degrees':			showFormDegrees();break;
		case 'public_pages':	showFormPublicPages();break;
		case 'notification_job':showFormNotificationNewJob();break;
		case 'notification_job':showFormNotificationNewJob();break;
		default:exit;
	}
	return;
}
// todo:
// option: I want to appear as normal user (with profile page)
// option: I want to appear only as administrator, no profile page visible for other users

if(isset($_POST['saveLogoUpload'])){
	// make sure the newly uploaded logo image is loaded
	echo '<script language="JavaScript" type="text/javascript">
	<!--
	document.getElementById(\'AlumniLogo\').src=document.getElementById(\'AlumniLogo\').src+\'?\'+(new Date()).getTime()
	//-->
	</script>';
}

// find all available languages
$dir='src/lang/';
$language_array=array();
if(is_dir($dir)){
	if($dh=opendir($dir)){
		while(($file=readdir($dh))!=false){
			if(preg_match('/^[a-z]{2}\.php$/',$file)){
				array_push($language_array,substr($file,0,2));
			}
		}
		closedir($dh);
	}
}
$languages=array(
'en'=>'English',
'de'=>'German',
'id'=>'Indonesian');
$options='';
foreach($language_array as $lang){
	if(key_exists($lang,$languages)){
		$lang_label=$languages[$lang];
	}
	else{
		$lang_label=$lang;
	}
	if($config_cache['language']==$lang){
		$options.='<option value="'.$lang.'" selected>'.$lang_label.'</option>';
	}
	else{
		$options.='<option value="'.$lang.'">'.$lang_label.'</option>';
	}
}

echo '<form action="AdminSettings.php" enctype="multipart/form-data" method="post">
<input type="hidden" name="save_config" value="true">
<input type="hidden" name="saveLanguage" value="true">
<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
<legend>Page language: </legend>

<div style="margin:10px 0px;">
	<select name="language" class="combo" style="width:140px;margin-right:8px;">
	'.$options.'
	</select>
</div>

<a><input type="submit" class="btn" value="'.$tr['Save'].'"></a>
</fieldset></form>';

echo '<form action="AdminSettings.php" enctype="multipart/form-data" method="post">
<input type="hidden" name="save_config" value="true">
<input type="hidden" name="saveLogoUpload" value="true">
<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
<legend>'.$tr['UploadWebsiteLogo'].': </legend>

<input type="file" name="logoupload" class="inp"><br/>
<p>'.$tr['SupportedFileTypes'].': jpg, png, gif, bmp.</p>
<a><input type="submit" class="btn" value="'.$tr['Save'].'"></a>
</fieldset></form>';

showFieldsetColors();
showFieldsetFieldOfStudy();
showFieldsetDegrees();
showFieldsetPublicPages();
//showFieldsetNotificationNewJob();

// notification for new jobs
$enabled_notification_new_jobs='No';
if(isset($config_cache['enable_email_notification_new_jobs'])){
	if($config_cache['enable_email_notification_new_jobs']==true){
		$enabled_notification_new_jobs='Yes';
	}
}
echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
<legend>New job notification: <a href="AdminSettings.php?edit=notification_job"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>
When a user posts a job offer in the local job market of this website, a notification can be sent via email to all users (if not disabled personally):
<span style="font-weight:bold;">'.$enabled_notification_new_jobs.'</span>
</fieldset>';
?>