<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;
if(!isset($_SESSION['ADMIN_USER']))exit;

function showUserEditForm($uid){
	global $dbh,$tr;
	if(!preg_match('/^[0-9a-f]{12}$/',$uid))exit;
	$r1=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '".$uid."' LIMIT 1",$dbh);
	$data=mysql_fetch_array($r1);

	echo '<div style="margin:6px 0px;">';
	showProfile($dbh,$uid,true);

	// delete user
	echo '</div><fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['DeleteUser'].': </legend>
	<form action="AdminUserEdit.php" enctype="multipart/form-data" name="userdelete" method="post">
	<input type="hidden" name="drop" value="'.$uid.'">
	<div style="float:left;margin:6px 2px;vertical-align: middle"><input type="submit" value="'.$tr['DeleteUser'].'" class="redbtn"> ('.$tr['ThisCommandIsUndoable'].')</div>
	</form>
	</fieldset>';

	// hide user
	if($data['hideuser']=='y'){
		$hint='<div style="color:red;">'.$tr['UserIsCurrentlyHidden'].'</div>';
		$hideUnhide=$tr['UnHideUser'];
	}else{
		$hideUnhide=$tr['HideUser'];
	}
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['HideUser'].': </legend>
	'.$tr['IfHiddenThenUserIsNotVisible'].'
	'.$hint.'
	<form action="AdminUserEdit.php" enctype="multipart/form-data" name="userhide" method="post">
	<input type="hidden" name="hide" value="'.$uid.'">
	<div style="float:left;margin:6px 2px;vertical-align: middle"><input type="submit" value="'.$hideUnhide.'" class="redbtn"> ('.$tr['ThisCommandIsUndoable'].')</div>
	</form>
	</fieldset>';

	// deactivate user
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>Deactivate user: </legend>
	<form action="AdminUserEdit.php" enctype="multipart/form-data" name="useredit" method="post">';

	if(intval($data['deactivated'])==1){
		echo '<div style="color:red;">'.$tr['UserIsCurrentlyDeactivated'].'.</div><br/>'.$tr['TheFollowingMessageIsShownInstead'].':<br/>
		<p style="color:#acacac;">'.htmlspecialchars($data['deacivated_message']).'</p>
		<div style="margin-top:15px;">
			<input type="hidden" name="activateuser" value="'.$uid.'">
			<input type="submit" value="'.$tr['ReactivateUser'].'" class="redbtn"> ('.$tr['ThisCommandIsUndoable'].')
		</div>';
	}else{
		echo $tr['YouCanDeactivateAUserAndShowAMessageInstead'].'.<br/>
		'.$tr['WritingMessagesToThisUserWillBeDisabled'].'.<br/>

		<div style="margin-top:15px;">
			<input type="hidden" name="deactivateuser" value="'.$uid.'">
			<input type="submit" value="Deactivate this user" class="redbtn"> ('.$tr['ThisCommandIsUndoable'].')
		</div>';
	}

	echo '<div style="clear:both;"></div>
	</form>
	</fieldset>';
}

if(isset($_GET['edit'])){
	$edit=requestVar('edit','');
	showUserEditForm($edit);
}
else if(isset($_POST['deactivateuser'])){
	$deactivateuser=requestVar('deactivateuser','');
	if(!preg_match('/^[0-9a-f]{12}$/',$deactivateuser))exit;
	$r1=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '$deactivateuser' LIMIT 1",$dbh);
	$data=mysql_fetch_array($r1);

	// deactivate
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['DeactivateUser'].': </legend>
	<form action="AdminUserEdit.php" enctype="multipart/form-data" name="useredit" method="post">
	<input type="hidden" name="savedeactivateuser" value="'.$deactivateuser.'">

	'.$tr['MessageOnTheUsersPage'].':<br/>
	<textarea style="width:400px;height:140px;" name="deactivated_message" class="form" maxlength="3000"></textarea>

	<div style="margin-top:15px;">
		<div style="float:left;margin:6px 2px;"><input type="button" value="'.$tr['Cancel'].'" class="redbtn" onclick="window.location.assign(\'AdminUserEdit.php?edit='.$deactivateuser.'\');" ></a></div>
		<div style="float:left;margin:6px 2px;"><input type="submit" value="'.$tr['SaveChanges'].'" class="btn"></div>
	</div>
	<div style="clear:both;"></div>
	</form>
	</fieldset>';

}else if(isset($_POST['savedeactivateuser'])){
	if(!isset($_POST['deactivated_message']))exit;

	$savedeactivateuser=requestVar('savedeactivateuser','');
	if(!preg_match('/^[0-9a-f]{12}$/',$savedeactivateuser))exit;
	$deactivated_message=mysql_real_escape_string(requestVar('deactivated_message',''),$dbh);

	mysql_query("UPDATE `as_users` SET `deactivated`=1, `deactivated_message`='$deactivated_message' WHERE `id` LIKE '$savedeactivateuser' LIMIT 1",$dbh);

	echo '<p style="margin-top:20px;"><span style="color:green;">'.$tr['SavedChanges'].': </span><br/>';
	showUserEditForm($savedeactivateuser);

}else if(isset($_POST['activateuser'])){
	$activateuser=requestVar('activateuser','');
	if(!preg_match('/^[0-9a-f]{12}$/',$activateuser))exit;
	mysql_query("UPDATE `as_users` SET `deactivated`=0  WHERE `id` LIKE '$activateuser' LIMIT 1",$dbh);

	echo '<p style="margin-top:20px;"><span style="color:green;">'.$tr['SavedChanges'].': </span><br/>';
	showUserEditForm($activateuser);

}else if(isset($_POST['drop'])){
	$drop=requestVar('drop','');
	if(!preg_match('/^[0-9a-f]{12}$/',$drop))exit;
	$r1=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '$drop' LIMIT 1",$dbh);
	$data=mysql_fetch_array($r1);

	echo '<p><span style="color:red;">'.$tr['AreYouSureYouWantToDropUser'].': </span> '
	.htmlspecialchars($data['gn']).' '.htmlspecialchars($data['sn']).'<br/>'.$tr['ThisCommandIsUndoable'].'<br/>
	<form action="AdminUserEdit.php" enctype="multipart/form-data" name="useredit" method="post">
	<input type="hidden" name="dropconfirm" value="'.$drop.'">
	<div style="float:left;margin:6px 2px;"><input type="button" value="'.$tr['No'].'" class="btn" onclick="window.location.assign(\'AdminUserEdit.php\');" ></a></div>
	<div style="float:left;margin:6px 2px;"><input type="submit" value="'.$tr['Yes'].'" class="redbtn"></div>
	</form>
	</p>';
	return;
}else if(isset($_POST['hide'])){
	$hide=requestVar('hide','');
	if(!preg_match('/^[0-9a-f]{12}$/',$hide))exit;
	$r1=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '$hide'",$dbh);
	if(mysql_num_rows($r1)>0){
		// create backup of user who is going to be deleted
		$d1=mysql_fetch_array($r1);
		if($d1['hideuser']=='y'){
			mysql_query("UPDATE `as_users` SET `hideuser`='n' WHERE `id` LIKE '$hide' LIMIT 1",$dbh);
			if(mysql_affected_rows()==1){
				echo '<p style="color:green;">'.$tr['UserHasBeenUnhidden'].': '.htmlspecialchars($d1['gn']).' '.htmlspecialchars($d1['sn']).' </p>';
			}
			else{
				echo 'error';
			}
		}else{
			mysql_query("UPDATE `as_users` SET `hideuser`='y' WHERE `id` LIKE '$hide' LIMIT 1",$dbh);
			if(mysql_affected_rows()==1){
				echo '<p style="color:green;">'.$tr['UserHasBeenHidden'].': '.htmlspecialchars($d1['gn']).' '.htmlspecialchars($d1['sn']).'</p>';
			}
			else{
				echo 'error';
			}
		}
		showUserEditForm($hide);
	}
	else{
		echo '<p style="color:red;">not hidden, wrong id</p>';
	}

}else if(isset($_POST['dropconfirm'])){
	$dropconfirm=requestVar('dropconfirm','');
	if(!preg_match('/^[0-9a-f]{12}$/',$dropconfirm))exit;
	// do a backup
	$backup=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '$dropconfirm'",$dbh);
	if(mysql_num_rows($backup)>0){

		// create backup of user who is going to be deleted
		$backuprow=mysql_fetch_array($backup);
		$keystr='';
		$valstr='';
		foreach(array_keys($backuprow) as $key){
			if(!is_int($key)){
				$keystr.='`'.mysql_real_escape_string($key,$dbh).'`,';
				$value=$backuprow[$key];
				if(preg_match('/^[0-9]+$/',$value)){
					$valuestr.=$value.',';
				}
				else{
					$valuestr.="\'".mysql_real_escape_string($value,$dbh)."\',";
				}
			}
		}
		$keystr=substr($keystr,0,-1);
		$valuestr=substr($valuestr,0,-1);
		$backup_cmd='INSERT INTO `as_users` ('.$keystr.') VALUES('.$valuestr.')';
		$description=mysql_real_escape_string('deleted user '.$backuprow['gn'].' '.$backuprow['sn'],$dbh);
		$adminuser=$_SESSION['id'];
		mysql_query("INSERT INTO `as_cmd` SET `undoable`=1, `description`='$description', `undo`='$backup_cmd', `adminuser`='$adminuser', `datetime`='".date("Y-m-d H:i:s",time())."'",$dbh);

		// drop user
		mysql_query("DELETE FROM `as_users` WHERE `id` LIKE '$dropconfirm' LIMIT 1",$dbh);
		echo '<p style="color:green;">'.$tr['UserDeleted'].': '.htmlspecialchars($backuprow['gn']).' '.htmlspecialchars($backuprow['sn']).' ('.$tr['ThisCommandIsUndoable'].')</p>';
		include('src/admin/admin_users.php');
	}
	else{
		echo '<p style="color:red;">not deleted, wrong id</p>';
	}
	return;
}
?>