-- phpMyAdmin SQL Dump
-- version 3.2.0.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 06, 2009 at 07:32 
-- Server version: 5.1.37
-- PHP Version: 5.3.0

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `db_fbbi_alu`
--

-- --------------------------------------------------------

--
-- Table structure for table `as_cmd`
--

CREATE TABLE IF NOT EXISTS `as_cmd` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `undoable` tinyint(1) DEFAULT '0',
  `undo` text COLLATE utf8_unicode_ci,
  `adminuser` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='store commands and their undo operations';

-- --------------------------------------------------------

--
-- Table structure for table `as_contacts`
--

CREATE TABLE IF NOT EXISTS `as_contacts` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `app_uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `rec_uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_contacts_app`
--

CREATE TABLE IF NOT EXISTS `as_contacts_app` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `app_uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `rec_uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_email_update`
--

CREATE TABLE IF NOT EXISTS `as_email_update` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `confirmstring` varchar(26) COLLATE utf8_unicode_ci DEFAULT NULL,
  `new_email` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` enum('active','expired') COLLATE utf8_unicode_ci DEFAULT 'active',
  `datetime` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_forum`
--

CREATE TABLE IF NOT EXISTS `as_forum` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `article` text COLLATE utf8_unicode_ci,
  `uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_fotos`
--

CREATE TABLE IF NOT EXISTS `as_fotos` (
  `id` varchar(25) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `owner` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `file_orig` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `comment` text COLLATE utf8_unicode_ci,
  `prev` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  `next` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ord` int(10) unsigned DEFAULT NULL,
  `uploaded` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_jobs`
--

CREATE TABLE IF NOT EXISTS `as_jobs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `company` varchar(110) COLLATE utf8_unicode_ci DEFAULT NULL,
  `type` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `field` varchar(110) COLLATE utf8_unicode_ci DEFAULT NULL,
  `job_placeofwork` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `job_countryofwork` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contactperson` varchar(110) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tel` varchar(110) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(110) COLLATE utf8_unicode_ci DEFAULT NULL,
  `validthru` smallint(6) DEFAULT '0',
  `folder` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `filename` varchar(210) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `notification_sent` tinyint(1) DEFAULT '0',
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_log_error`
--

CREATE TABLE IF NOT EXISTS `as_log_error` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `reason` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `details` text COLLATE utf8_unicode_ci,
  `uid` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_log_visits`
--

CREATE TABLE IF NOT EXISTS `as_log_visits` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `datetime` datetime DEFAULT NULL,
  `logout` datetime DEFAULT NULL,
  `uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_msgs`
--

CREATE TABLE IF NOT EXISTS `as_msgs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `idTo` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `idFrom` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `msg` text COLLATE utf8_unicode_ci,
  `msg_short` varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  `read` tinyint(1) DEFAULT '0',
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_msgssent`
--

CREATE TABLE IF NOT EXISTS `as_msgssent` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `idTo` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `idFrom` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `msg` text COLLATE utf8_unicode_ci,
  `msg_short` varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_newsletter`
--

CREATE TABLE IF NOT EXISTS `as_newsletter` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8_unicode_ci,
  `uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datetime` datetime DEFAULT '0000-00-00 00:00:00',
  `attachment` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_resetpw`
--

CREATE TABLE IF NOT EXISTS `as_resetpw` (
  `nr` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `resetcode` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `expired` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'n',
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`nr`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_users`
--

CREATE TABLE IF NOT EXISTS `as_users` (
  `id` varchar(12) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `gn` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sn` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `bn` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'birth name',
  `birthday` date DEFAULT NULL,
  `departed` date DEFAULT NULL COMMENT 'date of death',
  `sex` enum('male','female') COLLATE utf8_unicode_ci DEFAULT NULL,
  `relation` enum('nocomment','single','relation','merried','widowed') COLLATE utf8_unicode_ci DEFAULT 'nocomment',
  `title` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `visibility` tinyint(4) DEFAULT '1',
  `department` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `fieldofstudy` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sbjg` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sbj` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `degree` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `graduation` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'year of graduation',
  `employment` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `employer` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `employer_web` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `placeofwork` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `jobinterested` tinyint(4) DEFAULT '1',
  `street` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `zipcode` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `city` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `country` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `home_street` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `home_zipcode` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `home_city` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `home_country` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phone` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mobile` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `homepage` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `password` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `photo` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `nameFile` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `interests` text COLLATE utf8_unicode_ci,
  `music` text COLLATE utf8_unicode_ci,
  `notification` tinyint(4) DEFAULT '0',
  `notifyNewMsg` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'y',
  `notifiedNewMsg` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'n',
  `notifyNewJobOffer` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'y',
  `notifiedNewJobOffer` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'n',
  `notifyNewsletter` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'y',
  `publicProfilePage` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'n',
  `numPics` int(10) unsigned DEFAULT '0',
  `numContacts` smallint(6) unsigned DEFAULT '0',
  `numContactApp` smallint(6) unsigned DEFAULT '0',
  `numInvite` smallint(6) DEFAULT '0',
  `hideuser` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'n',
  `deactivated` tinyint(1) DEFAULT '0',
  `deactivated_message` text COLLATE utf8_unicode_ci,
  `lang` varchar(2) COLLATE utf8_unicode_ci DEFAULT 'en',
  `membersince` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `as_users_allowed`
--

CREATE TABLE IF NOT EXISTS `as_users_allowed` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gn` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sn` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `birthday` date DEFAULT '0000-00-00',
  `subjectToVerification` enum('y','n') COLLATE utf8_unicode_ci DEFAULT 'n',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='persons that are allowed to register';

-- --------------------------------------------------------

--
-- Table structure for table `as_users_register`
--

CREATE TABLE IF NOT EXISTS `as_users_register` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sex` enum('female','male') COLLATE utf8_unicode_ci DEFAULT 'female',
  `gn` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sn` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `birthday` date DEFAULT '0000-00-00',
  `email` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `confirmcode` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `password` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` enum('active','expired','email_confirmed','confirmed','rejected') COLLATE utf8_unicode_ci DEFAULT 'active',
  `registered` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;