<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

// database connection
$dbh=mysql_connect($config['db_host'],$config['db_user'],$config['db_pwd']);
if(!mysql_select_db($config['db_db'],$dbh)) die('database select_db error');
mysql_query("SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'",$dbh);

$sex='';
$gn='';
$sn='';
$birthday='';
$email='';
$agree_termsofuse='';
$register_error['sex']=false;
$register_error['gn']=false;
$register_error['sn']=false;
$register_error['birthday']=false;
$register_error['email']=false;
$register_error['termsofuse']=false;

if(isset($_GET['confirm'])){
	registerConfirm();
	return;
}

if(registerCheckAllFormData()){
	// store in session
	$_SESSION['register']			=true;
	$_SESSION['register_sex'] 		=$sex;
	$_SESSION['register_gn'] 		=$gn;
	$_SESSION['register_sn'] 		=$sn;
	$_SESSION['register_birthday'] 	=$birthday;
	$_SESSION['register_email'] 	=$email;

	registerSaveAndSendConfirmLink();
	return;
}
else{
	registerShowForm();
}

function registerCheckAllFormData(){
	global $sex,$gn,$sn,$birthday,$email,$agree_termsofuse,$config;
	global $register_error;

	// check sex
	if(!isset($_POST['sex'])){
		$register_error['sex']=true;
	}
	else{
		$sex=requestVar('sex','');
		if(!($sex=='female'||$sex=='male')){
			$register_error['sex']=true;
			$sex='';
		}
	}

	// check gn
	if(!isset($_POST['gn'])){
		$register_error['gn']=true;
	}
	else{
		$gn=rtrim(requestVar('gn','',true));
		if(strlen($gn)<2 || strlen($gn)>50){
			$register_error['gn']=true;
		}
	}

	// check sn
	if(!isset($_POST['sn'])){
		$register_error['sn']=true;
	}
	else{
		$sn=rtrim(requestVar('sn','',true));
		if(strlen($sn)<2 || strlen($sn)>50){
			$register_error['sn']=true;
		}
	}

	// check birthday
	if(!isset($_POST['dob'])||!isset($_POST['mob'])||!isset($_POST['yob'])){
		$register_error['birthday']=true;
	}
	else{
		$dob=requestVar('dob',0);
		$mob=requestVar('mob',0);
		$yob=requestVar('yob',0);
		if($dob<1||$dob>31 || $mob<1||$mob>12 || $yob<1900||$yob>1990){
			$register_error['birthday']=true;
		}
		$birthday=$yob.'-'.$mob.'-'.$dob;
	}

	// check email
	if(!isset($_POST['email'])){
		$register_error['email']=true;
	}
	else{
		$email=rtrim(requestVar('email','',true));
		if(!checkEmailAddress($email)){
			$register_error['email']=true;
		}
	}

	if($config['enableTermsofuse']){
		// check agreed terms of use
		if(!isset($_POST['agree_termsofuse'])){
			$register_error['termsofuse']=true;
		}

		$agree_termsofuse=requestVar('agree_termsofuse','');
		if($agree_termsofuse!='agreed'){
			$register_error['termsofuse']=true;
		}
	}
	foreach(array_keys($register_error) as $key){
		if($register_error[$key]){
			return false;
		}
	}
	return true;
}

function registerCheckUser(){
	global $dbh,$tr;
	$email=mysql_real_escape_string($_SESSION['register_email'],$dbh);
	// check if email address is already in database
	$result=mysql_query("SELECT `email` FROM `as_users` WHERE `email`='$email';",$dbh);
	if(mysql_num_rows($result)>0){
		echo '<p>'.$tr['AlreadyRegistered'].'<br/>'.$tr['NewPasswordOnStartPage'].'</p>
		<a href="index.php" style="font-weight:bold;">'.$tr['ToStartPage'].'</a>';
		session_unset();
		session_destroy();
		return false;
	}

	// check if email address is already in table as_users_register
	$result2=mysql_query("SELECT `email` FROM `as_users_register` WHERE `email`='$email'",$dbh);
	if(mysql_num_rows($result2)>0){
		$result3=mysql_query("DELETE FROM `as_users_register` WHERE `email`='$email'",$dbh);
	}
	return true;
}

function registerShowForm(){
	global $sex,$gn,$sn,$birthday,$email,$agree_termsofuse;
	global $register_error;
	global $config,$tr,$months;

	$check=false;
	if(isset($_POST['checkdata'])){
		if(requestVar('checkdata','')!='true'){
			die('error #r201');
		}
		else{
			$check=true;
		}
	}

	echo '<fieldset style="border:#cfcfcf 1px solid;padding-top:15px;">
	<legend><b>'.$tr['RegisterRequestedData'].'</b></legend>

	<form action="Register.php" name="reg" method="post" style="margin:0px;">
	<input type="hidden" name="checkdata" value="true">

	<table style="width:480px;border:0px;">

	<tr><td style="padding:6px;">'.$tr['Gn'].':
	</td><td style="padding:6px;">';

	if($check&&$register_error['gn']){
		echo '<div style="color:red;">'.$tr['PleaseEnterGivenName'].':<br/></div>';
	}

	echo '<input type="text" name="gn" value="'.$gn.'" size="26" class="inp" style="width:170px;">
	</td>
	</tr>

	<tr><td style="padding:6px;">'.$tr['Sn'].':
	</td><td style="padding:6px;">';
	if($check&&$register_error['sn']){
		echo '<div style="color:red;">'.$tr['PleaseEnterSurName'].':<br/></div>';
	}
	echo '<input type="text" name="sn" value="'.htmlspecialchars($sn).'" size="26" class="inp" style="width:170px;">
	</td></tr>

	<tr><td style="padding:6px;">'.$tr['Sex'].':
	</td><td style="padding:6px;">';

	if($check&&$register_error['sex']){
		echo '<div style="color:red;">'.$tr['SpecifySex'].':<br/></div>';
	}

	$checked_female='';
	if($sex=='female')$checked_female='selected';
	$checked_male='';
	if($sex=='male')$checked_male='selected';

	echo '<select name="sex" class="combo" style="width:174px;"><option value="female" '.$checked_female.'>'.$tr['Female'].'</option><option value="male" '.$checked_male.'>'.$tr['Male'].'</option></select>
	</td>
	</tr>

	<tr><td style="padding:6px;">'.$tr['Birthday'].':
	</td><td style="padding:6px;">';

	if($check&&$register_error['birthday']){
		echo '<div style="color:red;">'.$tr['PleaseEnterBirthday'].':<br/></div>';
	}
	$birthday_array=explode('-',$birthday);
	$dob=intval($birthday_array[2]);
	$mob=intval($birthday_array[1]);
	$yob=intval($birthday_array[0]);

	echo '<select name="dob" class="combo" style="width:40px;"><option value="0">-</option>';
	for($i=1;$i<=31;++$i)echo '<option value="'.$i.'">'.$i.'</option>';
	echo '</select><select name="mob" class="combo" style="width:70px;"><option value="0">-</option>';
	for($i=1;$i<=12;++$i)echo '<option value="'.$i.'">'.$months[$i].'</option>';

	echo '</select><select name="yob" class="combo" style="width:50px;"><option value="0">-</option>';
	for($i=1900;$i<1990;++$i)echo '<option value="'.$i.'">'.$i.'</option>';
	echo '</td></tr>
	<script language="JavaScript" type="text/javascript">
	<!--
	for(i=0;i<document.reg.dob.options.length;++i){if(document.reg.dob.options[i].value=="'.$dob.'"){document.reg.dob.options[i].selected=true;break;}}
	for(i=0;i<document.reg.mob.options.length;++i){if(document.reg.mob.options[i].value=="'.$mob.'"){document.reg.mob.options[i].selected=true;break;}}
	for(i=0;i<document.reg.yob.options.length;++i){if(document.reg.yob.options[i].value=="'.$yob.'"){document.reg.yob.options[i].selected=true;break;}}
	-->
	</script>

	<tr>
	<td style="padding:6px;">
	'.$tr['EmailAddress'].':
	</td>
	<td style="padding:6px;">';

	if($check&&$register_error['email']){
		echo '<div style="color:red;">'.$tr['PleaseEnterValidEmailAddress'].':<br/></div>';
	}

	echo '<input type="text" name="email" value="'.$email.'" size="26" class="inp" style="width:170px;">';

	echo '</td>
	</tr>';

	if($config['enableTermsofuse']){
		echo '<tr>
		<td colspan="2" style="border-top:#b5b5b5 1px solid;border-top-style:dotted;">
		<div style="width:460px;height:200px;overflow:scroll;background-color:#f7f7f7;padding:8px;">';

		include('data/pageTermsofuse.php');

		echo '</div>
		</td>
		</tr>
		<tr>
		<td  style="padding:6px;">
		'.$tr['IAcceptAboveTermsOfUse'].'
		</td>
		<td>';

		if($check&&$register_error['termsofuse']){
			echo '<div style="color:red;">'.$tr['YouHaveToAgreeToTermsOfUse'].':<br/></div>';
		}

		// put out the form element
		$disabled='disabled';
		if($agree_termsofuse=='agreed'){
			echo '<input type="checkbox" name="agree_termsofuse" value="agreed" checked="checked" onclick="checkUncheck(this,document.reg.regSubmit)">';
			$disabled='';
		}
		else{
			echo '<input type="checkbox" name="agree_termsofuse" value="agreed" onclick="checkUncheck(this,document.reg.regSubmit)">';
		}

		echo '</td>
		</tr>';
	}
	echo '<tr>
	<td align="center" colspan="2" style="border-top:#b5b5b5 1px solid;border-top-style:dotted;padding:6px;">
	<a><input type="submit" value="'.$tr['Submit'].'" name="regSubmit" class="btn" '.$disabled.'></a></form>
	</td>
	</tr>
	</table>
	</fieldset>';
}

function registerSaveAndSendConfirmLink(){
	global $config,$dbh,$tr,$mail_header;
	if(!registerCheckUser()){
		return false;
	}

	$alphabet='0123456789abcdef';
	$max=strlen($alphabet)-1;
	$uid='';
	$loops=0;
	//  generate random confirm code
	$confirmcode='';
	$loops=0;
	while(true){
		$confirmcode='';
		for($i=0;$i<30;++$i)$confirmcode.=substr($alphabet,rand(0,$max),1);
		// check if confirmcode is unique
		$result266=mysql_query("SELECT * FROM `as_users_register` WHERE `confirmcode` LIKE '$confirmcode' LIMIT 1",$dbh);
		if(mysql_num_rows($result266)==0){
			break;
		}
		if($loops>1000){
			die('error, please try again');
		}
		++$loops;
	}

	// generate password
	$pwd='';
	for($i=0;$i<6;++$i)$pwd.=substr($alphabet,rand(0,$max),1);
	$pwd_enc=md5($pwd);

	$dataset ='sex="'.mysql_real_escape_string($_SESSION['register_sex'],$dbh).'", ';
	$dataset .='gn="'.mysql_real_escape_string($_SESSION['register_gn'],$dbh).'", ';
	$dataset .='sn="'.mysql_real_escape_string($_SESSION['register_sn'],$dbh).'", ';
	$dataset .='birthday="'.mysql_real_escape_string($_SESSION['register_birthday'],$dbh).'", ';
	$dataset .='email="'.mysql_real_escape_string($_SESSION['register_email'],$dbh).'", ';
	$dataset .='password="'.$pwd_enc.'", ';
	$dataset .='confirmcode="'.$confirmcode.'", ';
	$dataset .='status="active", ';
	$dataset .='registered="'.date("Y-m-d H:i:s",time()).'"';

	$sql357="INSERT INTO `as_users_register` SET $dataset";
	mysql_query($sql357,$dbh);

	if(mysql_affected_rows($dbh)==1){
		$mail_subject=$tr['RegistrationAt'].' '.$config['pageTitleOrDomain'];
		$domain=$config['domain'];
		if(substr($domain,-1,1)!='/')$domain.='/';

$mail_message=$tr['Hello'].' '.$_SESSION['register_gn']." ".$_SESSION['register_sn'].'
'.$tr['ClickOnThisLink'].'.

'.$domain.'Register.php?confirm='.$confirmcode.'

'.$tr['YourPasswordIs'].': '.$pwd.'

'.$tr['HaveFunUsingWithTheAlumniNetwork'];
		mail($_SESSION['register_email'],$mail_subject,$mail_message,$mail_header);

		echo '<p style="padding:20px;"><b>'.$tr['YouWillReceiveAnEmailToConfirmMailAddress'].'</b></p>
		<p style="padding:20px;"><a href="index.php">'.$tr['GoToStartPage'].'</a></p>';
	}
	else{
		echo 'Registration failed. Please try again later';
		registerLogError("Register failed \n ".$sql357."\n");
	}
	session_unset();
	session_destroy();
}

function registerConfirm(){
	global $config,$dbh,$tr,$mail_header;

	// deactivate confirm links that are older than one week
	$week2=date("Y-m-d H:i:s",mktime(date("H"), date("i"), date("s"), date("m"), date("d")-14,  date("Y")));
	mysql_query("UPDATE `as_users_register` SET `status`='expired' WHERE `registered`<'$week2'",$dbh);

	// delete confirm links that are older than three months
	$month3=date("Y-m-d H:i:s",mktime(date("H"), date("i"), date("s"), date("m")-3, date("d"),  date("Y")));
	mysql_query("DELETE FROM `as_users_register` WHERE `registered`<'$month3'",$dbh);

	if(!isset($_GET['confirm']))die('error r322');
	$confirmcode=requestVar('confirm','');
	if(!preg_match('/^[0-9a-f]{30}$/',$confirmcode))die('incorrect link');

	$result264=mysql_query("SELECT * FROM `as_users_register` WHERE `confirmcode` LIKE '$confirmcode'",$dbh);
	if(mysql_num_rows($result264)!=1){
		echo $tr['ConfirmLinkIsIncorrectOrExpired'];
		return;
	}

	$data=mysql_fetch_array($result264);
	if($data['status']=='confirmed'){
		echo $tr['AccountAlreadyActivated'];
		return;
	}
	elseif($data['status']=='email_confirmed'){
		echo $tr['YourAccountNeedsToBeActivatedByTheAmdin'];
		return;
	}
	elseif($data['status']=='expired'){
		echo $tr['ConfirmLinkExpired'];
		return;
	}

	mysql_query("UPDATE `as_users_register` SET `status`='email_confirmed' WHERE `confirmcode` LIKE '$confirmcode'",$dbh);

	// check if user is already in "allowed list". if so, insert user directly
	if($config['registrationControl']){
		$allowed=false;
		$res_allowed=mysql_query("SELECT * FROM `as_users_allowed` WHERE LCASE(`gn`) LIKE '".mysql_real_escape_string(strtolower($data['gn']),$dbh)
		."'	AND LCASE(`sn`) LIKE '".mysql_real_escape_string(strtolower($data['sn']),$dbh)."' AND `birthday` LIKE '".mysql_real_escape_string($data['birthday'],$dbh)."'",$dbh);
		if(mysql_num_rows($res_allowed)>0){
			$allowed=true;
		}
	}
	else{
		$allowed=true;
	}
	if($allowed){
		$uid=createUId($dbh);
		$dataset ='`id`="'.$uid.'", ';
		$dataset .='`sex`="'.mysql_real_escape_string($data['sex'],$dbh).'", ';
		$dataset .='`gn`="'.mysql_real_escape_string($data['gn'],$dbh).'", ';
		$dataset .='`sn`="'.mysql_real_escape_string($data['sn'],$dbh).'", ';
		$dataset .='`birthday`="'.mysql_real_escape_string($data['birthday'],$dbh).'", ';
		$dataset .='`email`="'.mysql_real_escape_string($data['email'],$dbh).'", ';
		$dataset .='`password`="'.mysql_real_escape_string($data['password'],$dbh).'", ';
		$dataset .='`memberSince`="'.date("Y-m-d H:i:s",time()).'"';

		$sql358="INSERT INTO `as_users` SET ".$dataset;
		mysql_query($sql358,$dbh);

		$successful='';
		if(mysql_affected_rows($dbh)==1){
			echo '<br/><b>'.$tr['RegistrationSuccesful'].'.</b><p>'
			.$tr['YouCanLoginNow'].'</p>';
			mysql_query("UPDATE `as_users_register` SET `status`='confirmed' WHERE `confirmcode` LIKE '$confirmcode'",$dbh);

			// insert into event history
			$description=mysql_real_escape_string('new user registered: '.$data['gn'].' '.$data['sn'].', birthday: '.$data['birthday'],$dbh);
			mysql_query("INSERT INTO `as_cmd` SET `undoable`=0, `description`='$description', `datetime`='".date("Y-m-d H:i:s",time())."'",$dbh);

			$successful='The registration was successful.';
		}else{
			echo 'Registration failed. Please try again later';
			registerLogError("Registration failed \n ");
			$successful='The registration failed. Please check database and other configuration.';
		}

		// send email to admin, that a new user has registered
		$mail_subject='New user signed up on '.$config['pageTitleOrDomain'];
		$mail_message='A new user has signed up:
		'.$data['gn'].' '.$data['sn'].', '.$tr['Birthday'].': '.$data['birthday'].', '.$tr['EmailAddress'].': '.$data['email'].'
		The user was in the "allowed to register" list, so you don\'t need to confirm the registration.
		'.$successful;
		mail($config['adminEmailAddress'][0],$mail_subject,$mail_message,$mail_header);
	}else{
		echo '<br/><b>'.$tr['EmailConfirmationSuccessful'].'.</b><p>'.$tr['YourAccountNeedsToBeActivatedByTheAmdin'].'. '.$tr['YouWillBeInformedByEmail'].'.</p>';

		// send email to admin, that a new user needs to be confirmed
		$mail_subject=$tr['NewRegistrationOn'].' '.$config['pageTitleOrDomain'];
$mail_message=$tr['ANewUserHasRegistered'].': '.$data['gn'].' '.$data['sn'].', '.$tr['Birthday'].': '.$data['birthday'].', '.$tr['EmailAddress'].': '.$data['email'].'
'.$tr['YouNeedToConfirmStatus'].'.
'.$tr['YouCanDoThisOnTheAdminPages'].'.
'.$tr['WebAddress'].': '.$config['domain'];
		mail($config['adminEmailAddress'][0],$mail_subject,$mail_message,$mail_header);
	}
}

function registerLogError($log){
	global $dbh;
	mysql_query("INSERT INTO `log_error` SET `reason`='register', `details`='".mysql_real_escape_string($log,$dbh)."', `datetime`='".date("Y-m-d H:i:s",time())."'",$dbh);
}
mysql_close($dbh);
?>