<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

echo '<script type="text/javascript" src="src/js/jobs.js"></script>';

if(!isset($config_cache['language'])||!preg_match('/^[a-z]{2}$/',$config_cache['language'])){$country='US';}
else{$country=strtoupper($config_cache['language']);}

$country_options='<option value="0" selected>Choose country</option>';
foreach(array_keys($countries) as $key){
	if($key=='')continue;
	if($key==$country){
		$country_options.='<option value="'.$key.'" selected>'.$countries[$key].'</option>';
	}
	else{
		$country_options.='<option value="'.$key.'">'.$countries[$key].'</option>';
	}
}
echo '<form name="jobregion">
<select name="country" id=name="country" class="combo" onchange="loadJobCategories()" style="width:186px;">'.$country_options.'</select>
</form>';

echo '<div id="alumniserverjobs"></div>
<script language="JavaScript" type="text/javascript">
<!--
loadAlumniServerJobs()
//-->
</script>';

?>