<?php
/**************************************************************************************************
* Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
*
* This script is part of the AlumniServer project. It is free software; you can redistribute it
* and/or modify it under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 3 of the License, or (at your option) any later version.
*
* The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
* A copy is found in the textfile GPL.txt
*
* This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
* even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* This copyright notice MUST APPEAR in all copies of the script!
***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

echo '<script type="text/javascript" src="src/js/jobs.js"></script>';
$uid=$_SESSION['id'];

$page=1;
if(isset($_GET['page'])||isset($_POST['page']))$page=requestVar('page',1);
if($page<0)exit;
$limit=($page-1)*10;

if(isset($_POST['save'])){
	jobSave();
}
elseif(isset($_POST['notifyNewJob'])){
	notifyNewJob();
	return;
}
elseif(isset($_POST['preview'])){
	jobsPreview();
	return;
}elseif(isset($_GET['edit'])||isset($_GET['editpreview'])||isset($_GET['newrecord'])){
	jobsNewOrEdit();
	return;
}elseif(isset($_GET['delete'])){
	$delete=mysql_real_escape_string(requestVar('delete',-1),$dbh);
	if(isset($_GET['confirm'])){
		$r1=mysql_query("SELECT * FROM `as_jobs` WHERE `uid` LIKE '$uid' AND `id` LIKE '$delete' LIMIT 1",$dbh);
		$a1=mysql_fetch_array($r1);
		if(strlen($a1['filename'])>10){
			if(file_exists('data/jobs/'.$a1['folder'].'/'.$a1['filename'])){
				unlink('data/jobs/'.$a1['folder'].'/'.$a1['filename']);
			}
		}

		$r1=mysql_query("DELETE FROM `as_jobs` WHERE `uid` LIKE '$uid' AND `id` LIKE '$delete' LIMIT 1",$dbh);
		if(mysql_affected_rows($dbh)!=1)exit;
		echo '<p style="color:#299729;">'.$tr['RecordHasBeenDeleted'].'</p>';
	}
	else{
		echo '<p><b>'.$tr['ReallyDeleteJobOffer'].'?</b></p><input type="button" class="btn" value="'.$tr['NoDontDelete'].'" onclick="window.location.assign(\'Jobs.php?page='.$page.'\');">
		<input type="button" class="redbtn" value="'.$tr['YesDeleteRecord'].'" onclick="window.location.assign(\'Jobs.php?page='.$page.'&delete='.$delete.'&confirm=true\');">';
		return;
	}
}
else{
	echo '<div style="margin:4px 0px;"><a href="Jobs.php?newrecord=true">'.$tr['InsertNewJobOffer'].'</a></div>';
	jobList();
}

function jobList(){
	global $dbh,$uid,$page,$limit,$tr;

	$rc=mysql_query("SELECT COUNT(*) FROM `as_jobs` WHERE SUBDATE(CURDATE(),`as_jobs`.`validthru`)<`datetime`",$dbh);
	$ac=mysql_fetch_row($rc);
	$numPages=ceil($ac[0]/10);

	if($numPages>1){
		echo skim('Jobs.php',$page,$numPages);
	}
	echo '<div style="clear:both;"></div><div id="jobs">';

	$sql="SELECT `as_jobs`.*,`as_users`.`gn`,`as_users`.`sn`,`as_users`.`photo`
	 FROM `as_jobs` 
	 LEFT JOIN `as_users` ON `as_jobs`.`uid` LIKE `as_users`.`id` 
	 WHERE SUBDATE(CURDATE(),`as_jobs`.`validthru`)<`datetime` 
	 ORDER BY `as_jobs`.`datetime` DESC LIMIT $limit, 10";

	$r1=mysql_query($sql,$dbh);
	if(mysql_num_rows($r1)==0){
		echo $tr['NoRecordsAvailable'].'.<br/>';
	}
	else{
		while($a1=mysql_fetch_array($r1)){
			$edit=0;
			if($a1['uid']==$uid){
				$editbutton='<p><a href="Jobs.php?edit='.$a1['id'].'">'.$tr['Edit'].'</a></p>';
				$edit=$a1['id'];
			}

			$photo='data/images/profile/'.$a1['photo'].'t.jpg';
			if(strlen($a1['photo'])<6){
				$photo='src/img/nopicmt.jpg';
				if($a1['sex']=='female')$photo='src/img/nopicft.jpg';
			}
			$jdate=date("d.m.Y",strtotime($a1['datetime']));
			$path='data/jobs/'.$a1['folder'].'/'.$a1['filename'];

			$des=str_replace("\n","<br />",$a1['description']);
			$des=str_replace("\r","<br />",$des);
			$des=str_replace("<br/>","<br />",$des);
			$des=str_replace("<br /><br />","<br/>",$des);
			// enable newline and "
			$des=str_replace('&lt;br /&gt;', '<br />',$des);
			$des_html=str_replace("&amp;",'&',$des);
			$des_html=str_replace("&quot;",'"',$des_html);
			

			showJob($a1['uid'],$a1['gn'],$a1['sn'],$photo,$jdate,$a1['company'],$a1['type'],$a1['field'],$a1['contactperson'],$a1['tel'],$a1['email'],$des_html,$path,$a1['filename'],$edit);

			// todo: link "I am interested in this job" -> message to company

		}
	}
	echo '</div>';
	if($numPages>1){
		echo skim('Jobs.php',$page,$numPages);
	}

	$r1=mysql_query("SELECT `as_jobs`.*,`as_users`.`gn`,`as_users`.`sn`,`as_users`.`photo` 
	FROM `as_jobs` 
	LEFT JOIN `as_users` ON `as_jobs`.`uid` LIKE `as_users`.`id` 
	WHERE SUBDATE(CURDATE(),`as_jobs`.`validthru`)>`datetime` 
	AND `as_jobs`.`uid` LIKE '$uid' 
	ORDER BY `as_jobs`.`datetime` DESC",$dbh);
	
	if(mysql_num_rows($r1)>0){
		echo '<h3>'.$tr['DeactivatedRecords'].'</h3>';
		while($a1=mysql_fetch_array($r1)){
			if(strlen($a1['filename'])>50)$a1['filename']=substr($a1['filename'],0,47).'...';
			$edit=0;
			if($a1['uid']==$uid){
				$editbutton='<p><a href="Jobs.php?edit='.$a1['id'].'">'.$tr['Edit'].'</a></p>';
				$edit=$a1['id'];
			}

			$photo='data/images/profile/'.$a1['photo'].'t.jpg';
			if(strlen($a1['photo'])<6){
				$photo='src/img/nopicmt.jpg';
				if($a1['sex']=='female')$photo='src/img/nopicft.jpg';
			}
			$jdate=date("d.m.Y",strtotime($a1['datetime']));
			$path='data/jobs/'.$a1['folder'].'/'.$a1['filename'];

			$des=str_replace("\n","",$a1['description']);
			$des=str_replace("\r","",$des);

			showJob($a1['uid'],$a1['gn'],$a1['sn'],$photo,$jdate,$a1['company'],$a1['type'],$a1['field'],$a1['contactperson'],$a1['tel'],$a1['email'],$des,$path,$a1['filename'],$edit);
		}
	}
}

function jobsNewOrEdit(){
	global $dbh,$uid,$tr,$typesofjob;

	// clean up old temp files
	foreach(scandir('./data/jobs/') as $item){
		if($item=='.'||$item=='..'){continue;}
		if(substr($item,0,5)!='temp_'){continue;}
		if(!is_dir('./data/jobs/'.$item)){continue;}
		$yesterday=time()-(24*60*60);
		$rm_dir='';
		
		foreach(scandir('./data/jobs/'.$item) as $item2){
			if($item2!='.'&&$item2 != '..'){
				// remove temp dirs that are older than one day
				if(@filemtime($item2)<$yesterday){
					$rm_dir=$item;
				}
				unlink('./data/jobs/'.$item.'/'.$item2);
			}
		}
		if($rm_dir!=''){
			rmdir('./data/jobs/'.$rm_dir);
		}
	}

	$iid=0;
	if(isset($_GET['edit'])){ // coming from overview -> edit existing record
		$iid=requestVar('edit',-1);
		$r1=mysql_query("SELECT * FROM `as_jobs` WHERE `uid` LIKE '$uid' AND `id` LIKE '$iid' LIMIT 1",$dbh);
		if(mysql_num_rows($r1)!=1)die('error ji168');
		$a1=mysql_fetch_array($r1);
		$_SESSION['job_company']=$a1['company'];
		$_SESSION['job_type']=$a1['type'];
		$_SESSION['job_field']=$a1['field'];
		$_SESSION['job_contactperson']=$a1['contactperson'];
		$_SESSION['job_tel']=$a1['tel'];
		$_SESSION['job_email']=$a1['email'];
		$_SESSION['job_validthru']=$a1['validthru'];
		$_SESSION['job_filename']=$a1['filename'];
		$_SESSION['job_folder']=$a1['folder'];

		$des=str_replace("\r\n","\n",$a1['description']);
		$des=str_replace("<br />\n","\n",$des);
		$_SESSION['job_description']=$des;
	}
	else if(isset($_GET['editpreview'])){ // coming from preview
		$iid=requestVar('editpreview',-1);
	}
	else if(isset($_GET['newrecord'])){
		$_SESSION['job_filename']='';
		$_SESSION['job_folder']='';
	}

	$j1=$_SESSION['job_company'];
	$j2=$_SESSION['job_type'];
	$j3=$_SESSION['job_field'];
	$j4=$_SESSION['job_contactperson'];
	$j5=$_SESSION['job_tel'];
	$j6=$_SESSION['job_email'];
	$j7=intval($_SESSION['job_validthru']);
	$j8=$_SESSION['job_folder'];
	$j9=$_SESSION['job_filename'];
	$j10=$_SESSION['job_description'];

	if($j2!=''){
		if(!key_exists($j2,$typesofjob)){
			die('job type not allowed');
		}
	}
	//if($j2==''||$j2=='job'||$j2=='placement'||$j2=='contract'){}else{die('job type not allowed');}
	if($j7<0||$j7>153)die('valid thru value not allowed');

	if(strlen($j9)>0){
		$flink='<tr><td>'.$tr['ExistingFile_WillBeOverWritten'].'</td><td><a href="data/jobs/'.$j8.'/'.$j9.'" target="_blank">'.$j9.'</a> </td></tr>';
	}

	if($iid==0)echo '<h2>'.$tr['EditJobOffer'].':</h2>';
	else echo '<h2>'.$tr['InsertNewJobOffer'].':</h2>';

	echo '<form action="Jobs.php" name="jobedit" enctype="multipart/form-data" method="post">
	<input type="hidden" name="preview" value="'.$iid.'">
	<table cellpadding="4">
	<tr><td style="width:120px;">'.$tr['Company'].':</td><td>
		<input type="text" class="inp" maxlength="100" name="company" value="'.$j1.'">
	</td></tr>
	
	<tr><td>'.$tr['TypeOfJob'].':</td><td>
		<select name="type" class="combo" style="width:160px;">
			<option value="fulltime">'.$tr['Fulltime'].'</option>
			<option value="parttime">'.$tr['Parttime'].'</option>
			<option value="trainee">'.$tr['Trainee'].'</option>
			<option value="placement">'.$tr['Placement'].'</option>
			<option value="feebased">'.$tr['Feebased'].'</option>
			<option value="freelance">'.$tr['Freelance'].'</option>
		</select>
	</td></tr>
	
	<tr><td>'.$tr['FieldOfActivity'].':</td><td>
		<input type="text" class="inp" maxlength="100" name="field"  value="'.$j3.'">
	</td></tr>
	
	<tr><td>'.$tr['ContactPerson'].':</td><td>
		<input type="text" class="inp" maxlength="100" name="contactperson" value="'.$j4.'">
	</td></tr>
	
	<tr><td>'.$tr['Phone'].':</td><td>
		<input type="text" class="inp" maxlength="100" name="tel" value="'.$j5.'">
	</td></tr>
	
	<tr><td>'.$tr['EmailAddress'].':</td><td>
		<input type="text" class="inp" maxlength="100" name="email" value="'.$j6.'">
	</td></tr>
	
	<tr><td>'.$tr['DurationOfAnnouncement'].':</td><td>
		<select name="validthru" class="combo" style="width:80px;"><option value="1">1 '.$tr['Day'].'</option><option value="2">2 '.$tr['Days'].'</option><option value="3">3 '.$tr['Days'].'</option><option value="7">7 '.$tr['Days'].'</option><option value="14">14 '.$tr['Days'].'</option><option value="30" selected>30 '.$tr['Days'].'</option><option value="60">60 '.$tr['Days'].'</option><option value="90">90 '.$tr['Days'].'</option></select>
	</td></tr>
	
	<tr><td>'.$tr['IfApplicable'].' pdf-Upload:</td><td>
		<input type="file" name="fileupload" size="26" class="file">
	</td></tr>
	'.$flink.'
	
	<tr><td>'.$tr['ShortDescription'].':<br/><div id="max" style="color:#b55454;margin-top:10px;"></div></td><td>
		<textarea id="description" name="description" class="form" maxlength="1500" style="width:440px;height:200px;">'.stripslashes($j10).'</textarea>
	</td></tr>

	<tr><td style="text-align:right;">
	<input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'Jobs.php\');">
	</td><td>
		<input type="submit" class="btn" style="margin-left:5px;" value="'.$tr['ProceedToPreview'].'"></td>
	</tr></table>
	'.$tr['RecordCanBeEditedOrDeleted'].'
	</form>

	<script language="JavaScript" type="text/javascript">
	<!--
	setMaxLength(\'description\')
	for(i=0;i<document.jobedit.type.options.length;++i){if(document.jobedit.type.options[i].value==\''.$j2.'\'){document.jobedit.type.options[i].selected=true;break;}}
	for(i=0;i<document.jobedit.validthru.options.length;++i){if(document.jobedit.validthru.options[i].value==\''.$j7.'\'){document.jobedit.validthru.options[i].selected=true;break;}}
	//-->
	</script>';
}
function jobsPreview(){
	global $dbh,$uid,$tr,$typesofjob;
	$iid=requestVar('preview',-1);

	if(!isset($_POST['company']))die('error ji72');
	$company=requestVar('company','',true);
	if(strlen($company)>110)$company=substr($company,0,110);
	$_SESSION['job_company']=$company;

	if(!isset($_POST['type']))die('error ji73');
	$type=requestVar('type','');
	if(key_exists($type,$typesofjob)){
		$_SESSION['job_type']=$type;
	}
	else die('error ji74');

	if(!isset($_POST['field']))die('error ji75');
	$field=requestVar('field','',true);
	if(strlen($field)>110)$field=substr($field,0,110);
	$_SESSION['job_field']=$field;

	if(!isset($_POST['contactperson']))die('error ji76');
	$contactperson=requestVar('contactperson','',true);
	if(strlen($contactperson)>110)$contactperson=substr($contactperson,0,110);
	$_SESSION['job_contactperson']=$contactperson;

	if(!isset($_POST['tel']))die('error ji77');
	$tel=requestVar('tel','',true);
	if(strlen($tel)>110)$tel=substr($tel,0,110);
	$_SESSION['job_tel']=$tel;

	if(!isset($_POST['email']))die('error ji78');
	$email=requestVar('email','',true);
	if(strlen($email)>110)$email=substr($email,0,110);
	$_SESSION['job_email']=$email;

	if(!isset($_POST['validthru']))die('error ji79');
	$validthru=requestVar('validthru',1);
	if($validthru<1||$validthru>153)die('error ji80');
	$_SESSION['job_validthru']=$validthru;

	if(!isset($_POST['description']))die('error ji81');
	$description=requestVar('description','',true);
	if(strlen($description)>1600)$description=substr($description,0,1600);
	$description=htmlspecialchars($description);

	$_SESSION['job_description']=$description;
	$description=str_replace("\n","<br/>",$description);
	$description=str_replace("\r","<br/>",$description);
	$description=str_replace("<br/><br/>","<br/>",$description);

	// save attachment, if existing
	$path_temp='';
	if(isset($_FILES['fileupload'])&&is_uploaded_file($_FILES['fileupload']['tmp_name'])){
		if($_FILES['fileupload']['size']>=10*1024*1024){
			echo '<div style="color:red;">'.$tr['FileIsTooBig'].'</div><br/>';
			jobsNewOrEdit();
			return;
		}
		$allowed_pdf_mime_types=array('application/pdf', 'application/x-pdf', 'application/x-download', 'application/download', 'application/force-download');
		$mime_type=$_FILES['fileupload']['type']; 
		if(!in_array($mime_type,$allowed_pdf_mime_types)){
			echo '<div style="color:red;margin-top:10px;">'.$tr['FileTypeIsNotPdf'].'</div>';
			$filetype=$_FILES['fileupload']['type'];
			if($filetype==''){
				$filetype='unknown';
			}
			echo $tr['ExistingFileTypeIs'].': \''.$filetype.'\'<br/>';

			jobsNewOrEdit();
			return;
		}
		$_SESSION['job_filename']=cleanFilename($_FILES['fileupload']['name'],'pdf');

		// generate random folder name
		$count=0;
		while(true){
			$alphabet='0123456789abcdefghijklmnopqrstuvwxyz';
			$max=strlen($alphabet)-1;
			$folder='';
			for($i=1;$i<=20;++$i)$folder.=substr($alphabet,rand(0,$max),1);
			if(!file_exists('./data/jobs/'.$folder))break;
			if($count>50){echo 'File upload failed. Please try again.';return;}
			++$count;
		}
		$_SESSION['job_folder']='temp_'.$folder;

		mkdir('./data/jobs/temp_'.$folder,0777);
		$path_temp='./data/jobs/temp_'.$folder.'/'.$_SESSION['job_filename'];
		$path_temp=str_replace(array('../','..\\','./','.\\'),'',$path_temp);
		if(!move_uploaded_file($_FILES['fileupload']['tmp_name'],$path_temp)){
			echo 'Moving uploaded file failed. Please try again.<br/>
			Please check if you have sufficient write privileges for the folder "data/jobs/"';
		}
		chmod($path_temp,0777);
		
		// todo: remember temp file and clean up

	}else if(strlen($_SESSION['job_filename'])>0){
		$path_temp='./data/jobs/'.$_SESSION['job_folder'].'/'.$_SESSION['job_filename'];
	}else{
		//echo 'no file detected';
		$path_temp='';
		$_SESSION['job_filename']='';
		$_SESSION['job_folder']='';
	}

	$r2=mysql_query("SELECT `photo`,`gn`,`sn` FROM `as_users` WHERE `id` LIKE '$uid' LIMIT 1",$dbh);
	$a2=mysql_fetch_array($r2);
	echo '<h2>Preview:</h2>';
	$photo='data/images/profile/'.$a2['photo'].'t.jpg';
	if(strlen($a2['photo'])<6){
		$photo='src/img/nopicmt.jpg';
		if($a2['sex']=='female')$photo='src/img/nopicft.jpg';
	}
	$jdate=date("d.m.Y H:m",time());

	echo '<div id="jobspreview">';
	showJob($uid,$a2['gn'],$a2['sn'],$photo,$jdate,$company,$type,$field,$contactperson,$tel,$email,$description,$path_temp,$_SESSION['job_filename'],0);
	echo '</div>';

	echo '
	<div style="clear:both;height:15px;"></div>
	<form action="Jobs.php" name="boardItem" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="'.$iid.'">
	<input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'Jobs.php\');" style="margin-top:3px;">
	<input type="button" class="btn" style="margin-left:5px;" value="'.$tr['Edit'].'" onclick="window.location.assign(\'Jobs.php?editpreview='.$iid.'\');">
	<input type="submit" class="btn" style="margin-left:5px;" value="'.$tr['Publish'].'"></form>';
}
function jobSave(){
	global $config,$config_cache,$uid,$dbh,$tr;
	$j1=mysql_real_escape_string($_SESSION['job_company'],$dbh);
	$j2=mysql_real_escape_string($_SESSION['job_type'],$dbh);
	$j3=mysql_real_escape_string($_SESSION['job_field'],$dbh);
	$j4=mysql_real_escape_string($_SESSION['job_contactperson'],$dbh);
	$j5=mysql_real_escape_string($_SESSION['job_tel'],$dbh);
	$j6=mysql_real_escape_string($_SESSION['job_email'],$dbh);
	$j7=mysql_real_escape_string($_SESSION['job_validthru'],$dbh);
	$j8=mysql_real_escape_string(substr($_SESSION['job_folder'],5),$dbh);
	$j9=mysql_real_escape_string($_SESSION['job_filename'],$dbh);
	$j10=mysql_real_escape_string(nl2br(stripslashes($_SESSION['job_description'])),$dbh);
	$j8=str_replace(array('../','..\\','./','.\\'),'',$j8);

	if(!isset($_POST['save']))die('error ji90');
	$iid=requestVar('save',-1);
	if($iid==0){ // save new record
		$r_ins=mysql_query("INSERT INTO `as_jobs` SET `company`='$j1',`type`='$j2',`field`='$j3',`contactperson`='$j4',`tel`='$j5',`email`='$j6',`validthru`=$j7,`folder`='$j8',`filename`='$j9',`description`='$j10',`uid`='$uid',`datetime`='".date("Y-m-d H:i:s", time())."'",$dbh);
		$iid=mysql_insert_id($dbh);
		//$r_inc=mysql_query("SELECT LAST_INSERT_ID() AS iid",$dbh);
		//$a_inc=mysql_fetch_array($r_inc);
		//$iid=$a_inc['iid'];

		if(file_exists('./data/jobs/temp_'.$j8))rename('./data/jobs/temp_'.$j8,'./data/jobs/'.$j8);
		echo '<p style="color:#299729;">'.$tr['RecordHasBeenSaved'].'</p>';
		// notify users
		if($config_cache['enable_email_notification_new_jobs']){
			echo '<div style="clear:both;height:15px;"></div>
			<b>'.$tr['ShouldANotificationBeSent'].'</b><br/>
			<form action="Jobs.php" name="boardItem" enctype="multipart/form-data" method="post">
			<input type="hidden" name="notifyNewJob" value="'.$iid.'">
			<input type="button" class="btn" value="'.$tr['No'].'" onclick="window.location.assign(\'Jobs.php\');" style="margin-top:3px;">
			<input type="submit" class="btn" style="margin-left:5px;" value="'.$tr['Yes'].'"></form>';
		}
	}else{ // change existing record
		$r1=mysql_query("SELECT * FROM `as_jobs` WHERE `uid` LIKE '$uid' AND `id` LIKE '$iid' LIMIT 1",$dbh);
		if(mysql_num_rows($r1)!=1)die('#123');
		$a1=mysql_fetch_array($r1);
		$old_folder=$a1['folder'];
		$old_filename=$a1['filename'];
		$old_path='./data/jobs/'.$old_folder.'/'.$old_filename;
		if(file_exists($old_path)&&strlen($_SESSION['job_folder'])>0){
			unlink($old_path);
		}
		$r=mysql_query("UPDATE `as_jobs` SET `company`='$j1',`type`='$j2',`field`='$j3',`contactperson`='$j4',`tel`='$j5',`email`='$j6',`validthru`=$j7,`folder`='$j8',`filename`='$j9',`description`='$j10',`uid`='$uid',`datetime`='".date("Y-m-d H:i:s", time())."' WHERE `uid` LIKE '$uid' AND `id` LIKE '$iid' LIMIT 1",$dbh);

		if(mysql_affected_rows($dbh)==1){
			echo '<p style="color:#299729;">'.$tr['SavedChanges'].'</p>';
			$new_folder_temp=$_SESSION['job_folder'];
			if(file_exists('./data/jobs/'.$new_folder_temp)){
				rename('./data/jobs/'.$new_folder_temp,'./data/jobs/'.$j8);
			}
		}
		else{
			echo '<p style="color:red;">Error. Please try again.</p>';
		}
	}
	$_SESSION['job_folder']='';
	$_SESSION['job_filename']='';
}
function notifyNewJob(){
	global $dbh,$config,$tr,$uid,$mail_header;
	if(!isset($_POST['notifyNewJob']))die('error ji100');
	$iid=intval(requestVar('notifyNewJob',0));

	$r1=mysql_query("SELECT * FROM `as_jobs` WHERE `uid` LIKE '$uid' AND `id` LIKE '$iid' LIMIT 1",$dbh);
	if(mysql_num_rows($r1)!=1)die('#128');
	$a1=mysql_fetch_array($r1);
	if($a1['notification_sent']!=0){
		echo 'Notification already sent';
		return;
	}
	$r1=mysql_query("UPDATE `as_jobs` SET `notification_sent`=1 WHERE `uid` LIKE '$uid' AND `id` LIKE '$iid' LIMIT 1",$dbh);

	mysql_query("UPDATE `as_users` SET `notifiedNewJobOffer`='y' WHERE `notifyNewJobOffer` LIKE 'y'",$dbh);
	$ri=mysql_query("SELECT `gn`,`sn`,`email` FROM `as_users` WHERE `notifyNewJobOffer` LIKE 'y'",$dbh);

	while($ai=mysql_fetch_array($ri)){
		$mail_subject=$config['pageTitleOrDomain'].' :: '.$tr['Notification'];
		$mail_message=$tr['Hello']." ".$ai['gn']." ".$ai['sn']."\n\n".$tr['ThereIsANewJobOffer'].".\n".$tr['YouCanLogInHereToSeeDetails'].":\n".$config['domain']."\n\n";
		mail($ai['email'],$mail_subject,$mail_message,$mail_header);
	}
	echo $tr['NotificationHasBeenSent'];
}
?>