<?php
/**************************************************************************************************
 * Copyright(c) 2009 Fabian Gerold, http://www.alumniserver.net
 *
 * This script is part of the AlumniServer project. It is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 3 of the License, or (at your option) any later version.
 *
 * The GNU General Public License can be found at http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile GPL.txt
 *
 * This script is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************************************************/

if(!defined('ALUMNISERVER'))exit;

function showFieldsetName($user_array){
	global $tr;
	$gn=$user_array['gn'];
	$sn=$user_array['sn'];
	$bn=$user_array['bn'];

	if($bn=='')$bn='-';
	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['Name'].': <a href="mySettings.php?edit=name" style="margin-left:15px;">['.$tr['Change'].']</a></legend>
	<table style="width:500px;">
	<tr>
		<td style="width:100px;vertical-align:text-top;">'.$tr['Name'].':</td>
		<td style="width:250px;vertical-align:text-top;">'.$gn.' '.$sn.'</td>
		<td style="width:250px;">
	</td>
	</tr>
	<tr>
		<td style="width:100px;vertical-align:text-top;">'.$tr['BirthName'].':</td>
		<td style="width:250px;vertical-align:text-top;">'.$bn.'</td>
		<td style="width:250px;" ></td>
	</tr>
	</table>
	</fieldset>
	';
}

function showFieldsetEmail($email){
	global $tr,$dbh;
	$uid=$_SESSION['id'];
	$r_email_update=mysql_query("SELECT * FROM `as_email_update` WHERE `uid` LIKE '$uid' LIMIT 1",$dbh);

	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['EmailAddress'].': <a href="mySettings.php?edit=email" style="margin-left:15px;">['.$tr['Change'].']</a></legend>
	<p>'.$email.'</p>';

	if(mysql_num_rows($r_email_update)>0){
		$a_new_email=mysql_fetch_array($r_email_update);
		$new_email=$a_new_email['new_email'];
		echo '<p>'.$tr['UnconfirmedNewEmailAddress'].': '.$new_email.'</p>';
	}

	echo '</fieldset>';
}


function showFieldsetPersonal($user_array){
	global $tr,$countries;

	$birthday		=$user_array['birthday'];
	$sex			=$user_array['sex'];
	$street			=$user_array['street'];
	$zip			=$user_array['zipcode'];
	$city			=$user_array['city'];
	$country		=$user_array['country'];
	$home_street	=$user_array['home_street'];
	$home_zip		=$user_array['home_zipcode'];
	$home_city		=$user_array['home_city'];
	$home_country	=$user_array['home_country'];
	$phone			=$user_array['phone'];
	$mobile			=$user_array['mobile'];
	$homepage		=$user_array['homepage'];

	$birthday_array=explode('-',$user_array['birthday']);
	$dob=intval($birthday_array[2]);
	$mob=intval($birthday_array[1]);
	$yob=intval($birthday_array[0]);
	$birth=$dob.'.'.$mob.'.'.$yob;
	if($dob==0)$birth='-';

	if($sex=='female')$sex=$tr['Female'];
	else $sex=$tr['Male'];

	if($street=='')$street='-';
	if($zip=='')$zip='-';
	if($city=='')$city='-';

	if($country=='')$country='-';
	else{
		$country=$countries[$country];
	}

	// home address
	if($home_street=='')$home_street='-';

	if($home_zip=='')$home_zip='-';

	if($home_city=='')$home_city='-';

	if($home_country=='')$home_country='-';
	else{
		$home_country=$countries[$home_country];
	}

	if($phone=='')$phone='-';

	if($mobile=='')$mobile='-';

	if($homepage=='')$homepage='-';


	//<legend>'.$tr['PersonalData'].': <a href="mySettings.php?edit=personal" style="margin-left:15px;">['.$tr['Change'].']</a></legend>
	echo '

	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['PersonalData'].': <a href="mySettings.php?edit=personal"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>

	<table style="width:450px;">
	<tr><td>'.$tr['Birthday'].':</td><td>'.$birth.'</td></tr>
	<tr><td style="width:200px;">'.$tr['Sex'].':</td><td style="width:250px;">'.$sex.'</td></tr>

	<tr><td colspan="2" style="font-weight:bold;padding-top:10px;">'.$tr['Address'].':</td></tr>
	<tr><td>'.$tr['Street'].', '.$tr['HouseNumber'].':</td><td>'.$street.'</td></tr>
	<tr><td>'.$tr['Zip'].', '.$tr['City'].':</td><td>'.$zip.' '.$city.'</td></tr>
	<tr><td>'.$tr['Country'].':</td><td>'.$country.'</td></tr>

	<tr><td colspan="2" style="font-weight:bold;padding-top:10px;">'.$tr['HomeAddress'].':</td></tr>
	<tr><td>'.$tr['Street'].', '.$tr['HouseNumber'].':</td><td>'.$home_street.'</td></tr>
	<tr><td>'.$tr['Zip'].', '.$tr['City'].':</td><td>'.$home_zip.' '.$home_city.'</td></tr>
	<tr><td>'.$tr['Country'].':</td><td>'.$home_country.'</td></tr>

	<tr><td colspan="2" style="font-weight:bold;padding-top:10px;">'.$tr['Contact'].':</td></tr>
	<tr><td>'.$tr['Phone'].':</td><td>'.$phone.'</td></tr>
	<tr><td>'.$tr['Cellphone'].':</td><td>'.$mobile.'</td></tr>

	<tr><td>Homepage:</td><td>'.$homepage.'</td></tr>

	</table>
	</fieldset>
	';
}

//<tr><td colspan="2" style="font-weight:bold;">
//	Interests, hobbies:
//</td></tr>


function showFieldsetDegree($user_array){
	global $tr,$config,$config_cache;

	$status			=$user_array['status'];
	$fieldofstudy	=$user_array['fieldofstudy'];
	$degree			=$user_array['degree'];
	$graduation		=$user_array['graduation'];

	$alumnistatus='-';
	if($status=='alumnus')$alumnistatus=$tr['Alumnus'];
	elseif($status=='student')$alumnistatus=$tr['Student'];
	elseif($status=='professor')$alumnistatus=$tr['Professor'];
	elseif($status=='other')$alumnistatus=$tr['Other'];

	if($fieldofstudy==''){
		$fieldofstudy='-';
	}

	if($degree==''){
		$degree='-';
	}

	if($graduation==''||$graduation==0)$graduation='-';


	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['FieldDegree'].': <a href="mySettings.php?edit=degree"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>

	<table>
	<tr><td style="font-weight:bold;">'.$tr['Status'].':</td><td>'.$alumnistatus.'</td></tr>

	<tr><td style="width:200px;font-weight:bold;padding-top:20px;">'.$tr['FieldOfStudy'].':</td>
	<td style="padding-top:20px;">'.$fieldofstudy.'</td></tr>

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2" style="font-weight:bold;">'.$tr['Degree'].'</td></tr>

	<tr><td style="width:200px;">'.$tr['Description'].':</td>
	<td>'.$degree.'</td></tr>

	<tr><td style="width:200px;">'.$tr['YearOfGraduation'].':</td>
	<td>'.$graduation.'</td></tr>

	</table>
	</fieldset>
	';
}

function showFieldsetJob($user_array){
	global $tr,$EmploymentArray;

	$employment		=$user_array['employment'];
	$employer		=$user_array['employer'];
	$employer_web	=$user_array['employer_web'];
	$placeofwork	=$user_array['placeofwork'];

	$employment=$EmploymentArray[$employment];

	if($employer=='')		$employer='-';
	if($employer_web=='')	$employer_web='-';
	if($placeofwork=='')	$placeofwork='-';

	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['JobRelated'].': <a href="mySettings.php?edit=job"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>

	<table>

	<tr><td>'.$tr['Iam'].':</td><td>'.$employment.'</td></tr>

	<tr><td>'.$tr['AtThisCompanyInstitution'].':</td><td>'.$employer.'</td></tr>

	<tr><td>Website:</td><td>'.$employer_web.'</td></tr>

	<tr><td>'.$tr['PlaceOfWork'].':</td><td>'.$placeofwork.'</td></tr>

	<tr><td colspan="2">&nbsp;</td></tr>
	</table></fieldset>
	';
}

function showFieldsetPrivacy($user_array){
	global $tr,$config,$config_cache;

	$notifyNewMsg		=$user_array['notifyNewMsg'];
	$notifyNewJobOffer	=$user_array['notifyNewJobOffer'];
	$notifyNewsletter	=$user_array['notifyNewsletter'];
	$publicProfilePage	=$user_array['publicProfilePage'];

	$notify_msg=$tr['No'];
	if($notifyNewMsg=='y')$notify_msg=$tr['Yes'];

	$notify_job_offer=$tr['No'];
	if($notifyNewJobOffer=='y')$notify_job_offer=$tr['Yes'];

	$reveive_newsletters=$tr['No'];
	if($notifyNewsletter=='y')$reveive_newsletters=$tr['Yes'];

	$label_public_profile_page=$tr['No'];
	if($publicProfilePage=='y')$label_public_profile_page=$tr['Yes'];

	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['Privacy'].': <a href="mySettings.php?edit=privacy"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>

	<table>

	<tr><td style="font-weight:bold;">'.$tr['IWantToBeNotifiedAbout'].':</td></tr>
	<tr><td>'.$tr['NewMessages'].': '.$notify_msg.'</td></tr>
	<tr><td>'.$tr['NewJobOffersPostedByMembers'].': '.$notify_job_offer.'</td></tr>

	<tr><td style="font-weight:bold;padding-top:10px;">'.$tr['Newsletter'].':</td></tr>
	<tr><td>'.$tr['IWantToReceiveNewsletters'].': '.$reveive_newsletters.'</td></tr>';


	if($config_cache['enable_public_profile_pages']==true){
		echo '<tr><td style="font-weight:bold;padding-top:10px;">'.$tr['PublicProfilePage'].': <span style="font-weight:normal;">'
		.$label_public_profile_page.'</span></td></tr>';

		if($publicProfilePage=='y'){
			$domain=$config['domain'];
			if(substr($domain,-1)!='/')$domain.='/';

			// todo: create pages under domain.edu/pages/gn.sn  or  domain.edu/pages/userdefined
			echo '<tr><td>'.$tr['WebAddress'].': '.$domain.'Profile.php?uid='.$_SESSION['id'].'</td></tr>';
		}
	}
	else{
		echo '<tr><td style="font-weight:bold;padding-top:10px;">'.$tr['PublicProfilePage'].':</td></tr>
		<tr><td>Disabled</td></tr>';
	}

	echo '</table>
	</fieldset>
	';
}

function showFieldsetPhoto($user_array){
	global $tr;
	$photo	=$user_array['photo'];
	$sex	=$user_array['sex'];

	if(strlen($photo)<6){
		$photo_path='src/img/nopicm';
		if($sex=='female')$photo_path='src/img/nopicf';
	}
	else if(preg_match('/^[0-9a-f]{0,22}$/',$photo)){
		$photo_path='data/images/profile/'.$photo;
	}

	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['PhotoForMyPage'].': <a href="mySettings.php?edit=photo"  style="margin-left:15px;">['.$tr['Change'].']</a></legend>

	<div style="float:left;margin-left:10px;vertical-align:bottom;">
		<div style="float:left;"><img src="'.$photo_path.'t.jpg" id="photoThumb" border="0" alt=""></div>
	</div>
	</fieldset>
	';
}

function showFieldsetPassword(){
	global $tr;
	echo '
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;"><legend>'.$tr['Password'].':</legend>
	<a href="mySettings.php?edit=password"  style="margin-left:15px;">['.$tr['ChangePassword'].']</a>
	</fieldset>
	';
}


function showFormName($gn,$sn,$bn,$warn=array()){
	global $tr;
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['ChangeName'].':</legend>
	<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="name">

	<table>

	<tr><td style="width:100px;">'.$tr['Gn'].':</td><td style="width:220px;">
	<input type="text" name="gn" value="'.$gn.'" class="inp" style="width:200px;float:left;">
	</td><td>'.$warn['gn'].'</td></tr>

	<tr><td style="width:100px;">'.$tr['Sn'].':</td><td style="width:210px;">
	<input type="text" name="sn" value="'.$sn.'" class="inp" style="width:200px;float:left;">
	</td><td>'.$warn['sn'].'</td></tr>

	<tr><td style="width:100px;">'.$tr['BirthName'].':</td><td style="width:210px;">
	<input type="text" name="bn" value="'.$bn.'" class="inp" style="width:200px;float:left;">
	</td><td></td></tr>

	<tr><td colspan="3">
	'.$tr['PleaseMakeSurePersonalDataIsCorrect'].'
	</td></tr>

	<tr>
	<td><a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');" style="float:right;"></a></td>
	<td><a><input type="submit" value="'.$tr['Save'].'" class="btn"></a></td><td></td>
	</tr>

	</table>
	</fieldset>
	</form>';
}

function showFormEmail($email,$newemail='',$warn_email=''){
	global $tr,$dbh;
	$uid=$_SESSION['id'];
	$r_email_update=mysql_query("SELECT * FROM `as_email_update` WHERE `uid` LIKE '$uid' LIMIT 1",$dbh);

	echo '<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="email">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['ChangeEmail'].':</legend>
	<table>

	<tr>
		<td style="width:150px;">'.$tr['CurrentEmail'].':</td>
		<td style="width:250px;">'.$email.'</td>
		<td></td>
	</tr>

	<tr><td colspan="3" style="height:6px;padding:0px;"></td></tr>';

	if(mysql_num_rows($r_email_update)>0){
		$a_unconfirmed_new_email=mysql_fetch_array($r_email_update);
		$unconfirmed_new_email=$a_unconfirmed_new_email['new_email'];
		echo '<tr>
		<td style="width:150px;">'.$tr['UnconfirmedNewEmailAddress'].':</td>
		<td style="width:250px;">'.$unconfirmed_new_email.'</td>
		<td></td>
		</tr>

		<tr><td colspan="3" style="height:6px;padding:0px;"></td></tr>';
	}

	echo '<tr>
		<td>'.$tr['NewEmail'].':</td>
		<td>
		<input type="text" name="email" value="'.$newemail.'" class="inp" style="width:200px;float:left;">
		</td>
		<td>'.$warn_email.'</td>
	</tr>

	<tr><td colspan="3" style="height:6px;padding:0px;"></td></tr>

	<tr>
		<td><a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');" style="float:right;"></a></td>
		<td><a><input type="submit" value="'.$tr['Save'].'" class="btn"></a></td>
		<td></td>
	</tr>

	</table>
	</fieldset>
	</form>';
}

function showFormPersonal($a1){
	global $months,$countries,$tr;

	$birthday_array=explode('-',$a1['birthday']);
	$dob=intval($birthday_array[2]);
	$mob=intval($birthday_array[1]);
	$yob=intval($birthday_array[0]);
	$birth=$dob.'.'.$mob.'.'.$yob;
	if($dob==0)$birth='-';

	$select_female='';
	$select_male='';
	if($a1['sex']=='female'){
		$select_female='selected';
	}
	elseif($a1['sex']=='male'){
		$select_male='selected';
	}
	$country='';
	if(preg_match('/^[A-Z]{2}$/',$a1['country'])){$country=$a1['country'];}
	$home_country='';
	if(preg_match('/^[A-Z]{2}$/',$a1['home_country'])){$home_country=$a1['home_country'];}

	$country_options='';
	$home_country_options='';
	foreach(array_keys($countries) as $k){
		if($k==$country){
			$country_options.='<option value="'.$k.'" selected>'.$countries[$k].'</option>';
		}
		else{
			$country_options.='<option value="'.$k.'">'.$countries[$k].'</option>';
		}

		if($k==$home_country){
			$home_country_options.='<option value="'.$k.'" selected>'.$countries[$k].'</option>';
		}
		else{
			$home_country_options.='<option value="'.$k.'">'.$countries[$k].'</option>';
		}
	}

	echo '	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['PersonalData'].':</legend>

	<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="personal">
	<table style="width:450px;">
	<tr><td>'.$tr['Birthday'].':</td><td>';

	echo '<select name="dob" class="combo" style="width:45px;"><option value="0">-</option>';
	for($i=1;$i<=31;++$i){
		if($i==$dob){
			echo '<option value="'.$i.'" selected>'.$i.'</option>';
		}
		else{
			echo '<option value="'.$i.'">'.$i.'</option>';
		}
	}
	echo '</select>';

	echo '<select name="mob" class="combo" style="width:78px;"><option value="0">---------</option>';
	for($i=1;$i<=12;++$i){
		if($i==$mob){
			echo '<option value="'.$i.'" selected>'.$months[$i].'</option>';
		}
		else{
			echo '<option value="'.$i.'">'.$months[$i].'</option>';
		}
	}
	echo '</select>';

	echo '<select name="yob" class="combo" style="width:55px;"><option value="0000">----</option>';
	for($i=1930;$i<=1995;++$i){
		if($i==$yob){
			echo '<option value="'.$i.'" selected>'.$i.'</option>';
		}
		else{
			echo '<option value="'.$i.'">'.$i.'</option>';
		}
	}
	echo '</select>';

	echo '</td></tr>

	<tr><td style="width:200px;">'.$tr['Sex'].':</td><td style="width:250px;">
		<select name="sex" class="combo" style="width:110px;">
			<option value="female" '.$select_female.'>'.$tr['Female'].'</option>
			<option value="male" '.$select_male.'>'.$tr['Male'].'</option>
		</select>
	</td></tr>

	<tr><td colspan="2" style="font-weight:bold;padding-top:10px;">'.$tr['Address'].':</td></tr>
	<tr><td>'.$tr['Street'].', '.$tr['HouseNumber'].':</td><td>
		<input type="text" name="street" class="inp" style="width:180px;" value="'.$a1['street'].'">
	</td></tr>

	<tr><td>'.$tr['Zip'].', '.$tr['City'].':</td><td>
		<input type="text" name="zipcode" class="inp" style="width:40px;" value="'.$a1['zipcode'].'">
		<input type="text" name="city" class="inp" style="width:130px;" value="'.$a1['city'].'">
	</td></tr>

	<tr><td>'.$tr['Country'].':</td><td>
	<select name="country" class="combo" style="width:186px;">'.$country_options.'</select></td></tr>

	<tr><td colspan="2" style="font-weight:bold;padding-top:10px;">'.$tr['HomeAddress'].':</td></tr>
	<tr><td>'.$tr['Street'].', '.$tr['HouseNumber'].':</td><td>
		<input type="text" name="home_street" class="inp" style="width:180px;" value="'.$a1['home_street'].'">
	</td></tr>

	<tr><td>'.$tr['Zip'].', '.$tr['City'].':</td><td>
		<input type="text" name="home_zipcode" class="inp" style="width:40px;" value="'.$a1['home_zipcode'].'">
		<input type="text" name="home_city" class="inp" style="width:130px;" value="'.$a1['home_city'].'">
	</td></tr>

	<tr><td>'.$tr['Country'].':</td><td>
	<select name="home_country" class="combo" style="width:186px;">'.$home_country_options.'</select></td></tr>


	<tr><td colspan="2" style="font-weight:bold;">
		'.$tr['Contact'].':
	</td></tr>

	<tr><td>
		'.$tr['Phone'].':
		</td><td>
		<input type="text" name="phone" maxlength="50" class="inp" style="width:186px;" value="'.$a1['phone'].'">
	</td></tr>

	<tr><td>
		'.$tr['Cellphone'].':
		</td><td>
		<input type="text" name="mobile" maxlength="50" class="inp" style="width:186px;" value="'.$a1['mobile'].'">
	</td></tr>

	<tr><td>
		Homepage:
		</td><td>
		<input type="text" name="homepage" style="width:146px;background-image:url(src/img/http.gif);background-repeat:no-repeat;padding-left:42px;" class="inp" value="'
		.$a1['homepage'].'">
	</td></tr>

	<tr><td style="text-align:right;">

	<a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');"></a>

	</td><td>
	<a><input type="submit" value="'.$tr['SaveChanges'].'" class="btn"></a>
	</td></tr>

	</table>

	</fieldset></form>';

		//<tr><td colspan="2" style="font-weight:bold;">
		//	Interests:
		//</td></tr>


}

function showFormDegree($a1){
	global $config,$config_cache,$tr,$stats;

	$index=0;
	foreach(array_keys($stats) as $key){
		if($a1['status']==$key){
			$selectStatus.='<option value="'.$key.'" SELECTED>'.$stats[$key].'</option>';
		}
		else{
			$selectStatus.='<option value="'.$key.'">'.$stats[$key].'</option>';
		}
		++$index;
	}

	if(count($config_cache['fieldofstudy'])>0){
		$selectFieldofStudy='<tr><td style="width:200px;">'.$tr['FieldOfStudy'].':</td>
		<td><select name="fieldofstudy" class="combo" style="width:340px;"><option value="">---------------------------- </option>';
		$index=0;
		foreach($config_cache['fieldofstudy'] as $field){
			if($a1['fieldofstudy']==$field){
				$selectFieldofStudy.='<option value="'.$index.'" SELECTED>'.$field.'</option>';
			}
			else{
				$selectFieldofStudy.='<option value="'.$index.'">'.$field.'</option>';
			}
			++$index;
		}
		$selectFieldofStudy.='</select></td></tr>';
	}

	if(is_array($config_cache['degrees'])&&count($config_cache['degrees'])>0){
		$selectDegree='<tr><td style="width:200px;">'.$tr['Description'].':</td>
		<td><select name="degree" class="combo" style="width:340px;"><option value="">---------------------------- </option>';
		$index=0;
		foreach($config_cache['degrees'] as $deg){
			if($a1['degree']==$deg){
				$selectDegree.='<option value="'.$index.'" SELECTED>'.$deg.'</option>';
			}
			else{
				$selectDegree.='<option value="'.$index.'">'.$deg.'</option>';
			}
			++$index;
		}
		$selectDegree.='</select></td></tr>';
	}

	$yearnow=date("Y",time());
	for($i=1950;$i<=$yearnow;++$i){
		if($a1['graduation']==$i){
			$selectGraduation.='<option value="'.$i.'" SELECTED>'.$i.'</option>';
		}
		else{
			$selectGraduation.='<option value="'.$i.'">'.$i.'</option>';
		}
	}

	echo '<form action="mySettings.php" enctype="multipart/form-data" method="post">

	<input type="hidden" name="save" value="degree">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['FieldDegree'].':</legend>
	<table>
	<tr><td colspan="2" style="font-weight:bold;">'.$tr['Status'].':</td></tr>
	<tr><td style="width:200px;">'.$tr['Iam'].':</td>
	<td><select name="alumnistatus" class="combo" style="width:340px;">'.$selectStatus.'</select>
	</td></tr>

	<tr><td colspan="2">&nbsp;</td></tr>

	<tr><td colspan="2" style="font-weight:bold;">'.$tr['FieldOfStudy'].':</td></tr>

	'.$selectFieldofStudy.'

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td colspan="2" style="font-weight:bold;">'.$tr['Degree'].'</td></tr>

	'.$selectDegree.'

	<tr><td style="width:200px;">'.$tr['YearOfGraduation'].':</td>
	<td><select name="graduation" class="combo"  style="width:70px;">'.$selectGraduation.'</select>
	</td></tr>

	<tr><td colspan="2">&nbsp;</td></tr>
	<tr><td style="text-align:right;">
	<a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');"></a>

	</td><td>
	<a><input type="submit" value="'.$tr['SaveChanges'].'" class="btn"></a>
	</td></tr>

	</table>
	</fieldset>';

}

function showFormJob($a1){
	global $tr,$EmploymentArray;

	$employment='';
	if(preg_match('/^[0-9]{1}$/',$a1['employment'])){$employment=$a1['employment'];}
	$options='';
	for($i=0;$i<8;++$i){
		if($employment==$i){
			$options.='<option value="'.$i.'" selected>'.$EmploymentArray[$i].'</option>';
		}
		else{
			$options.='<option value="'.$i.'">'.$EmploymentArray[$i].'</option>';
		}
	}


	echo '<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="job">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['JobRelated'].':</legend>
	<table>

	<tr>
		<td>'.$tr['Iam'].':</td>
	  	<td>
			<select name="employment" class="combo" style="width:140px;">'.$options.'</select>
		</td>
	</tr>

	<tr><td>'.$tr['AtThisCompanyInstitution'].':</td>
	<td><input type="text" name="employer" maxsize="100" style="width:220px;" class="inp" value="'.$a1['employer'].'">
	</td></tr>

	<tr><td>Website:</td><td>
	<input type="text" name="employer_web" size="26" style="width:180px;background-image:url(src/img/http.gif);background-repeat:no-repeat;padding-left:42px;" class="inp" value="'.$a1['employer_web'].'">
	</td></tr>

	<tr><td>'.$tr['PlaceOfWork'].':</td><td>
	<input type="text" name="placeofwork" size="26" style="width:220px;" class="inp" value="'.$a1['placeofwork'].'">
	</td></tr>

 	<tr><td colspan="2">&nbsp;</td></tr>

	<tr><td style="text-align:right;">
	<a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');"></a>
	</td><td>
	<a><input type="submit" value="'.$tr['SaveChanges'].'" class="btn"></a>
	</td></tr>

	</table></fieldset>';
}

function showFormPrivacy(){
	global $a1,$tr,$config,$config_cache;

	$notifyNewMsg='';
	if($a1['notifyNewMsg']=='y')$notifyNewMsg='checked';

	$notifyNewJobOffer='';
	if($a1['notifyNewJobOffer']=='y')$notifyNewJobOffer='checked';

	$notifyNewsletter='';
	if($a1['notifyNewsletter']=='y')$notifyNewsletter='checked';

	$publicProfilePage='';
	if($a1['publicProfilePage']=='y')$publicProfilePage='checked';

	echo '<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="privacy">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['Privacy'].'</legend>
	<table>

	<tr><td>&nbsp;</td></tr>
	<tr><td style="font-weight:bold;">'.$tr['IWantToBeNotifiedAbout'].':</td></tr>
	<tr><td><input type="checkbox" name="notifyNewMsg" '.$notifyNewMsg.'>
	<label for="notifyNewMsg"> '.$tr['NewMessages'].'</label> </td></tr>

	<tr><td><input type="checkbox" name="notifyNewJobOffer" '.$notifyNewJobOffer.'>
	<label for="notifyNewJobOffer"> '.$tr['NewJobOffersPostedByMembers'].'</label> </td></tr>

	<tr><td style="font-weight:bold;padding-top:10px;">'.$tr['Newsletter'].'</td></tr>
	<tr><td><input type="checkbox" name="notifyNewsletter" '.$notifyNewsletter.'>
	<label for="notifyNewsletter"> '.$tr['IWantToReceiveNewsletters'].'</label> </td></tr>';

	if($config_cache['enable_public_profile_pages']){
		$domain=$config['domain'];
		if(substr($domain,-1)!='/')$domain.='/';
		$publicProfileAddress=$domain.'Profile.php?uid='.$_SESSION['id'];
		echo '<tr><td style="font-weight:bold;padding-top:10px;">'.$tr['PublicProfilePage'].'</td></tr>
		<tr><td><input type="checkbox" name="publicProfilePage" '.$publicProfilePage.'>
		<label for="publicProfilePage"> '.$tr['IWantMyProfilePageToBePublic'].'</label><br/>
		('.$tr['YourProfilePageWillThenBeReachable'].': <br/>'.$publicProfileAddress.') </td></tr>';
	}

	echo '</table>

	<p style="padding-top:5px;padding-bottom:10px;text-align:center;">
		<a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');"></a>

		<a><input type="submit" value="'.$tr['SaveChanges'].'" class="btn"></a>
	</p>
	</fieldset>
	</form>';


}

function showFormPhoto($photo_id,$sex){
	global $tr;

	echo '<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="photo">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['UploadNewPhoto'].': </legend>
	<table><tr><td style="padding-right:15px;">

	<input type="file" name="photo" class="inp"><br/>
	'.$tr['PhotoUploadNoCopyrightViolation'].'
	<p>

	<a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');"></a>

	<a><input type="submit" class="btn" value="'.$tr['UploadFile'].'"></a>
	</p>
	<p>'.$tr['SupportedFileTypes'].': jpg, png, gif, bmp.</p>';

	if(preg_match('/^[0-9a-f]{22}$/',$photo_id)){
		$photo='data/images/profile/'.$photo_id;
		echo '<a href="mySettings.php?edit=photodelete">['.$tr['DeleteCurrentPhoto'].']</a>';
	}
	else{
		$photo='src/img/nopicm';
		if($sex=='female')$photo='src/img/nopicf';
	}

	echo '</td><td style="vertical-align:text-top;">
		<img src="'.$photo.'.jpg" id="photo" alt=""><br/>'.$tr['CurrentPhoto'].'
	</td></tr></table>';
}

function showFormPhotoDelete($a1){
	global $tr;

	if(!preg_match('/^[0-9a-f]{22}$/',$a1['photo'])){
		exit;
	}
	$photo='data/images/profile/'.$a1['photo'];
	echo '<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="photoDelete">
	<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['DeleteThisPhoto'].': </legend>
	<table><tr><td style="padding-right:15px;">

	<p>
	<a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');"></a>
	<a><input type="submit" class="btn" value="'.$tr['Delete'].'"></a>
	</p>

	</td><td style="vertical-align:text-top;"><img src="'.$photo.'.jpg" id="photo" alt="">
	<br/>'.$tr['CurrentPhoto'].'</td></tr></table>
';
}

function showFormPassword($warn=array()){
	global $tr;
	echo '<fieldset style="border:#cccccc 1px solid;margin-top:10px;padding:10px;">
	<legend>'.$tr['ChangePassword'].':</legend>
	<form action="mySettings.php" enctype="multipart/form-data" method="post">
	<input type="hidden" name="save" value="password">

	<table>

	<tr>
		<td style="width:160px;">'.$tr['NewPassword'].':</td>
		<td style="width:220px;"><input type="password" name="chPwd" class="inp" style="width:200px;float:left;"></td>
		<td>'.$warn['password'].'</td>
	</tr>

	<tr>
		<td style="width:160px;">'.$tr['RepeatPassword'].':</td>
		<td style="width:210px;"><input type="password" name="chPwdr" class="inp" style="width:200px;float:left;"></td>
		<td>'.$warn['password_repeat'].'</td>
	</tr>

	<tr>
		<td><a><input type="button" class="redbtn" value="'.$tr['Cancel'].'" onclick="window.location.assign(\'mySettings.php\');" style="float:right;"></a></td>
		<td><a><input type="submit" value="'.$tr['Save'].'" class="btn"></a></td><td></td>
	</tr>

	</table>
	</fieldset>
	</form>';
}

function saveUserSettings($set){
	global $dbh,$tr;
	$setstr='';
	foreach(array_keys($set) as $key){
		$setstr.=$key."='".mysql_real_escape_string($set[$key],$dbh)."', ";
	}

	$setstr=substr($setstr,0,-2);
	mysql_query("UPDATE `as_users` SET $setstr WHERE id LIKE '".$_SESSION['id']."'",$dbh);
	if(mysql_affected_rows()==1){
		echo '<p style="margin-bottom:20px;color:#54b554;">'.$tr['SavedChanges'].'.</p>';
	}
	else{
		echo '<p style="color:#555555;">'.$tr['NoChangesSaved'].'.</p>';
	}
}

function saveName(){
	global $dbh,$tr;
	$warn=array(
	"gn"=>'<span style="color:red;">'.$tr['GnSeemsToBeIncorrect'].'.</span>',
	"sn"=>'<span style="color:red;">'.$tr['SnSeemsToBeIncorrect'].'.</span>'
	);

	// check given name
	if(!isset($_POST['gn'])) exit;
	$gn=rtrim(requestVar('gn','',true));
	if(strlen($gn)>1&&!preg_match('/[\<\>\[\]#_ï¿½ï¿½\;\*\+\$\&]/i',$gn)){
		$warn['gn']='';
	}

	// check surname
	if(!isset($_POST['sn'])) exit;
	$sn=rtrim(requestVar('sn','',true));
	if(strlen($sn)>1&&!preg_match('/[\<\>\[\]#_ï¿½ï¿½\;\*\+\$\&]/i',$sn)){
		$warn['sn']='';
	}

	// check birth name
	if(!isset($_POST['bn'])) exit;
	$bn=rtrim(requestVar('bn','',true));

	foreach(array_keys($warn) as $item){
		if($warn[$item]!=''){
			showFormName($gn,$sn,$bn,$warn);
			return false;
		}
	}

	$gn=mysql_real_escape_string($gn,$dbh);
	$sn=mysql_real_escape_string($sn,$dbh);
	$bn=mysql_real_escape_string($bn,$dbh);
	mysql_query("UPDATE `as_users` SET `gn`='$gn',`sn`='$sn',`bn`='$bn' WHERE `id` LIKE '".$_SESSION['id']."' LIMIT 1",$dbh);
	if(mysql_affected_rows()==1){
		echo '<p style="color:#54b554;">'.$tr['SavedChanges'].'.</p>';
	}
	else{
		echo '<p style="color:#555555;">'.$tr['NoChangesSaved'].'.</p>';
	}
	return true;

}

function saveEmail(){
	global $dbh,$config,$tr,$mail_header;
	$warn_email='';

	$uid=$_SESSION['id'];
	$r5=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '$uid' LIMIT 1",$dbh);
	$a5=mysql_fetch_array($r5);
	$old_email=$a5['email'];
	$gn=$a5['gn'];
	$sn=$a5['sn'];

	// check email
	if(!isset($_POST['email'])) exit;
	$new_email=rtrim(requestVar('email','',true));
	if(strlen($new_email)>40) exit;
	if(!checkEmailAddress($new_email))$warn_email='<span style="color:red;">'.$tr['EmailSeemsToBeIncorrect'].'.</span>';

	if($warn_email!=''){
		showFormEmail($old_email,$new_email,$warn_email);
		return false;
	}

	$new_email=mysql_real_escape_string($new_email,$dbh);
	$r6=mysql_query("SELECT * FROM `as_users` WHERE `email` LIKE '$new_email' LIMIT 1",$dbh);
	if(mysql_num_rows($r6)>0){
		$warn_email='<p style="color:#ff5555;">'.$tr['EmailAlreadyExisting'].'</p>';
	}

	if($warn_email!=''){
		showFormEmail($old_email,$new_email,$warn_email);
		return false;
	}

	$confirmstring='';
	$alphabet='0123456789abcdef';
	$max=strlen($alphabet)-1;
	for($i=0;$i<6;++$i)$confirmstring.=substr($alphabet,rand(0,$max),1);
	$confirmstring=$uid.$confirmstring;
	$now=date("Y-m-d H:i:s",time());
	mysql_query("DELETE FROM `as_email_update` WHERE `uid` LIKE '$uid'",$dbh);
	mysql_query("INSERT INTO `as_email_update` SET `uid`='$uid',`confirmstring`='$confirmstring',`new_email`='$new_email',`datetime`='$now' ",$dbh);
	if(mysql_affected_rows()!=1){
		echo "error #e011<br/>";
		return;
	}

	$mail_subject=$tr['NewEmailForAccount'].' '.$config['pageTitleOrDomain'];
	$domain=$config['domain'];
	if(substr($domain,-1)!='/')$domain.='/';

	$mail_message='Hello '.$gn.' '.$sn.'

'.$tr['ClickOnConfirmLink'].'
'.$domain."ChangeMail.php?confirm=$confirmstring";

	mail($new_email,$mail_subject,$mail_message,$mail_header);
	echo '<p style="color:#54b554;">'.$tr['YouWillReceiveConfirmMail'].'.</p>';
	return true;
}

function savePersonal(){
	global $dbh,$tr;
	$set=array();

	// check dayofbirth
	$dob=0;
	if(!isset($_POST['dob']))exit;
	$dob=intval(requestVar('dob',0));
	if($dob<0||$dob>31)exit;
	if($dob<10) $dob='0'.$dob;

	// check monthofbirth
	$mob=0;
	if(!isset($_POST['mob']))exit;
	$mob=intval(requestVar('mob',0));
	if($mob<0||$mob>12)exit;
	if($mob<10) $mob='0'.$mob;

	// check yearofbirth
	$yob=0;
	if(!isset($_POST['yob']))exit;
	$yob=intval(requestVar('yob',0));
	if(($yob<1930||$yob>2002)&&$yob!='0000')exit;

	$birthday=$yob.'-'.$mob.'-'.$dob;
	$set['birthday']=$birthday;

	// check sex
	if(!isset($_POST['sex']))exit;
	$sex=requestVar('sex','');
	$sex=rtrim($sex);
	if(!($sex=='female'||$sex=='male'))exit;
	$set['sex']=$sex;

	// check street
	if(!isset($_POST['street']))exit;
	$street=requestVar('street','',true);
	$street=rtrim($street);
	if(strlen($street)>100)exit;
	$set['street']=$street;

	// check zipcode
	if(!isset($_POST['zipcode']))exit;
	$zipcode=requestVar('zipcode','');
	$zipcode=rtrim($zipcode);
	if(strlen($zipcode)>14)exit;
	$set['zipcode']=$zipcode;

	// check city
	if(!isset($_POST['city']))exit;
	$city=requestVar('city','',true);
	$city=rtrim($city);
	if(strlen($city)>100)exit;
	$set['city']=$city;

	// check country
	if(!isset($_POST['country']))exit;
	$country=requestVar('country','');
	if(!preg_match('/^[A-Z]{2}$/',$country)&&$country!='')exit;
	$set['country']=$country;


	// check home street
	if(!isset($_POST['home_street']))exit;
	$home_street=requestVar('home_street','',true);
	$home_street=rtrim($home_street);
	if(strlen($home_street)>100)exit;
	$set['home_street']=$home_street;

	// check home zipcode
	if(!isset($_POST['home_zipcode']))exit;
	$home_zipcode=requestVar('home_zipcode','',true);
	$home_zipcode=rtrim($home_zipcode);
	if(strlen($home_zipcode)>14)exit;
	$set['home_zipcode']=$home_zipcode;

	// check home city
	if(!isset($_POST['home_city']))exit;
	$home_city=requestVar('home_city','',true);
	$home_city=rtrim($home_city);
	if(strlen($home_city)>100)exit;
	$set['home_city']=$home_city;

	// check home country
	if(!isset($_POST['home_country']))exit;
	$home_country=requestVar('home_country','');
	if(!preg_match('/^[A-Z]{2}$/',$home_country)&&$home_country!='')exit;
	$set['home_country']=$home_country;

	// check phone
	if(!isset($_POST['phone']))exit;
	$phone=requestVar('phone','',true);
	$phone=rtrim($phone);
	if(strlen($phone)>30)exit;
	$set['phone']=$phone;

	// check mobile
	if(!isset($_POST['mobile']))exit;
	$mobile=requestVar('mobile','',true);
	$mobile=rtrim($mobile);
	if(strlen($mobile)>30)exit;
	$set['mobile']=$mobile;

	// check homepage
	if(!isset($_POST['homepage']))exit;
	$homepage=requestVar('homepage','',true);
	$homepage=rtrim($homepage);
	if(strlen($homepage)>49)exit;
	$homepage=str_replace('http://','',$homepage);
	$set['homepage']=$homepage;

	saveUserSettings($set);
	return true;
}

function saveDegree(){
	global $dbh,$tr,$config,$config_cache;
	$set=array();

	// check subject group
	$set['status']='';
	if(isset($_POST['alumnistatus'])){
		$alumnistatus=requestVar('alumnistatus','');
		if($alumnistatus=='alumnus'||$alumnistatus=='student'||$alumnistatus=='professor'||$alumnistatus=='other'){
			$set['status']=$alumnistatus;
		}
	}

	// check field of study
	$set['fieldofstudy']='';
	if(isset($_POST['fieldofstudy'])){
		$fieldofstudy=requestVar('fieldofstudy','',true);
		if($fieldofstudy!=''){
			$fieldofstudy=intval($fieldofstudy);
			if(count($config_cache['fieldofstudy'])>$fieldofstudy){
				$set['fieldofstudy']=$config_cache['fieldofstudy'][$fieldofstudy];
			}
		}
	}

	// check degree
	$set['degree']='';
	if(isset($_POST['degree'])){
		$degree=requestVar('degree','',true);
		if($degree!=''){
			$degree=intval($degree);
			if(count($config_cache['degrees'])>$degree){
				$set['degree']=$config_cache['degrees'][$degree];
			}
		}
	}

	// check year of graduation
	if(isset($_POST['graduation'])){
		$yearnow=date("Y",time());
		$graduation=requestVar('graduation',0);
		if($graduation<1950||$graduation>$yearnow)exit;
		$set['graduation']=$graduation;
	}

	saveUserSettings($set);
	return true;
}



function saveJob(){
	global $dbh,$tr;

	// check employment
	if(!isset($_POST['employment'])) exit;
	$employment=requestVar('employment',0);
	if(!preg_match('/^[0-9]{1}$/',$employment)) exit;
	$set['employment']=$employment;

	// check employer
	if(!isset($_POST['employer'])) exit;
	$employer=requestVar('employer','',true);
	$set['employer']=rtrim($employer);

	// check employer_web
	if(!isset($_POST['employer_web'])) exit;
	$employer_web=requestVar('employer_web','',true);
	$employer_web=str_replace('http://','',$employer_web);
	$set['employer_web']=rtrim($employer_web);

	// check place of work
	if(!isset($_POST['placeofwork'])) exit;
	$placeofwork=requestVar('placeofwork','',true);
	$set['placeofwork']=rtrim($placeofwork);

	saveUserSettings($set);
	return true;
}

function savePrivacy(){
	global $dbh,$tr;

	// check notification
	$set['notifyNewMsg']='n';
	if(isset($_POST['notifyNewMsg']))$set['notifyNewMsg']='y';

	$set['notifyNewsletter']='n';
	if(isset($_POST['notifyNewsletter']))$set['notifyNewsletter']='y';

	$set['notifyNewJobOffer']='n';
	if(isset($_POST['notifyNewJobOffer']))$set['notifyNewJobOffer']='y';

	$set['notifyNewJobOffer']='n';
	if(isset($_POST['notifyNewJobOffer']))$set['notifyNewJobOffer']='y';

	$set['notifyNewJobOffer']='n';
	if(isset($_POST['notifyNewJobOffer']))$set['notifyNewJobOffer']='y';

	$set['publicProfilePage']='n';
	if(isset($_POST['publicProfilePage']))$set['publicProfilePage']='y';

	saveUserSettings($set);
	return true;
}

function savePhoto(){
	global $dbh,$tr;

	$uid=$_SESSION['id'];
	$r1=mysql_query("SELECT * FROM `as_users` WHERE `id` LIKE '$uid' LIMIT 1",$dbh);
	$a1=mysql_fetch_array($r1);

	$old_photo_id	=$a1['photo'];
	$sex			=$a1['sex'];

	if(!$_FILES['photo']['tmp_name']){
		echo "Upload failed :-(<br/>";
		showFormPhoto($old_photo_id,$sex);
		return false;
	}

	$alphabet='0123456789abcdef';
	$max=strlen($alphabet)-1;
	$photo_id='';
	mt_srand((double)microtime()*1000000^getmypid());
	for($i=0;$i<22;++$i)$photo_id.=substr($alphabet,rand(0,$max),1);
	$uploadpath="data/images/profile/".$photo_id.".jpg";
	$thumbpath="data/images/profile/".$photo_id."t.jpg";

	if(file_exists($uploadpath)||file_exists($thumbpath)){
		echo $tr['AnErrorOccured'].' '.$tr['PleaseTryAgain'];
		showFormPhoto($old_photo_id,$sex);
		return false;
	}

	$max_B=2048*1024;
	$max_kB=$max_B/1024;
	if($_FILES['photo']['size']>$max_B){
		$size=$_FILES['photo']['size']/1024;
		$size=round($size,1);

		echo "File is too big.<br/>Size of uploaded file: $size kB<br/>Maximum is: $max_kB";
		showFormPhoto($old_photo_id,$sex);
		return false;
	}

	switch($_FILES['photo']['type'])
	{
		case 'image/jpeg':
		case 'image/pjpeg':		$im=imagecreatefromjpeg($_FILES['photo']['tmp_name']);
		break;
		case 'image/x-png':
		case 'image/png':		$im=imagecreatefrompng($_FILES['photo']['tmp_name']);
		break;
		case 'image/gif':		$im=imagecreatefromgif($_FILES['photo']['tmp_name']);
		break;
		case 'image/wbmp':		$im=imagecreatefromwbmp($_FILES['photo']['tmp_name']);
		break;

		default:				echo $tr['SupportedFileTypes'].': jpg, png, gif, bmp.</p>';
		showFormPhoto($old_photo_id,$sex);
		return false;
	}

	$x=imagesx($im);
	$y=imagesy($im);
	if($x<10||$y<10||$x*$y<16*16){
		echo "Picture is too small.";
		showFormPhoto($old_photo_id,$sex);
		return false;
	}

	if($x>$y){ //querformat
		$dest_w=$x;
		$dest_h=$y;
		$thumb_dest_w=$x;
		$thumb_dest_h=$y;
		if($x>60){ // thumb image
			$thumb_dest_w=60;
			$thumb_dest_h=60*$y/$x;
		}
		if($x>160){ // profile image
			$dest_w=160;
			$dest_h=160*$y/$x;
		}
	}
	else{ //hochformat
		$dest_w=$x;
		$dest_h=$y;

		$thumb_dest_w=$x;
		$thumb_dest_h=$y;

		if($y>60){ // thumb image
			$thumb_dest_h=60;
			$thumb_dest_w=60*$x/$y;
		}

		if($y>200){ // profile image
			$dest_h=200;
			$dest_w=200*$x/$y;
		}
	}
	// save a photo
	$save=imagecreatetruecolor($dest_w,$dest_h);
	imagecopyresampled($save,$im, 0, 0, 0, 0,$dest_w,$dest_h,$x,$y);
	imagejpeg($save,$uploadpath, 85);
	chmod($uploadpath,0777);

	// save a thumbnail
	$save=imagecreatetruecolor($thumb_dest_w,$thumb_dest_h);
	imagecopyresampled($save,$im, 0, 0, 0, 0,$thumb_dest_w,$thumb_dest_h,$x,$y);
	imagejpeg($save,$thumbpath, 85);
	chmod($thumbpath,0777);

	imagedestroy($im);
	imagedestroy($save);

	if(!file_exists($uploadpath)||!file_exists($thumbpath)){
		echo 'Processing the file failed.<br/>';
		showFormPhoto($old_photo_id,$sex);
		return false;
	}
	mysql_query("UPDATE `as_users` SET `photo`='$photo_id' WHERE `id` LIKE '".$_SESSION['id']."' LIMIT 1",$dbh);


	// delete old profile image
	if(substr($old_photo_id,0,16)!='src/img/nopic'){
		$old_pic='data/images/profile/'.$old_photo_id.'.jpg';
		$old_thumb='data/images/profile/'.$old_photo_id.'t.jpg';
		if(file_exists($old_pic))	unlink($old_pic);
		if(file_exists($old_thumb))	unlink($old_thumb);
	}

	echo '
	<p style="margin-bottom:20px;color:#54b554;">'.$tr['PhotoSaved'].'.</p>
	<img src="'.$uploadpath.'" id="photo" alt="">';
	return true;
}

function deletePhoto(){
	global $dbh,$tr;

	$uid=$_SESSION['id'];
	mysql_query("UPDATE `as_users` SET `photo`='nopic' WHERE `id` LIKE '$uid' LIMIT 1",$dbh);

	echo '<p style="margin-bottom:20px;color:#54b554;">'.$tr['PhotoDeleted'].'.</p>';
	return true;
}

function savePassword(){
	global $dbh,$tr;

	$warn=array(
	"password"=>'<span style="color:red;">'.$tr['LengthOfPasswordsNeedsToBeAtLeast6'].'.</span>',
	"password_repeat"=>'<span style="color:red;">'.$tr['PasswordsWereNotIdentical'].'.</span>'
	);
	// todo: set max length of password

	if(!isset($_POST['chPwd']))exit;
	$pwd=requestVar('chPwd','',true);
	if(strlen($pwd)>=6)$warn['password']='';

	if(!isset($_POST['chPwdr']))exit;
	$pwdretype=requestVar('chPwdr','',true);
	if($pwd==$pwdretype)$warn['password_repeat']='';

	foreach(array_keys($warn) as $item){
		if($warn[$item]!=''){
			showFormPassword($warn);
			return false;
		}
	}

	mysql_query("UPDATE `as_users` SET `password`='".md5(mysql_real_escape_string($pwd,$dbh))."' WHERE `id` LIKE '".$_SESSION['id']."' LIMIT 1",$dbh);
	if(mysql_affected_rows()==1){
		echo '<p style="color:#54b554;">'.$tr['SavedChanges'].'.</p>';
	}
	else{
		echo '<p style="color:#555555;">'.$tr['NoChangesSaved'].'.<br/></p>';
	}
	return true;
}

?>